/* Generated by re2c 0.13.5 on Wed Feb 25 20:09:56 2009 */
/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "CLucene/StdHeader.h"
#include "KoreanTokenizer.h"

CL_NS_USE(analysis)
CL_NS_USE(util)
CL_NS_DEF2(analysis, kr)
	
const TCHAR* KoreanTokenizer::TOKEN_TYPES[] = {
		_T("<ALPHANUM>"),
		_T( "<APOSTROPHE>"),
	    _T("<ACRONYM>"),
	    _T("<COMPANY>"),
	    _T("<EMAIL>"),
	    _T("<HOST>"),
	    _T("<NUM>"),
		_T("<CJ>"),
		_T("<ACRONYM_DEP>"),
		_T("<KOREAN>")
};

KoreanTokenizer::KoreanTokenizer(CL_NS(util)::Reader* input):
	Tokenizer(input)
{
	bufferLength = DEFAULT_BUFLEN;
	buffer = new TCHAR[bufferLength];
	bufferEnd = buffer+bufferLength;
	bufferOffset = 0;
	
	limit  = buffer;
	cursor = buffer;
	start  = 0;
	marker = 0;
}

KoreanTokenizer::~KoreanTokenizer()
{
	delete[] buffer;
}

bool KoreanTokenizer::next(Token* token)
{
	// null check of token parameter is needed?
	
	int posIncr = 1;
	int tokenType;

	#define YYCTYPE         TCHAR
	#define YYCURSOR        cursor
	#define YYLIMIT         limit
	#define YYMARKER        marker
	#define YYFILL(n)		yyfill()

	for (;;)
	{
	start = cursor;		// save token start position
	

{
	YYCTYPE yych;
	unsigned int yyaccept = 0;

	if ((YYLIMIT - YYCURSOR) < 7) YYFILL(7);
	yych = *YYCURSOR;
	if (yych <= 0x00000C65) {
		if (yych <= 0x0000065F) {
			if (yych <= 'Z') {
				if (yych <= '.') {
					if (yych <= 0x00000000) goto yy13;
					if (yych <= '-') goto yy15;
					goto yy8;
				} else {
					if (yych <= '/') goto yy15;
					if (yych <= '9') goto yy10;
					if (yych <= '@') goto yy15;
					goto yy5;
				}
			} else {
				if (yych <= 0x000000D6) {
					if (yych <= '`') goto yy15;
					if (yych <= 'z') goto yy5;
					if (yych <= 0x000000BF) goto yy15;
					goto yy5;
				} else {
					if (yych <= 0x000000D7) goto yy15;
					if (yych == 0x000000F7) goto yy15;
					goto yy5;
				}
			}
		} else {
			if (yych <= 0x00000A65) {
				if (yych <= 0x00000965) {
					if (yych <= 0x00000669) goto yy7;
					if (yych <= 0x000006EF) goto yy5;
					if (yych <= 0x000006F9) goto yy7;
					goto yy5;
				} else {
					if (yych <= 0x0000096F) goto yy7;
					if (yych <= 0x000009E5) goto yy5;
					if (yych <= 0x000009EF) goto yy7;
					goto yy5;
				}
			} else {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000A6F) goto yy7;
					if (yych <= 0x00000AE5) goto yy5;
					if (yych <= 0x00000AEF) goto yy7;
					goto yy5;
				} else {
					if (yych <= 0x00000B6F) goto yy7;
					if (yych <= 0x00000BE6) goto yy5;
					if (yych <= 0x00000BEF) goto yy7;
					goto yy5;
				}
			}
		}
	} else {
		if (yych <= 0x0000318F) {
			if (yych <= 0x00000ECF) {
				if (yych <= 0x00000D65) {
					if (yych <= 0x00000C6F) goto yy7;
					if (yych <= 0x00000CE5) goto yy5;
					if (yych <= 0x00000CEF) goto yy7;
					goto yy5;
				} else {
					if (yych <= 0x00000D6F) goto yy7;
					if (yych <= 0x00000E4F) goto yy5;
					if (yych <= 0x00000E59) goto yy7;
					goto yy5;
				}
			} else {
				if (yych <= 0x000010FF) {
					if (yych <= 0x00000ED9) goto yy7;
					if (yych <= 0x0000103F) goto yy5;
					if (yych <= 0x00001049) goto yy7;
					goto yy5;
				} else {
					if (yych <= 0x000011FF) goto yy2;
					if (yych <= 0x00001FFF) goto yy5;
					if (yych <= 0x0000303F) goto yy15;
					goto yy11;
				}
			}
		} else {
			if (yych <= 0x00009FFF) {
				if (yych <= 0x0000337F) {
					if (yych <= 0x000031EF) goto yy15;
					if (yych <= 0x000031FF) goto yy11;
					if (yych <= 0x000032FF) goto yy15;
					goto yy11;
				} else {
					if (yych <= 0x000033FF) goto yy15;
					if (yych <= 0x00004DBF) goto yy11;
					if (yych <= 0x00004DFF) goto yy15;
					goto yy11;
				}
			} else {
				if (yych <= 0x0000FAFF) {
					if (yych <= 0x0000ABFF) goto yy15;
					if (yych <= 0x0000D7AF) goto yy4;
					if (yych <= 0x0000F8FF) goto yy15;
					goto yy11;
				} else {
					if (yych <= 0x0000FF64) goto yy15;
					if (yych <= 0x0000FF9F) goto yy11;
					if (yych <= 0x0000FFDC) goto yy5;
					goto yy15;
				}
			}
		}
	}
yy2:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x000009EF) {
		if (yych <= 'z') {
			if (yych <= '/') {
				if (yych <= '+') {
					if (yych <= '%') goto yy3;
					if (yych <= '\'') goto yy423;
				} else {
					if (yych == '.') goto yy495;
					goto yy423;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '9') goto yy195;
					if (yych >= '@') goto yy423;
				} else {
					if (yych == '_') goto yy423;
					if (yych >= 'a') goto yy423;
				}
			}
		} else {
			if (yych <= 0x0000065F) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy423;
				} else {
					if (yych != 0x000000F7) goto yy423;
				}
			} else {
				if (yych <= 0x000006F9) {
					if (yych <= 0x00000669) goto yy361;
					if (yych <= 0x000006EF) goto yy423;
					goto yy361;
				} else {
					if (yych <= 0x00000965) goto yy423;
					if (yych <= 0x0000096F) goto yy361;
					if (yych <= 0x000009E5) goto yy423;
					goto yy361;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000AE5) {
					if (yych <= 0x00000A65) goto yy423;
					if (yych <= 0x00000A6F) goto yy361;
					goto yy423;
				} else {
					if (yych <= 0x00000AEF) goto yy361;
					if (yych <= 0x00000B65) goto yy423;
					goto yy361;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy423;
					if (yych <= 0x00000BEF) goto yy361;
					goto yy423;
				} else {
					if (yych <= 0x00000C6F) goto yy361;
					if (yych <= 0x00000CE5) goto yy423;
					if (yych <= 0x00000CEF) goto yy361;
					goto yy423;
				}
			}
		} else {
			if (yych <= 0x0000103F) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy361;
					if (yych <= 0x00000E4F) goto yy423;
					goto yy361;
				} else {
					if (yych <= 0x00000ECF) goto yy423;
					if (yych <= 0x00000ED9) goto yy361;
					goto yy423;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x00001049) goto yy361;
					if (yych <= 0x00001FFF) goto yy423;
				} else {
					if (yych <= 0x0000D7AF) goto yy423;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy423;
				}
			}
		}
	}
yy3:
	{ tokenType = KOREAN;		goto SET_TOKEN; }
yy4:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D7) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '-') goto yy3;
					goto yy34;
				} else {
					if (yych <= '/') goto yy3;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'Z') goto yy32;
					if (yych <= '`') goto yy3;
					goto yy32;
				} else {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy32;
					goto yy3;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych == 0x000000F7) goto yy3;
					goto yy32;
				} else {
					if (yych <= 0x00000669) goto yy33;
					if (yych <= 0x000006EF) goto yy32;
					goto yy33;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy32;
					if (yych <= 0x0000096F) goto yy33;
					goto yy32;
				} else {
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy32;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy32;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy32;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy32;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy32;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy32;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy32;
					goto yy33;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy32;
					if (yych <= 0x00000E59) goto yy33;
					goto yy32;
				} else {
					if (yych <= 0x00000ED9) goto yy33;
					if (yych <= 0x0000103F) goto yy32;
					goto yy33;
				}
			} else {
				if (yych <= 0x0000D7AF) {
					if (yych <= 0x00001FFF) goto yy32;
					if (yych <= 0x0000ABFF) goto yy3;
					goto yy493;
				} else {
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy32;
					goto yy3;
				}
			}
		}
	}
yy5:
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x000009EF) {
		if (yych <= '`') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy21;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy21;
					if (yych <= ',') goto yy426;
					if (yych <= '-') goto yy427;
					goto yy421;
				}
			} else {
				if (yych <= '@') {
					if (yych <= '/') goto yy426;
					if (yych <= '?') goto yy21;
					goto yy256;
				} else {
					if (yych <= 'Z') goto yy422;
					if (yych == '_') goto yy427;
					goto yy21;
				}
			}
		} else {
			if (yych <= 0x0000065F) {
				if (yych <= 0x000000D6) {
					if (yych <= 'z') goto yy422;
					if (yych <= 0x000000BF) goto yy21;
					goto yy422;
				} else {
					if (yych <= 0x000000D7) goto yy21;
					if (yych == 0x000000F7) goto yy21;
					goto yy422;
				}
			} else {
				if (yych <= 0x000006F9) {
					if (yych <= 0x00000669) goto yy248;
					if (yych <= 0x000006EF) goto yy422;
					goto yy248;
				} else {
					if (yych <= 0x00000965) goto yy422;
					if (yych <= 0x0000096F) goto yy248;
					if (yych <= 0x000009E5) goto yy422;
					goto yy248;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AE5) {
					if (yych <= 0x00000A65) goto yy422;
					if (yych <= 0x00000A6F) goto yy248;
					goto yy422;
				} else {
					if (yych <= 0x00000AEF) goto yy248;
					if (yych <= 0x00000B65) goto yy422;
					if (yych <= 0x00000B6F) goto yy248;
					goto yy422;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy248;
					if (yych <= 0x00000C65) goto yy422;
					goto yy248;
				} else {
					if (yych <= 0x00000CE5) goto yy422;
					if (yych <= 0x00000CEF) goto yy248;
					if (yych <= 0x00000D65) goto yy422;
					goto yy248;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy422;
					if (yych <= 0x00000E59) goto yy248;
					goto yy422;
				} else {
					if (yych <= 0x00000ED9) goto yy248;
					if (yych <= 0x0000103F) goto yy422;
					if (yych <= 0x00001049) goto yy248;
					goto yy422;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy424;
					if (yych <= 0x00001FFF) goto yy422;
					goto yy21;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy21;
					if (yych <= 0x0000FFDC) goto yy422;
					goto yy21;
				}
			}
		}
	}
yy6:
	{ tokenType = ALPHANUM;		goto SET_TOKEN; }
yy7:
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x000009EF) {
		if (yych <= '`') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy19;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy19;
					if (yych <= ',') goto yy254;
					if (yych <= '-') goto yy255;
					goto yy247;
				}
			} else {
				if (yych <= '@') {
					if (yych <= '/') goto yy254;
					if (yych <= '?') goto yy19;
					goto yy256;
				} else {
					if (yych <= 'Z') goto yy248;
					if (yych == '_') goto yy255;
					goto yy19;
				}
			}
		} else {
			if (yych <= 0x0000065F) {
				if (yych <= 0x000000D6) {
					if (yych <= 'z') goto yy248;
					if (yych <= 0x000000BF) goto yy19;
					goto yy248;
				} else {
					if (yych <= 0x000000D7) goto yy19;
					if (yych == 0x000000F7) goto yy19;
					goto yy248;
				}
			} else {
				if (yych <= 0x000006F9) {
					if (yych <= 0x00000669) goto yy250;
					if (yych <= 0x000006EF) goto yy248;
					goto yy250;
				} else {
					if (yych <= 0x00000965) goto yy248;
					if (yych <= 0x0000096F) goto yy250;
					if (yych <= 0x000009E5) goto yy248;
					goto yy250;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AE5) {
					if (yych <= 0x00000A65) goto yy248;
					if (yych <= 0x00000A6F) goto yy250;
					goto yy248;
				} else {
					if (yych <= 0x00000AEF) goto yy250;
					if (yych <= 0x00000B65) goto yy248;
					if (yych <= 0x00000B6F) goto yy250;
					goto yy248;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy250;
					if (yych <= 0x00000C65) goto yy248;
					goto yy250;
				} else {
					if (yych <= 0x00000CE5) goto yy248;
					if (yych <= 0x00000CEF) goto yy250;
					if (yych <= 0x00000D65) goto yy248;
					goto yy250;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy248;
					if (yych <= 0x00000E59) goto yy250;
					goto yy248;
				} else {
					if (yych <= 0x00000ED9) goto yy250;
					if (yych <= 0x0000103F) goto yy248;
					if (yych <= 0x00001049) goto yy250;
					goto yy248;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy252;
					if (yych <= 0x00001FFF) goto yy248;
					goto yy19;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy19;
					if (yych <= 0x0000FFDC) goto yy248;
					goto yy19;
				}
			}
		}
	}
yy8:
	++YYCURSOR;
	if ((yych = *YYCURSOR) <= 0x00000B65) {
		if (yych <= 0x00000965) {
			if (yych <= 0x0000065F) {
				if (yych <= '/') goto yy9;
				if (yych <= '9') goto yy246;
			} else {
				if (yych <= 0x00000669) goto yy246;
				if (yych <= 0x000006EF) goto yy9;
				if (yych <= 0x000006F9) goto yy246;
			}
		} else {
			if (yych <= 0x00000A65) {
				if (yych <= 0x0000096F) goto yy246;
				if (yych <= 0x000009E5) goto yy9;
				if (yych <= 0x000009EF) goto yy246;
			} else {
				if (yych <= 0x00000A6F) goto yy246;
				if (yych <= 0x00000AE5) goto yy9;
				if (yych <= 0x00000AEF) goto yy246;
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) goto yy246;
				if (yych <= 0x00000BE6) goto yy9;
				if (yych <= 0x00000BEF) goto yy246;
			} else {
				if (yych <= 0x00000C6F) goto yy246;
				if (yych <= 0x00000CE5) goto yy9;
				if (yych <= 0x00000CEF) goto yy246;
			}
		} else {
			if (yych <= 0x00000ECF) {
				if (yych <= 0x00000D6F) goto yy246;
				if (yych <= 0x00000E4F) goto yy9;
				if (yych <= 0x00000E59) goto yy246;
			} else {
				if (yych <= 0x00000ED9) goto yy246;
				if (yych <= 0x0000103F) goto yy9;
				if (yych <= 0x00001049) goto yy246;
			}
		}
	}
yy9:
	{ continue; }
yy10:
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy16;
	goto yy19;
yy11:
	++YYCURSOR;
	{ tokenType = CJ;			goto SET_TOKEN; }
yy13:
	++YYCURSOR;
	{ return false; }
yy15:
	yych = *++YYCURSOR;
	goto yy9;
yy16:
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
				} else {
					if (yych <= '9') goto yy207;
					if (yych >= 'A') goto yy211;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy211;
				} else {
					if (yych != 0x000000D7) goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x000006EF) goto yy211;
					if (yych <= 0x000006F9) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000A65) goto yy211;
					if (yych <= 0x00000A6F) goto yy209;
					goto yy211;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy209;
					if (yych <= 0x00000B65) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000BE6) goto yy211;
					if (yych <= 0x00000BEF) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy209;
					if (yych <= 0x00000CE5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000D65) goto yy211;
					if (yych <= 0x00000D6F) goto yy209;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy209;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy204;
					if (yych <= 0x00001FFF) goto yy211;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy211;
				}
			}
		}
	}
yy17:
	{ tokenType = NUM;			goto SET_TOKEN; }
yy18:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy19:
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy245;
					if (yych <= '/') goto yy23;
					goto yy18;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy6;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy6;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy6;
					if (yych >= 0x000000D7) goto yy6;
				} else {
					if (yych == 0x000000F7) goto yy6;
					if (yych >= 0x00000660) goto yy18;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy20;
					if (yych <= 0x000006F9) goto yy18;
				} else {
					if (yych <= 0x0000096F) goto yy18;
					if (yych <= 0x000009E5) goto yy20;
					if (yych <= 0x000009EF) goto yy18;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy18;
					if (yych >= 0x00000AE6) goto yy18;
				} else {
					if (yych <= 0x00000B65) goto yy20;
					if (yych <= 0x00000B6F) goto yy18;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy18;
					if (yych >= 0x00000C66) goto yy18;
				} else {
					if (yych <= 0x00000CE5) goto yy20;
					if (yych <= 0x00000CEF) goto yy18;
					if (yych >= 0x00000D66) goto yy18;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy20;
					if (yych <= 0x00000E59) goto yy18;
				} else {
					if (yych <= 0x00000ED9) goto yy18;
					if (yych <= 0x0000103F) goto yy20;
					if (yych <= 0x00001049) goto yy18;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy22;
					if (yych >= 0x00002000) goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych >= 0x0000FFDD) goto yy6;
				}
			}
		}
	}
yy20:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy21:
	if (yych <= '_') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy6;
				goto yy23;
			} else {
				if (yych <= '-') goto yy25;
				if (yych <= '.') goto yy245;
				goto yy23;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') goto yy20;
				if (yych <= '?') goto yy6;
				goto yy26;
			} else {
				if (yych <= 'Z') goto yy20;
				if (yych <= '^') goto yy6;
				goto yy25;
			}
		}
	} else {
		if (yych <= 0x000000D7) {
			if (yych <= 'z') {
				if (yych <= '`') goto yy6;
				goto yy20;
			} else {
				if (yych <= 0x000000BF) goto yy6;
				if (yych <= 0x000000D6) goto yy20;
				goto yy6;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych == 0x000000F7) goto yy6;
				goto yy20;
			} else {
				if (yych <= 0x0000FF9F) goto yy6;
				if (yych <= 0x0000FFDC) goto yy20;
				goto yy6;
			}
		}
	}
yy22:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych >= '-') goto yy25;
				} else {
					if (yych <= '.') goto yy201;
					if (yych >= '0') goto yy195;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy197;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy3;
					goto yy197;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy197;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy197;
					goto yy196;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy197;
					if (yych <= 0x000006F9) goto yy196;
					goto yy197;
				} else {
					if (yych <= 0x0000096F) goto yy196;
					if (yych <= 0x000009E5) goto yy197;
					if (yych <= 0x000009EF) goto yy196;
					goto yy197;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy196;
					if (yych <= 0x00000AE5) goto yy197;
					goto yy196;
				} else {
					if (yych <= 0x00000B65) goto yy197;
					if (yych <= 0x00000B6F) goto yy196;
					goto yy197;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy196;
					if (yych <= 0x00000C65) goto yy197;
					goto yy196;
				} else {
					if (yych <= 0x00000CE5) goto yy197;
					if (yych <= 0x00000CEF) goto yy196;
					if (yych <= 0x00000D65) goto yy197;
					goto yy196;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy197;
					if (yych <= 0x00000E59) goto yy196;
					goto yy197;
				} else {
					if (yych <= 0x00000ED9) goto yy196;
					if (yych <= 0x0000103F) goto yy197;
					if (yych <= 0x00001049) goto yy196;
					goto yy197;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy199;
					if (yych <= 0x00001FFF) goto yy197;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy197;
					goto yy3;
				}
			}
		}
	}
yy23:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych <= '9') goto yy189;
		} else {
			if (yych <= 'Z') goto yy189;
			if (yych <= '`') goto yy24;
			if (yych <= 'z') goto yy189;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy189;
		} else {
			if (yych <= 0x00001FFF) goto yy189;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy189;
		}
	}
yy24:
	YYCURSOR = YYMARKER;
	if (yyaccept <= 4) {
		if (yyaccept <= 2) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy3;
				} else {
					goto yy6;
				}
			} else {
				goto yy17;
			}
		} else {
			if (yyaccept <= 3) {
				goto yy124;
			} else {
				goto yy203;
			}
		}
	} else {
		if (yyaccept <= 6) {
			if (yyaccept <= 5) {
				goto yy206;
			} else {
				goto yy261;
			}
		} else {
			if (yyaccept <= 7) {
				goto yy264;
			} else {
				goto yy418;
			}
		}
	}
yy25:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych <= '9') goto yy125;
			goto yy24;
		} else {
			if (yych <= 'Z') goto yy125;
			if (yych <= '`') goto yy24;
			if (yych <= 'z') goto yy125;
			goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy125;
			goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy125;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy125;
			goto yy24;
		}
	}
yy26:
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy120;
	if (yych <= '.') goto yy24;
	goto yy120;
yy27:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy29;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy29:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy71;
					goto yy70;
				} else {
					if (yych <= '/') goto yy71;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy31;
					if (yych <= '^') goto yy3;
					goto yy71;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					if (yych <= 0x000000BF) goto yy3;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych >= 0x000000F7) goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy31;
					if (yych <= 0x00000669) goto yy33;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych >= 0x00000966) goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy31;
					if (yych <= 0x000009EF) goto yy33;
					if (yych >= 0x00000A66) goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy31;
					if (yych <= 0x00000AEF) goto yy33;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych >= 0x00000BE7) goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy31;
					if (yych <= 0x00000C6F) goto yy33;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych >= 0x00000ED0) goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy29;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy31:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy32:
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000D7) {
			if (yych <= '^') {
				if (yych <= '9') {
					if (yych <= '+') goto yy24;
					if (yych <= '/') goto yy71;
					goto yy39;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy31;
					goto yy24;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= '_') goto yy71;
					if (yych <= '`') goto yy24;
					goto yy31;
				} else {
					if (yych <= 0x000000BF) goto yy24;
					if (yych <= 0x000000D6) goto yy31;
					goto yy24;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych == 0x000000F7) goto yy24;
					goto yy31;
				} else {
					if (yych <= 0x00000669) goto yy81;
					if (yych <= 0x000006EF) goto yy31;
					goto yy81;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy31;
					if (yych <= 0x0000096F) goto yy81;
					goto yy31;
				} else {
					if (yych <= 0x000009EF) goto yy81;
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy81;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy81;
					if (yych <= 0x00000B65) goto yy31;
					goto yy81;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy81;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy81;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy81;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy81;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy81;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy81;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy81;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy89;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy24;
				}
			}
		}
	}
yy33:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy42;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy37;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy81;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy81;
					if (yych <= 0x000000BF) goto yy24;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy81;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy81;
					if (yych <= 0x00000669) goto yy117;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy117;
					if (yych <= 0x00000965) goto yy81;
					goto yy117;
				} else {
					if (yych <= 0x000009E5) goto yy81;
					if (yych <= 0x000009EF) goto yy117;
					if (yych <= 0x00000A65) goto yy81;
					goto yy117;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy81;
					if (yych <= 0x00000AEF) goto yy117;
					goto yy81;
				} else {
					if (yych <= 0x00000B6F) goto yy117;
					if (yych <= 0x00000BE6) goto yy81;
					goto yy117;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy81;
					if (yych <= 0x00000C6F) goto yy117;
					goto yy81;
				} else {
					if (yych <= 0x00000CEF) goto yy117;
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy117;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy117;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy117;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy117;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy111;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy24;
				}
			}
		}
	}
yy34:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000B65) {
		if (yych <= 0x00000965) {
			if (yych <= 0x0000065F) {
				if (yych <= '/') goto yy24;
				if (yych <= '9') goto yy115;
				goto yy24;
			} else {
				if (yych <= 0x00000669) goto yy115;
				if (yych <= 0x000006EF) goto yy24;
				if (yych <= 0x000006F9) goto yy115;
				goto yy24;
			}
		} else {
			if (yych <= 0x00000A65) {
				if (yych <= 0x0000096F) goto yy115;
				if (yych <= 0x000009E5) goto yy24;
				if (yych <= 0x000009EF) goto yy115;
				goto yy24;
			} else {
				if (yych <= 0x00000A6F) goto yy115;
				if (yych <= 0x00000AE5) goto yy24;
				if (yych <= 0x00000AEF) goto yy115;
				goto yy24;
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) goto yy115;
				if (yych <= 0x00000BE6) goto yy24;
				if (yych <= 0x00000BEF) goto yy115;
				goto yy24;
			} else {
				if (yych <= 0x00000C6F) goto yy115;
				if (yych <= 0x00000CE5) goto yy24;
				if (yych <= 0x00000CEF) goto yy115;
				goto yy24;
			}
		} else {
			if (yych <= 0x00000ECF) {
				if (yych <= 0x00000D6F) goto yy115;
				if (yych <= 0x00000E4F) goto yy24;
				if (yych <= 0x00000E59) goto yy115;
				goto yy24;
			} else {
				if (yych <= 0x00000ED9) goto yy115;
				if (yych <= 0x0000103F) goto yy24;
				if (yych <= 0x00001049) goto yy115;
				goto yy24;
			}
		}
	}
yy35:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy41;
					goto yy42;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy37;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy39;
					if (yych <= '^') goto yy24;
					goto yy41;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy39;
					if (yych <= 0x000000BF) goto yy24;
					goto yy39;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy39;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy39;
					if (yych <= 0x00000669) goto yy37;
					goto yy39;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy37;
					if (yych <= 0x00000965) goto yy39;
					goto yy37;
				} else {
					if (yych <= 0x000009E5) goto yy39;
					if (yych <= 0x000009EF) goto yy37;
					if (yych <= 0x00000A65) goto yy39;
					goto yy37;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy39;
					if (yych <= 0x00000AEF) goto yy37;
					goto yy39;
				} else {
					if (yych <= 0x00000B6F) goto yy37;
					if (yych <= 0x00000BE6) goto yy39;
					goto yy37;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy39;
					if (yych <= 0x00000C6F) goto yy37;
					goto yy39;
				} else {
					if (yych <= 0x00000CEF) goto yy37;
					if (yych <= 0x00000D65) goto yy39;
					if (yych <= 0x00000D6F) goto yy37;
					goto yy39;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy37;
					if (yych <= 0x00000ECF) goto yy39;
					goto yy37;
				} else {
					if (yych <= 0x0000103F) goto yy39;
					if (yych <= 0x00001049) goto yy37;
					goto yy39;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy36;
					if (yych <= 0x00001FFF) goto yy39;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy39;
					goto yy24;
				}
			}
		}
	}
yy36:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy41;
					goto yy91;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy81;
					if (yych <= '^') goto yy3;
					goto yy41;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy81;
					if (yych <= 0x000000BF) goto yy3;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy81;
					if (yych <= 0x00000669) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy81;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy81;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy81;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy81;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy81;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy111;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy3;
				}
			}
		}
	}
yy37:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000D7) {
			if (yych <= '^') {
				if (yych <= '9') {
					if (yych <= '+') goto yy24;
					if (yych <= '/') goto yy41;
					goto yy37;
				} else {
					if (yych <= '@') goto yy24;
					if (yych >= '[') goto yy24;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= '_') goto yy41;
					if (yych <= '`') goto yy24;
				} else {
					if (yych <= 0x000000BF) goto yy24;
					if (yych >= 0x000000D7) goto yy24;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych == 0x000000F7) goto yy24;
				} else {
					if (yych <= 0x00000669) goto yy37;
					if (yych >= 0x000006F0) goto yy37;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy39;
					if (yych <= 0x0000096F) goto yy37;
				} else {
					if (yych <= 0x000009EF) goto yy37;
					if (yych <= 0x00000A65) goto yy39;
					if (yych <= 0x00000A6F) goto yy37;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy37;
					if (yych >= 0x00000B66) goto yy37;
				} else {
					if (yych <= 0x00000BE6) goto yy39;
					if (yych <= 0x00000BEF) goto yy37;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy37;
					if (yych >= 0x00000CE6) goto yy37;
				} else {
					if (yych <= 0x00000D65) goto yy39;
					if (yych <= 0x00000D6F) goto yy37;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy37;
					if (yych >= 0x00000ED0) goto yy37;
				} else {
					if (yych <= 0x0000103F) goto yy39;
					if (yych <= 0x00001049) goto yy37;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy36;
					if (yych >= 0x00002000) goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych >= 0x0000FFDD) goto yy24;
				}
			}
		}
	}
yy39:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '@') {
			if (yych <= '+') goto yy24;
			if (yych <= '/') goto yy41;
			if (yych <= '9') goto yy39;
			goto yy24;
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') goto yy39;
				goto yy24;
			} else {
				if (yych <= '_') goto yy41;
				if (yych <= '`') goto yy24;
				goto yy39;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy24;
			if (yych == 0x000000D7) goto yy24;
			goto yy39;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy39;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy39;
				goto yy24;
			}
		}
	}
yy41:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych <= '9') goto yy92;
			goto yy24;
		} else {
			if (yych <= 'Z') goto yy92;
			if (yych <= '`') goto yy24;
			if (yych <= 'z') goto yy92;
			goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy92;
			goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy92;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy92;
			goto yy24;
		}
	}
yy42:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy46;
					if (yych <= '@') goto yy24;
					goto yy50;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy50;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x000006EF) goto yy50;
					if (yych <= 0x000006F9) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy48;
					if (yych <= 0x000009E5) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x00000A65) goto yy50;
					if (yych <= 0x00000A6F) goto yy48;
					goto yy50;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy48;
					if (yych <= 0x00000B65) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x00000BE6) goto yy50;
					if (yych <= 0x00000BEF) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy48;
					if (yych <= 0x00000CE5) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x00000D65) goto yy50;
					if (yych <= 0x00000D6F) goto yy48;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy50;
					if (yych <= 0x00001049) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy43;
					if (yych <= 0x00001FFF) goto yy50;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy50;
					goto yy24;
				}
			}
		}
	}
yy43:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy109;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy109;
					if (yych <= 0x000000BF) goto yy3;
					goto yy109;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy109;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy109;
					if (yych <= 0x00000669) goto yy62;
					goto yy109;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych <= 0x00000965) goto yy109;
					goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy109;
					if (yych <= 0x000009EF) goto yy62;
					if (yych <= 0x00000A65) goto yy109;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy109;
					if (yych <= 0x00000AEF) goto yy62;
					goto yy109;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych <= 0x00000BE6) goto yy109;
					goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy109;
					if (yych <= 0x00000C6F) goto yy62;
					goto yy109;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy109;
					if (yych <= 0x00000D6F) goto yy62;
					goto yy109;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych <= 0x00000ECF) goto yy109;
					goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy109;
					if (yych <= 0x00001049) goto yy62;
					goto yy109;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy107;
					if (yych <= 0x00001FFF) goto yy109;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy109;
					goto yy3;
				}
			}
		}
	}
yy44:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy68;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy46:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy41;
					goto yy97;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy55;
					if (yych <= '^') goto yy24;
					goto yy41;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy55;
					if (yych <= 0x000000BF) goto yy24;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy55;
					if (yych >= 0x0000066A) goto yy55;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy48;
					if (yych <= 0x00000965) goto yy55;
				} else {
					if (yych <= 0x000009E5) goto yy55;
					if (yych <= 0x000009EF) goto yy48;
					if (yych <= 0x00000A65) goto yy55;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy55;
					if (yych >= 0x00000AF0) goto yy55;
				} else {
					if (yych <= 0x00000B6F) goto yy48;
					if (yych <= 0x00000BE6) goto yy55;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy55;
					if (yych >= 0x00000C70) goto yy55;
				} else {
					if (yych <= 0x00000CEF) goto yy48;
					if (yych <= 0x00000D65) goto yy55;
					if (yych >= 0x00000D70) goto yy55;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy55;
				} else {
					if (yych <= 0x0000103F) goto yy55;
					if (yych >= 0x0000104A) goto yy55;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy57;
					if (yych <= 0x00001FFF) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy55;
					goto yy24;
				}
			}
		}
	}
yy48:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy97;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy55;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy55;
					if (yych <= 0x000000BF) goto yy24;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy55;
					if (yych <= 0x00000669) goto yy48;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy48;
					if (yych <= 0x00000965) goto yy55;
					goto yy48;
				} else {
					if (yych <= 0x000009E5) goto yy55;
					if (yych <= 0x000009EF) goto yy48;
					if (yych <= 0x00000A65) goto yy55;
					goto yy48;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy55;
					if (yych <= 0x00000AEF) goto yy48;
					goto yy55;
				} else {
					if (yych <= 0x00000B6F) goto yy48;
					if (yych <= 0x00000BE6) goto yy55;
					goto yy48;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy55;
					if (yych <= 0x00000C6F) goto yy48;
					goto yy55;
				} else {
					if (yych <= 0x00000CEF) goto yy48;
					if (yych <= 0x00000D65) goto yy55;
					if (yych <= 0x00000D6F) goto yy48;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy55;
					goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy55;
					if (yych <= 0x00001049) goto yy48;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy57;
					if (yych <= 0x00001FFF) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy55;
					goto yy24;
				}
			}
		}
	}
yy50:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy50;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy50;
					if (yych <= 0x000000BF) goto yy24;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy50;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy50;
					if (yych <= 0x00000669) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy48;
					if (yych <= 0x00000965) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x000009E5) goto yy50;
					if (yych <= 0x000009EF) goto yy48;
					if (yych <= 0x00000A65) goto yy50;
					goto yy48;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy50;
					if (yych <= 0x00000AEF) goto yy48;
					goto yy50;
				} else {
					if (yych <= 0x00000B6F) goto yy48;
					if (yych <= 0x00000BE6) goto yy50;
					goto yy48;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy50;
					if (yych <= 0x00000C6F) goto yy48;
					goto yy50;
				} else {
					if (yych <= 0x00000CEF) goto yy48;
					if (yych <= 0x00000D65) goto yy50;
					if (yych <= 0x00000D6F) goto yy48;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy50;
					if (yych <= 0x00001049) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy43;
					if (yych <= 0x00001FFF) goto yy50;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy50;
					goto yy24;
				}
			}
		}
	}
yy52:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy54;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy50;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy50;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy50;
				} else {
					if (yych <= 0x00000669) goto yy55;
					if (yych <= 0x000006EF) goto yy50;
					goto yy55;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy50;
					if (yych <= 0x0000096F) goto yy55;
					goto yy50;
				} else {
					if (yych <= 0x000009EF) goto yy55;
					if (yych <= 0x00000A65) goto yy50;
					goto yy55;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy50;
					goto yy55;
				} else {
					if (yych <= 0x00000B65) goto yy50;
					if (yych <= 0x00000B6F) goto yy55;
					goto yy50;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy55;
					if (yych <= 0x00000C65) goto yy50;
					goto yy55;
				} else {
					if (yych <= 0x00000CE5) goto yy50;
					if (yych <= 0x00000CEF) goto yy55;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy55;
					goto yy50;
				} else {
					if (yych <= 0x00000E59) goto yy55;
					if (yych <= 0x00000ECF) goto yy50;
					goto yy55;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy50;
					if (yych <= 0x00001049) goto yy55;
					goto yy50;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy50;
					goto yy24;
				}
			}
		}
	}
yy53:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy50;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy50;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy50;
				} else {
					if (yych <= 0x00000669) goto yy55;
					if (yych <= 0x000006EF) goto yy50;
					goto yy55;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy50;
					if (yych <= 0x0000096F) goto yy55;
					goto yy50;
				} else {
					if (yych <= 0x000009EF) goto yy55;
					if (yych <= 0x00000A65) goto yy50;
					goto yy55;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy50;
					goto yy55;
				} else {
					if (yych <= 0x00000B65) goto yy50;
					if (yych <= 0x00000B6F) goto yy55;
					goto yy50;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy55;
					if (yych <= 0x00000C65) goto yy50;
					goto yy55;
				} else {
					if (yych <= 0x00000CE5) goto yy50;
					if (yych <= 0x00000CEF) goto yy55;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy55;
					goto yy50;
				} else {
					if (yych <= 0x00000E59) goto yy55;
					if (yych <= 0x00000ECF) goto yy50;
					goto yy55;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy50;
					if (yych <= 0x00001049) goto yy55;
					goto yy50;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy50;
					goto yy24;
				}
			}
		}
	}
yy54:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy41;
					goto yy91;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy55;
					if (yych <= '^') goto yy24;
					goto yy41;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy55;
					if (yych <= 0x000000BF) goto yy24;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych >= 0x000000F7) goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy55;
					if (yych <= 0x00000669) goto yy48;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy48;
					if (yych >= 0x00000966) goto yy48;
				} else {
					if (yych <= 0x000009E5) goto yy55;
					if (yych <= 0x000009EF) goto yy48;
					if (yych >= 0x00000A66) goto yy48;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy55;
					if (yych <= 0x00000AEF) goto yy48;
				} else {
					if (yych <= 0x00000B6F) goto yy48;
					if (yych >= 0x00000BE7) goto yy48;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy55;
					if (yych <= 0x00000C6F) goto yy48;
				} else {
					if (yych <= 0x00000CEF) goto yy48;
					if (yych <= 0x00000D65) goto yy55;
					if (yych <= 0x00000D6F) goto yy48;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych >= 0x00000ED0) goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy55;
					if (yych <= 0x00001049) goto yy48;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy57;
					if (yych >= 0x00002000) goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych >= 0x0000FFDD) goto yy24;
				}
			}
		}
	}
yy55:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy55;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy55;
					if (yych <= 0x000000BF) goto yy24;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy55;
					if (yych <= 0x00000669) goto yy48;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy48;
					if (yych <= 0x00000965) goto yy55;
					goto yy48;
				} else {
					if (yych <= 0x000009E5) goto yy55;
					if (yych <= 0x000009EF) goto yy48;
					if (yych <= 0x00000A65) goto yy55;
					goto yy48;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy55;
					if (yych <= 0x00000AEF) goto yy48;
					goto yy55;
				} else {
					if (yych <= 0x00000B6F) goto yy48;
					if (yych <= 0x00000BE6) goto yy55;
					goto yy48;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy55;
					if (yych <= 0x00000C6F) goto yy48;
					goto yy55;
				} else {
					if (yych <= 0x00000CEF) goto yy48;
					if (yych <= 0x00000D65) goto yy55;
					if (yych <= 0x00000D6F) goto yy48;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy55;
					goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy55;
					if (yych <= 0x00001049) goto yy48;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy57;
					if (yych <= 0x00001FFF) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy55;
					goto yy24;
				}
			}
		}
	}
yy57:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych >= ':') goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy3;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych <= 0x00000965) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy62;
					if (yych <= 0x00000A65) goto yy60;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy62;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy64;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy3;
				}
			}
		}
	}
yy58:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy41;
					goto yy97;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy58;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy55;
					if (yych <= '^') goto yy24;
					goto yy41;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy55;
					if (yych <= 0x000000BF) goto yy24;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy55;
					if (yych <= 0x00000669) goto yy105;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy105;
					if (yych <= 0x00000965) goto yy55;
					goto yy105;
				} else {
					if (yych <= 0x000009E5) goto yy55;
					if (yych <= 0x000009EF) goto yy105;
					if (yych <= 0x00000A65) goto yy55;
					goto yy105;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy55;
					if (yych <= 0x00000AEF) goto yy105;
					goto yy55;
				} else {
					if (yych <= 0x00000B6F) goto yy105;
					if (yych <= 0x00000BE6) goto yy55;
					goto yy105;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy55;
					if (yych <= 0x00000C6F) goto yy105;
					goto yy55;
				} else {
					if (yych <= 0x00000CEF) goto yy105;
					if (yych <= 0x00000D65) goto yy55;
					if (yych <= 0x00000D6F) goto yy105;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy105;
					if (yych <= 0x00000ECF) goto yy55;
					goto yy105;
				} else {
					if (yych <= 0x0000103F) goto yy55;
					if (yych <= 0x00001049) goto yy105;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy102;
					if (yych <= 0x00001FFF) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy55;
					goto yy24;
				}
			}
		}
	}
yy60:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy24;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy60;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy100;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy100;
					if (yych <= 0x00000965) goto yy60;
					goto yy100;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy100;
					if (yych <= 0x00000A65) goto yy60;
					goto yy100;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy100;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy100;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy100;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy100;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy100;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy100;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy100;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy100;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy100;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy64;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy24;
				}
			}
		}
	}
yy62:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy97;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy24;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy60;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych <= 0x00000965) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy62;
					if (yych <= 0x00000A65) goto yy60;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy62;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy93;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy24;
				}
			}
		}
	}
yy64:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy3;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych <= 0x00000965) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy62;
					if (yych <= 0x00000A65) goto yy60;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy62;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy64;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy3;
				}
			}
		}
	}
yy66:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy68;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy68:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy71;
				} else {
					if (yych <= '/') goto yy71;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy31;
					if (yych <= '^') goto yy3;
					goto yy71;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					if (yych <= 0x000000BF) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy31;
					if (yych <= 0x00000669) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy31;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy31;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy31;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy31;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy31;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy68;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy70:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy76;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy72;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy72;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy72;
				} else {
					if (yych <= 0x00000669) goto yy77;
					if (yych <= 0x000006EF) goto yy72;
					goto yy77;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy72;
					if (yych <= 0x0000096F) goto yy77;
					goto yy72;
				} else {
					if (yych <= 0x000009EF) goto yy77;
					if (yych <= 0x00000A65) goto yy72;
					goto yy77;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy72;
					goto yy77;
				} else {
					if (yych <= 0x00000B65) goto yy72;
					if (yych <= 0x00000B6F) goto yy77;
					goto yy72;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy77;
					if (yych <= 0x00000C65) goto yy72;
					goto yy77;
				} else {
					if (yych <= 0x00000CE5) goto yy72;
					if (yych <= 0x00000CEF) goto yy77;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy77;
					goto yy72;
				} else {
					if (yych <= 0x00000E59) goto yy77;
					if (yych <= 0x00000ECF) goto yy72;
					goto yy77;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy72;
					if (yych <= 0x00001049) goto yy77;
					goto yy72;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy72;
					goto yy24;
				}
			}
		}
	}
yy71:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy39;
				} else {
					if (yych <= '@') goto yy24;
					if (yych >= '[') goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych >= '{') goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
				} else {
					if (yych <= 0x00000669) goto yy74;
					if (yych >= 0x000006F0) goto yy74;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy72;
					if (yych <= 0x0000096F) goto yy74;
				} else {
					if (yych <= 0x000009EF) goto yy74;
					if (yych >= 0x00000A66) goto yy74;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych >= 0x00000AE6) goto yy74;
				} else {
					if (yych <= 0x00000B65) goto yy72;
					if (yych <= 0x00000B6F) goto yy74;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy74;
					if (yych >= 0x00000C66) goto yy74;
				} else {
					if (yych <= 0x00000CE5) goto yy72;
					if (yych <= 0x00000CEF) goto yy74;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy74;
				} else {
					if (yych <= 0x00000E59) goto yy74;
					if (yych >= 0x00000ED0) goto yy74;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy72;
					if (yych <= 0x00001049) goto yy74;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych >= 0x0000FFDD) goto yy24;
				}
			}
		}
	}
yy72:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 0x000000D6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych <= '+') goto yy24;
					goto yy71;
				} else {
					if (yych <= '9') goto yy39;
					if (yych <= '@') goto yy24;
					goto yy72;
				}
			} else {
				if (yych <= '`') {
					if (yych == '_') goto yy71;
					goto yy24;
				} else {
					if (yych <= 'z') goto yy72;
					if (yych <= 0x000000BF) goto yy24;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy72;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy72;
					if (yych >= 0x0000066A) goto yy72;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy74;
					if (yych <= 0x00000965) goto yy72;
				} else {
					if (yych <= 0x000009E5) goto yy72;
					if (yych >= 0x000009F0) goto yy72;
				}
			}
		}
	} else {
		if (yych <= 0x00000CEF) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000AE5) {
					if (yych >= 0x00000A70) goto yy72;
				} else {
					if (yych <= 0x00000AEF) goto yy74;
					if (yych <= 0x00000B65) goto yy72;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy72;
					if (yych >= 0x00000BF0) goto yy72;
				} else {
					if (yych <= 0x00000C6F) goto yy74;
					if (yych <= 0x00000CE5) goto yy72;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D65) goto yy72;
					if (yych >= 0x00000D70) goto yy72;
				} else {
					if (yych <= 0x00000E59) goto yy74;
					if (yych <= 0x00000ECF) goto yy72;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy72;
					if (yych >= 0x0000104A) goto yy72;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy72;
					goto yy24;
				}
			}
		}
	}
yy74:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '@') {
			if (yych <= '+') goto yy24;
			if (yych <= '/') goto yy53;
			if (yych <= '9') goto yy39;
			goto yy24;
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') goto yy74;
				goto yy24;
			} else {
				if (yych <= '_') goto yy53;
				if (yych <= '`') goto yy24;
				goto yy74;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy24;
			if (yych == 0x000000D7) goto yy24;
			goto yy74;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy74;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy74;
				goto yy24;
			}
		}
	}
yy76:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy41;
					goto yy91;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy79;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy74;
					if (yych <= '^') goto yy24;
					goto yy41;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy74;
					if (yych <= 0x000000BF) goto yy24;
					goto yy74;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy74;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy74;
					if (yych <= 0x00000669) goto yy80;
					goto yy74;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy80;
					if (yych <= 0x00000965) goto yy74;
					goto yy80;
				} else {
					if (yych <= 0x000009E5) goto yy74;
					if (yych <= 0x000009EF) goto yy80;
					if (yych <= 0x00000A65) goto yy74;
					goto yy80;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy74;
					if (yych <= 0x00000AEF) goto yy80;
					goto yy74;
				} else {
					if (yych <= 0x00000B6F) goto yy80;
					if (yych <= 0x00000BE6) goto yy74;
					goto yy80;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy74;
					if (yych <= 0x00000C6F) goto yy80;
					goto yy74;
				} else {
					if (yych <= 0x00000CEF) goto yy80;
					if (yych <= 0x00000D65) goto yy74;
					if (yych <= 0x00000D6F) goto yy80;
					goto yy74;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy80;
					if (yych <= 0x00000ECF) goto yy74;
					goto yy80;
				} else {
					if (yych <= 0x0000103F) goto yy74;
					if (yych <= 0x00001049) goto yy80;
					goto yy74;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy78;
					if (yych <= 0x00001FFF) goto yy74;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy74;
					goto yy24;
				}
			}
		}
	}
yy77:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy79;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy74;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy74;
					if (yych <= 0x000000BF) goto yy24;
					goto yy74;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy74;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy74;
					if (yych <= 0x00000669) goto yy80;
					goto yy74;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy80;
					if (yych <= 0x00000965) goto yy74;
					goto yy80;
				} else {
					if (yych <= 0x000009E5) goto yy74;
					if (yych <= 0x000009EF) goto yy80;
					if (yych <= 0x00000A65) goto yy74;
					goto yy80;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy74;
					if (yych <= 0x00000AEF) goto yy80;
					goto yy74;
				} else {
					if (yych <= 0x00000B6F) goto yy80;
					if (yych <= 0x00000BE6) goto yy74;
					goto yy80;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy74;
					if (yych <= 0x00000C6F) goto yy80;
					goto yy74;
				} else {
					if (yych <= 0x00000CEF) goto yy80;
					if (yych <= 0x00000D65) goto yy74;
					if (yych <= 0x00000D6F) goto yy80;
					goto yy74;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy80;
					if (yych <= 0x00000ECF) goto yy74;
					goto yy80;
				} else {
					if (yych <= 0x0000103F) goto yy74;
					if (yych <= 0x00001049) goto yy80;
					goto yy74;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy78;
					if (yych <= 0x00001FFF) goto yy74;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy74;
					goto yy24;
				}
			}
		}
	}
yy78:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy81;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy81;
					if (yych <= 0x000000BF) goto yy3;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy81;
					if (yych <= 0x00000669) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy81;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy81;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy81;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy81;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy81;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy83;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy3;
				}
			}
		}
	}
yy79:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= '9') {
			if (yych <= '-') {
				if (yych <= '+') goto yy24;
				goto yy41;
			} else {
				if (yych <= '.') goto yy42;
				if (yych <= '/') goto yy41;
				goto yy39;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy24;
				goto yy39;
			} else {
				if (yych == '_') goto yy41;
				goto yy24;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) {
				if (yych <= 'z') goto yy39;
				goto yy24;
			} else {
				if (yych == 0x000000D7) goto yy24;
				goto yy39;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy39;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy39;
				goto yy24;
			}
		}
	}
yy80:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '`') {
		if (yych <= '9') {
			if (yych <= '-') {
				if (yych <= '+') goto yy24;
				goto yy53;
			} else {
				if (yych <= '.') goto yy42;
				if (yych <= '/') goto yy53;
				goto yy39;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy24;
				goto yy74;
			} else {
				if (yych == '_') goto yy53;
				goto yy24;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) {
				if (yych <= 'z') goto yy74;
				goto yy24;
			} else {
				if (yych == 0x000000D7) goto yy24;
				goto yy74;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy74;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy74;
				goto yy24;
			}
		}
	}
yy81:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000D6) {
		if (yych <= 'Z') {
			if (yych <= '/') {
				if (yych <= '+') goto yy24;
				goto yy53;
			} else {
				if (yych <= '9') goto yy39;
				if (yych <= '@') goto yy24;
				goto yy81;
			}
		} else {
			if (yych <= '`') {
				if (yych == '_') goto yy53;
				goto yy24;
			} else {
				if (yych <= 'z') goto yy81;
				if (yych <= 0x000000BF) goto yy24;
				goto yy81;
			}
		}
	} else {
		if (yych <= 0x000011FF) {
			if (yych <= 0x000000F6) {
				if (yych <= 0x000000D7) goto yy24;
				goto yy81;
			} else {
				if (yych <= 0x000000F7) goto yy24;
				if (yych <= 0x000010FF) goto yy81;
				goto yy85;
			}
		} else {
			if (yych <= 0x0000D7AF) {
				if (yych <= 0x00001FFF) goto yy81;
				if (yych <= 0x0000ABFF) goto yy24;
				goto yy87;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy81;
				goto yy24;
			}
		}
	}
yy83:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy81;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy81;
					if (yych <= 0x000000BF) goto yy3;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy81;
					if (yych <= 0x00000669) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy81;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy81;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy81;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy81;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy81;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy83;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy3;
				}
			}
		}
	}
yy85:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy81;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy81;
					if (yych <= 0x000000BF) goto yy3;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy81;
					if (yych <= 0x00000669) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy81;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy81;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy81;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy81;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy81;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy85;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy3;
				}
			}
		}
	}
yy87:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy89;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy89:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy71;
					goto yy70;
				} else {
					if (yych <= '/') goto yy71;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy31;
					if (yych <= '^') goto yy3;
					goto yy71;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					if (yych <= 0x000000BF) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy31;
					if (yych <= 0x00000669) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy31;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy31;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy31;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy31;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy31;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy89;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy91:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych >= ':') goto yy24;
		} else {
			if (yych <= 'Z') goto yy92;
			if (yych <= '`') goto yy24;
			if (yych >= '{') goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych >= 0x000000F7) goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy92;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych >= 0x0000FFDD) goto yy24;
		}
	}
yy92:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy41;
					goto yy91;
				} else {
					if (yych <= '/') goto yy41;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy50;
					if (yych <= '^') goto yy24;
					goto yy41;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy50;
					if (yych <= 0x000000BF) goto yy24;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy50;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy50;
					if (yych <= 0x00000669) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy48;
					if (yych <= 0x00000965) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x000009E5) goto yy50;
					if (yych <= 0x000009EF) goto yy48;
					if (yych <= 0x00000A65) goto yy50;
					goto yy48;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy50;
					if (yych <= 0x00000AEF) goto yy48;
					goto yy50;
				} else {
					if (yych <= 0x00000B6F) goto yy48;
					if (yych <= 0x00000BE6) goto yy50;
					goto yy48;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy50;
					if (yych <= 0x00000C6F) goto yy48;
					goto yy50;
				} else {
					if (yych <= 0x00000CEF) goto yy48;
					if (yych <= 0x00000D65) goto yy50;
					if (yych <= 0x00000D6F) goto yy48;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy50;
					if (yych <= 0x00001049) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy43;
					if (yych <= 0x00001FFF) goto yy50;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy50;
					goto yy24;
				}
			}
		}
	}
yy93:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy3;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych <= 0x00000965) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy62;
					if (yych <= 0x00000A65) goto yy60;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy62;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy93;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy3;
				}
			}
		}
	}
yy95:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy98;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy97:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy46;
					if (yych <= '@') goto yy24;
					goto yy50;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy50;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x000006EF) goto yy50;
					if (yych <= 0x000006F9) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy48;
					if (yych <= 0x000009E5) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x00000A65) goto yy50;
					if (yych <= 0x00000A6F) goto yy48;
					goto yy50;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy48;
					if (yych <= 0x00000B65) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x00000BE6) goto yy50;
					if (yych <= 0x00000BEF) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy48;
					if (yych <= 0x00000CE5) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x00000D65) goto yy50;
					if (yych <= 0x00000D6F) goto yy48;
					goto yy50;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy48;
					if (yych <= 0x00000ECF) goto yy50;
					goto yy48;
				} else {
					if (yych <= 0x0000103F) goto yy50;
					if (yych <= 0x00001049) goto yy48;
					goto yy50;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy43;
					if (yych <= 0x00001FFF) goto yy50;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy50;
					goto yy24;
				}
			}
		}
	}
yy98:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy71;
					goto yy70;
				} else {
					if (yych <= '/') goto yy71;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy31;
					if (yych <= '^') goto yy3;
					goto yy71;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					if (yych <= 0x000000BF) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy31;
					if (yych <= 0x00000669) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy31;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy31;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy31;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy31;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy31;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy98;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy100:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy97;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy24;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy60;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy100;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy100;
					if (yych <= 0x00000965) goto yy60;
					goto yy100;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy100;
					if (yych <= 0x00000A65) goto yy60;
					goto yy100;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy100;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy100;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy100;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy100;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy100;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy100;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy100;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy100;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy100;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy64;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy24;
				}
			}
		}
	}
yy102:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy60;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy60;
					if (yych <= 0x000000BF) goto yy3;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy60;
					if (yych <= 0x00000669) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych <= 0x00000965) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy60;
					if (yych <= 0x000009EF) goto yy62;
					if (yych <= 0x00000A65) goto yy60;
					goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy60;
					if (yych <= 0x00000AEF) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych <= 0x00000BE6) goto yy60;
					goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy60;
					if (yych <= 0x00000C6F) goto yy62;
					goto yy60;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy60;
					if (yych <= 0x00000D6F) goto yy62;
					goto yy60;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych <= 0x00000ECF) goto yy60;
					goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy60;
					if (yych <= 0x00001049) goto yy62;
					goto yy60;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy93;
					if (yych <= 0x00001FFF) goto yy60;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy60;
					goto yy3;
				}
			}
		}
	}
yy103:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy98;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy105:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy97;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy55;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy55;
					if (yych <= 0x000000BF) goto yy24;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy55;
					if (yych <= 0x00000669) goto yy105;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy105;
					if (yych <= 0x00000965) goto yy55;
					goto yy105;
				} else {
					if (yych <= 0x000009E5) goto yy55;
					if (yych <= 0x000009EF) goto yy105;
					if (yych <= 0x00000A65) goto yy55;
					goto yy105;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy55;
					if (yych <= 0x00000AEF) goto yy105;
					goto yy55;
				} else {
					if (yych <= 0x00000B6F) goto yy105;
					if (yych <= 0x00000BE6) goto yy55;
					goto yy105;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy55;
					if (yych <= 0x00000C6F) goto yy105;
					goto yy55;
				} else {
					if (yych <= 0x00000CEF) goto yy105;
					if (yych <= 0x00000D65) goto yy55;
					if (yych <= 0x00000D6F) goto yy105;
					goto yy55;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy105;
					if (yych <= 0x00000ECF) goto yy55;
					goto yy105;
				} else {
					if (yych <= 0x0000103F) goto yy55;
					if (yych <= 0x00001049) goto yy105;
					goto yy55;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy102;
					if (yych <= 0x00001FFF) goto yy55;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy55;
					goto yy24;
				}
			}
		}
	}
yy107:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy58;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy109;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy109;
					if (yych <= 0x000000BF) goto yy3;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych >= 0x000000F7) goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy109;
					if (yych <= 0x00000669) goto yy62;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy62;
					if (yych >= 0x00000966) goto yy62;
				} else {
					if (yych <= 0x000009E5) goto yy109;
					if (yych <= 0x000009EF) goto yy62;
					if (yych >= 0x00000A66) goto yy62;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy109;
					if (yych <= 0x00000AEF) goto yy62;
				} else {
					if (yych <= 0x00000B6F) goto yy62;
					if (yych >= 0x00000BE7) goto yy62;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy109;
					if (yych <= 0x00000C6F) goto yy62;
				} else {
					if (yych <= 0x00000CEF) goto yy62;
					if (yych <= 0x00000D65) goto yy109;
					if (yych <= 0x00000D6F) goto yy62;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy62;
					if (yych >= 0x00000ED0) goto yy62;
				} else {
					if (yych <= 0x0000103F) goto yy109;
					if (yych <= 0x00001049) goto yy62;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy107;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy109:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy46;
					goto yy24;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy109;
					if (yych <= '^') goto yy24;
					goto yy53;
				} else {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy109;
					if (yych <= 0x000000BF) goto yy24;
					goto yy109;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy109;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy109;
					if (yych <= 0x00000669) goto yy100;
					goto yy109;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy100;
					if (yych <= 0x00000965) goto yy109;
					goto yy100;
				} else {
					if (yych <= 0x000009E5) goto yy109;
					if (yych <= 0x000009EF) goto yy100;
					if (yych <= 0x00000A65) goto yy109;
					goto yy100;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy109;
					if (yych <= 0x00000AEF) goto yy100;
					goto yy109;
				} else {
					if (yych <= 0x00000B6F) goto yy100;
					if (yych <= 0x00000BE6) goto yy109;
					goto yy100;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy109;
					if (yych <= 0x00000C6F) goto yy100;
					goto yy109;
				} else {
					if (yych <= 0x00000CEF) goto yy100;
					if (yych <= 0x00000D65) goto yy109;
					if (yych <= 0x00000D6F) goto yy100;
					goto yy109;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy100;
					if (yych <= 0x00000ECF) goto yy109;
					goto yy100;
				} else {
					if (yych <= 0x0000103F) goto yy109;
					if (yych <= 0x00001049) goto yy100;
					goto yy109;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy107;
					if (yych <= 0x00001FFF) goto yy109;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy109;
					goto yy24;
				}
			}
		}
	}
yy111:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy53;
					goto yy52;
				} else {
					if (yych <= '/') goto yy53;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy81;
					if (yych <= '^') goto yy3;
					goto yy53;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy81;
					if (yych <= 0x000000BF) goto yy3;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy81;
					if (yych <= 0x00000669) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy81;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy81;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy81;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy81;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy81;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy81;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy33;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy111;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy3;
				}
			}
		}
	}
yy113:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy29;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy115:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy79;
					if (yych <= '@') goto yy24;
					goto yy72;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy72;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x000006EF) goto yy72;
					if (yych <= 0x000006F9) goto yy80;
					goto yy72;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy80;
					if (yych <= 0x000009E5) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x00000A65) goto yy72;
					if (yych <= 0x00000A6F) goto yy80;
					goto yy72;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy80;
					if (yych <= 0x00000B65) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x00000BE6) goto yy72;
					if (yych <= 0x00000BEF) goto yy80;
					goto yy72;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy80;
					if (yych <= 0x00000CE5) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x00000D65) goto yy72;
					if (yych <= 0x00000D6F) goto yy80;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy80;
					if (yych <= 0x00000ECF) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x0000103F) goto yy72;
					if (yych <= 0x00001049) goto yy80;
					goto yy72;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy116;
					if (yych <= 0x00001FFF) goto yy72;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy72;
					goto yy24;
				}
			}
		}
	}
yy116:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy71;
					goto yy70;
				} else {
					if (yych <= '/') goto yy71;
					if (yych <= '9') goto yy35;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy31;
					if (yych <= '^') goto yy3;
					goto yy71;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					if (yych <= 0x000000BF) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy31;
					if (yych <= 0x00000669) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy33;
					if (yych <= 0x00000965) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000009E5) goto yy31;
					if (yych <= 0x000009EF) goto yy33;
					if (yych <= 0x00000A65) goto yy31;
					goto yy33;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy31;
					if (yych <= 0x00000AEF) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000B6F) goto yy33;
					if (yych <= 0x00000BE6) goto yy31;
					goto yy33;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy31;
					if (yych <= 0x00000C6F) goto yy33;
					goto yy31;
				} else {
					if (yych <= 0x00000CEF) goto yy33;
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy68;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy117:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000D7) {
			if (yych <= '^') {
				if (yych <= '9') {
					if (yych <= '+') goto yy24;
					if (yych <= '/') goto yy53;
					goto yy37;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy81;
					goto yy24;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= '_') goto yy53;
					if (yych <= '`') goto yy24;
					goto yy81;
				} else {
					if (yych <= 0x000000BF) goto yy24;
					if (yych <= 0x000000D6) goto yy81;
					goto yy24;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych == 0x000000F7) goto yy24;
					goto yy81;
				} else {
					if (yych <= 0x00000669) goto yy117;
					if (yych <= 0x000006EF) goto yy81;
					goto yy117;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy81;
					if (yych <= 0x0000096F) goto yy117;
					goto yy81;
				} else {
					if (yych <= 0x000009EF) goto yy117;
					if (yych <= 0x00000A65) goto yy81;
					if (yych <= 0x00000A6F) goto yy117;
					goto yy81;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy117;
					if (yych <= 0x00000B65) goto yy81;
					goto yy117;
				} else {
					if (yych <= 0x00000BE6) goto yy81;
					if (yych <= 0x00000BEF) goto yy117;
					goto yy81;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy117;
					if (yych <= 0x00000CE5) goto yy81;
					goto yy117;
				} else {
					if (yych <= 0x00000D65) goto yy81;
					if (yych <= 0x00000D6F) goto yy117;
					goto yy81;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy117;
					if (yych <= 0x00000ECF) goto yy81;
					goto yy117;
				} else {
					if (yych <= 0x0000103F) goto yy81;
					if (yych <= 0x00001049) goto yy117;
					goto yy81;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy111;
					if (yych <= 0x00001FFF) goto yy81;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy81;
					goto yy24;
				}
			}
		}
	}
yy119:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy120:
	if (yych <= 'z') {
		if (yych <= '9') {
			if (yych <= ',') goto yy24;
			if (yych <= '.') goto yy121;
			if (yych <= '/') goto yy24;
			goto yy119;
		} else {
			if (yych <= '@') goto yy24;
			if (yych <= 'Z') goto yy119;
			if (yych <= '`') goto yy24;
			goto yy119;
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy24;
			if (yych == 0x000000D7) goto yy24;
			goto yy119;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy119;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy119;
				goto yy24;
			}
		}
	}
yy121:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych >= ':') goto yy24;
		} else {
			if (yych <= 'Z') goto yy122;
			if (yych <= '`') goto yy24;
			if (yych >= '{') goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych >= 0x000000F7) goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy122;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych >= 0x0000FFDD) goto yy24;
		}
	}
yy122:
	yyaccept = 3;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '9') {
			if (yych <= ',') goto yy124;
			if (yych <= '.') goto yy121;
			if (yych >= '0') goto yy122;
		} else {
			if (yych <= '@') goto yy124;
			if (yych <= 'Z') goto yy122;
			if (yych >= 'a') goto yy122;
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy124;
			if (yych != 0x000000D7) goto yy122;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych >= 0x000000F8) goto yy122;
			} else {
				if (yych <= 0x0000FF9F) goto yy124;
				if (yych <= 0x0000FFDC) goto yy122;
			}
		}
	}
yy124:
	{ tokenType = EMAIL;		goto SET_TOKEN; }
yy125:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy126;
					if (yych <= '/') goto yy23;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy129;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy17;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy129;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy129;
					goto yy131;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy129;
					if (yych <= 0x000006F9) goto yy131;
					goto yy129;
				} else {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy129;
					if (yych <= 0x000009EF) goto yy131;
					goto yy129;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy131;
					if (yych <= 0x00000AE5) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x00000B65) goto yy129;
					if (yych <= 0x00000B6F) goto yy131;
					goto yy129;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy131;
					if (yych <= 0x00000C65) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x00000CE5) goto yy129;
					if (yych <= 0x00000CEF) goto yy131;
					if (yych <= 0x00000D65) goto yy129;
					goto yy131;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy129;
					if (yych <= 0x00000E59) goto yy131;
					goto yy129;
				} else {
					if (yych <= 0x00000ED9) goto yy131;
					if (yych <= 0x0000103F) goto yy129;
					if (yych <= 0x00001049) goto yy131;
					goto yy129;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy133;
					if (yych <= 0x00001FFF) goto yy129;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy129;
					goto yy17;
				}
			}
		}
	}
yy126:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych <= '9') goto yy125;
			goto yy24;
		} else {
			if (yych <= 'Z') goto yy125;
			if (yych <= '`') goto yy24;
			if (yych <= 'z') goto yy125;
			goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy125;
			goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy125;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy125;
			goto yy24;
		}
	}
yy127:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy23;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy146;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy17;
					goto yy146;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy146;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy146;
					goto yy131;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy146;
					if (yych <= 0x000006F9) goto yy131;
					goto yy146;
				} else {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy146;
					if (yych <= 0x000009EF) goto yy131;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy131;
					if (yych <= 0x00000AE5) goto yy146;
					goto yy131;
				} else {
					if (yych <= 0x00000B65) goto yy146;
					if (yych <= 0x00000B6F) goto yy131;
					goto yy146;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy131;
					if (yych <= 0x00000C65) goto yy146;
					goto yy131;
				} else {
					if (yych <= 0x00000CE5) goto yy146;
					if (yych <= 0x00000CEF) goto yy131;
					if (yych <= 0x00000D65) goto yy146;
					goto yy131;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy146;
					if (yych <= 0x00000E59) goto yy131;
					goto yy146;
				} else {
					if (yych <= 0x00000ED9) goto yy131;
					if (yych <= 0x0000103F) goto yy146;
					if (yych <= 0x00001049) goto yy131;
					goto yy146;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy148;
					if (yych <= 0x00001FFF) goto yy146;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy146;
					goto yy17;
				}
			}
		}
	}
yy129:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy129;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy129;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy129;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy129;
					if (yych >= 0x000006FA) goto yy129;
				} else {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy129;
					if (yych >= 0x000009F0) goto yy129;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy131;
					if (yych <= 0x00000AE5) goto yy129;
				} else {
					if (yych <= 0x00000B65) goto yy129;
					if (yych >= 0x00000B70) goto yy129;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy131;
					if (yych <= 0x00000C65) goto yy129;
				} else {
					if (yych <= 0x00000CE5) goto yy129;
					if (yych <= 0x00000CEF) goto yy131;
					if (yych <= 0x00000D65) goto yy129;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy129;
					if (yych >= 0x00000E5A) goto yy129;
				} else {
					if (yych <= 0x00000ED9) goto yy131;
					if (yych <= 0x0000103F) goto yy129;
					if (yych >= 0x0000104A) goto yy129;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy133;
					if (yych <= 0x00001FFF) goto yy129;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy129;
					goto yy17;
				}
			}
		}
	}
yy131:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy146;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy146;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy146;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy146;
					goto yy131;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy146;
					if (yych <= 0x000006F9) goto yy131;
					goto yy146;
				} else {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy146;
					if (yych <= 0x000009EF) goto yy131;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy131;
					if (yych <= 0x00000AE5) goto yy146;
					goto yy131;
				} else {
					if (yych <= 0x00000B65) goto yy146;
					if (yych <= 0x00000B6F) goto yy131;
					goto yy146;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy131;
					if (yych <= 0x00000C65) goto yy146;
					goto yy131;
				} else {
					if (yych <= 0x00000CE5) goto yy146;
					if (yych <= 0x00000CEF) goto yy131;
					if (yych <= 0x00000D65) goto yy146;
					goto yy131;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy146;
					if (yych <= 0x00000E59) goto yy131;
					goto yy146;
				} else {
					if (yych <= 0x00000ED9) goto yy131;
					if (yych <= 0x0000103F) goto yy146;
					if (yych <= 0x00001049) goto yy131;
					goto yy146;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy148;
					if (yych <= 0x00001FFF) goto yy146;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy146;
					goto yy17;
				}
			}
		}
	}
yy133:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy141;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy141;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy141;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy141;
					goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy141;
					if (yych <= 0x000006F9) goto yy139;
					goto yy141;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy141;
					if (yych <= 0x000009EF) goto yy139;
					goto yy141;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych <= 0x00000AE5) goto yy141;
					goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy141;
					if (yych <= 0x00000B6F) goto yy139;
					goto yy141;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych <= 0x00000C65) goto yy141;
					goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy141;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych <= 0x00000D65) goto yy141;
					goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy141;
					if (yych <= 0x00000E59) goto yy139;
					goto yy141;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy141;
					if (yych <= 0x00001049) goto yy139;
					goto yy141;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy134;
					if (yych <= 0x00001FFF) goto yy141;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy141;
					goto yy3;
				}
			}
		}
	}
yy134:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy141;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy141;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy141;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy141;
					goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy141;
					if (yych <= 0x000006F9) goto yy139;
					goto yy141;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy141;
					if (yych <= 0x000009EF) goto yy139;
					goto yy141;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych <= 0x00000AE5) goto yy141;
					goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy141;
					if (yych <= 0x00000B6F) goto yy139;
					goto yy141;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych <= 0x00000C65) goto yy141;
					goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy141;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych <= 0x00000D65) goto yy141;
					goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy141;
					if (yych <= 0x00000E59) goto yy139;
					goto yy141;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy141;
					if (yych <= 0x00001049) goto yy139;
					goto yy141;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy134;
					if (yych <= 0x00001FFF) goto yy141;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy141;
					goto yy3;
				}
			}
		}
	}
yy136:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy145;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy129;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy129;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy129;
				} else {
					if (yych <= 0x00000669) goto yy146;
					if (yych <= 0x000006EF) goto yy129;
					goto yy146;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy129;
					if (yych <= 0x0000096F) goto yy146;
					goto yy129;
				} else {
					if (yych <= 0x000009EF) goto yy146;
					if (yych <= 0x00000A65) goto yy129;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy129;
					goto yy146;
				} else {
					if (yych <= 0x00000B65) goto yy129;
					if (yych <= 0x00000B6F) goto yy146;
					goto yy129;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy146;
					if (yych <= 0x00000C65) goto yy129;
					goto yy146;
				} else {
					if (yych <= 0x00000CE5) goto yy129;
					if (yych <= 0x00000CEF) goto yy146;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy146;
					goto yy129;
				} else {
					if (yych <= 0x00000E59) goto yy146;
					if (yych <= 0x00000ECF) goto yy129;
					goto yy146;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy129;
					if (yych <= 0x00001049) goto yy146;
					goto yy129;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy129;
					goto yy24;
				}
			}
		}
	}
yy137:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy23;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy146;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy17;
					goto yy146;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy146;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy146;
					goto yy192;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy146;
					if (yych <= 0x000006F9) goto yy192;
					goto yy146;
				} else {
					if (yych <= 0x0000096F) goto yy192;
					if (yych <= 0x000009E5) goto yy146;
					if (yych <= 0x000009EF) goto yy192;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy192;
					if (yych <= 0x00000AE5) goto yy146;
					goto yy192;
				} else {
					if (yych <= 0x00000B65) goto yy146;
					if (yych <= 0x00000B6F) goto yy192;
					goto yy146;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy192;
					if (yych <= 0x00000C65) goto yy146;
					goto yy192;
				} else {
					if (yych <= 0x00000CE5) goto yy146;
					if (yych <= 0x00000CEF) goto yy192;
					if (yych <= 0x00000D65) goto yy146;
					goto yy192;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy146;
					if (yych <= 0x00000E59) goto yy192;
					goto yy146;
				} else {
					if (yych <= 0x00000ED9) goto yy192;
					if (yych <= 0x0000103F) goto yy146;
					if (yych <= 0x00001049) goto yy192;
					goto yy146;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy194;
					if (yych <= 0x00001FFF) goto yy146;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy146;
					goto yy17;
				}
			}
		}
	}
yy139:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy149;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy149;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy149;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy149;
					goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy139;
					goto yy149;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych <= 0x00000AE5) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych <= 0x00000C65) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych <= 0x00000D65) goto yy149;
					goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy190;
					if (yych <= 0x00001FFF) goto yy149;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy149;
					goto yy17;
				}
			}
		}
	}
yy141:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych >= '-') goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych >= '0') goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy141;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy141;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy141;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy141;
					goto yy153;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy141;
					if (yych <= 0x000006F9) goto yy153;
					goto yy141;
				} else {
					if (yych <= 0x0000096F) goto yy153;
					if (yych <= 0x000009E5) goto yy141;
					if (yych <= 0x000009EF) goto yy153;
					goto yy141;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy153;
					if (yych <= 0x00000AE5) goto yy141;
					goto yy153;
				} else {
					if (yych <= 0x00000B65) goto yy141;
					if (yych <= 0x00000B6F) goto yy153;
					goto yy141;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy153;
					if (yych <= 0x00000C65) goto yy141;
					goto yy153;
				} else {
					if (yych <= 0x00000CE5) goto yy141;
					if (yych <= 0x00000CEF) goto yy153;
					if (yych <= 0x00000D65) goto yy141;
					goto yy153;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy141;
					if (yych <= 0x00000E59) goto yy153;
					goto yy141;
				} else {
					if (yych <= 0x00000ED9) goto yy153;
					if (yych <= 0x0000103F) goto yy141;
					if (yych <= 0x00001049) goto yy153;
					goto yy141;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy134;
					if (yych <= 0x00001FFF) goto yy141;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy141;
					goto yy17;
				}
			}
		}
	}
yy143:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy156;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy157;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy157;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy157;
				} else {
					if (yych <= 0x00000669) goto yy159;
					if (yych <= 0x000006EF) goto yy157;
					goto yy159;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy157;
					if (yych <= 0x0000096F) goto yy159;
					goto yy157;
				} else {
					if (yych <= 0x000009EF) goto yy159;
					if (yych <= 0x00000A65) goto yy157;
					goto yy159;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy157;
					goto yy159;
				} else {
					if (yych <= 0x00000B65) goto yy157;
					if (yych <= 0x00000B6F) goto yy159;
					goto yy157;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy159;
					if (yych <= 0x00000C65) goto yy157;
					goto yy159;
				} else {
					if (yych <= 0x00000CE5) goto yy157;
					if (yych <= 0x00000CEF) goto yy159;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy159;
					goto yy157;
				} else {
					if (yych <= 0x00000E59) goto yy159;
					if (yych <= 0x00000ECF) goto yy157;
					goto yy159;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy157;
					if (yych <= 0x00001049) goto yy159;
					goto yy157;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy157;
					goto yy24;
				}
			}
		}
	}
yy144:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy129;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy129;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy129;
				} else {
					if (yych <= 0x00000669) goto yy146;
					if (yych <= 0x000006EF) goto yy129;
					goto yy146;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy129;
					if (yych <= 0x0000096F) goto yy146;
					goto yy129;
				} else {
					if (yych <= 0x000009EF) goto yy146;
					if (yych <= 0x00000A65) goto yy129;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy129;
					goto yy146;
				} else {
					if (yych <= 0x00000B65) goto yy129;
					if (yych <= 0x00000B6F) goto yy146;
					goto yy129;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy146;
					if (yych <= 0x00000C65) goto yy129;
					goto yy146;
				} else {
					if (yych <= 0x00000CE5) goto yy129;
					if (yych <= 0x00000CEF) goto yy146;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy146;
					goto yy129;
				} else {
					if (yych <= 0x00000E59) goto yy146;
					if (yych <= 0x00000ECF) goto yy129;
					goto yy146;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy129;
					if (yych <= 0x00001049) goto yy146;
					goto yy129;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy129;
					goto yy24;
				}
			}
		}
	}
yy145:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy126;
					if (yych <= '/') goto yy23;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy17;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych >= 0x000000D7) goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych >= 0x00000660) goto yy131;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy146;
					if (yych <= 0x000006F9) goto yy131;
				} else {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy146;
					if (yych <= 0x000009EF) goto yy131;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy131;
					if (yych >= 0x00000AE6) goto yy131;
				} else {
					if (yych <= 0x00000B65) goto yy146;
					if (yych <= 0x00000B6F) goto yy131;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy131;
					if (yych >= 0x00000C66) goto yy131;
				} else {
					if (yych <= 0x00000CE5) goto yy146;
					if (yych <= 0x00000CEF) goto yy131;
					if (yych >= 0x00000D66) goto yy131;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy146;
					if (yych <= 0x00000E59) goto yy131;
				} else {
					if (yych <= 0x00000ED9) goto yy131;
					if (yych <= 0x0000103F) goto yy146;
					if (yych <= 0x00001049) goto yy131;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy148;
					if (yych >= 0x00002000) goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych >= 0x0000FFDD) goto yy17;
				}
			}
		}
	}
yy146:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy146;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy146;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy146;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy146;
					goto yy131;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy146;
					if (yych <= 0x000006F9) goto yy131;
					goto yy146;
				} else {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy146;
					if (yych <= 0x000009EF) goto yy131;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy131;
					if (yych <= 0x00000AE5) goto yy146;
					goto yy131;
				} else {
					if (yych <= 0x00000B65) goto yy146;
					if (yych <= 0x00000B6F) goto yy131;
					goto yy146;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy131;
					if (yych <= 0x00000C65) goto yy146;
					goto yy131;
				} else {
					if (yych <= 0x00000CE5) goto yy146;
					if (yych <= 0x00000CEF) goto yy131;
					if (yych <= 0x00000D65) goto yy146;
					goto yy131;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy146;
					if (yych <= 0x00000E59) goto yy131;
					goto yy146;
				} else {
					if (yych <= 0x00000ED9) goto yy131;
					if (yych <= 0x0000103F) goto yy146;
					if (yych <= 0x00001049) goto yy131;
					goto yy146;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy148;
					if (yych <= 0x00001FFF) goto yy146;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy146;
					goto yy17;
				}
			}
		}
	}
yy148:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych >= 0x000000D7) goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych >= 0x00000660) goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy139;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy139;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych >= 0x00000AE6) goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy139;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych >= 0x00000C66) goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych >= 0x00000D66) goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy139;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy139;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy151;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy149:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy149;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy149;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy149;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy149;
					goto yy153;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy153;
					goto yy149;
				} else {
					if (yych <= 0x0000096F) goto yy153;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy153;
					goto yy149;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy153;
					if (yych <= 0x00000AE5) goto yy149;
					goto yy153;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy153;
					goto yy149;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy153;
					if (yych <= 0x00000C65) goto yy149;
					goto yy153;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy153;
					if (yych <= 0x00000D65) goto yy149;
					goto yy153;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy153;
					goto yy149;
				} else {
					if (yych <= 0x00000ED9) goto yy153;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy153;
					goto yy149;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy151;
					if (yych <= 0x00001FFF) goto yy149;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy149;
					goto yy17;
				}
			}
		}
	}
yy151:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy149;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy149;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy149;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy149;
					goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy139;
					goto yy149;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych <= 0x00000AE5) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych <= 0x00000C65) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych <= 0x00000D65) goto yy149;
					goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy151;
					if (yych <= 0x00001FFF) goto yy149;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy149;
					goto yy3;
				}
			}
		}
	}
yy153:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy127;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy149;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy149;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy149;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy149;
					goto yy153;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy153;
					goto yy149;
				} else {
					if (yych <= 0x0000096F) goto yy153;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy153;
					goto yy149;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy153;
					if (yych <= 0x00000AE5) goto yy149;
					goto yy153;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy153;
					goto yy149;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy153;
					if (yych <= 0x00000C65) goto yy149;
					goto yy153;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy153;
					if (yych <= 0x00000D65) goto yy149;
					goto yy153;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy153;
					goto yy149;
				} else {
					if (yych <= 0x00000ED9) goto yy153;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy153;
					goto yy149;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy151;
					if (yych <= 0x00001FFF) goto yy149;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy149;
					goto yy17;
				}
			}
		}
	}
yy155:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy127;
					if (yych <= '@') goto yy24;
					goto yy129;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy129;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x000006EF) goto yy129;
					if (yych <= 0x000006F9) goto yy131;
					goto yy129;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy131;
					if (yych <= 0x000009E5) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x00000A65) goto yy129;
					if (yych <= 0x00000A6F) goto yy131;
					goto yy129;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy131;
					if (yych <= 0x00000B65) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x00000BE6) goto yy129;
					if (yych <= 0x00000BEF) goto yy131;
					goto yy129;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy131;
					if (yych <= 0x00000CE5) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x00000D65) goto yy129;
					if (yych <= 0x00000D6F) goto yy131;
					goto yy129;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy131;
					if (yych <= 0x00000ECF) goto yy129;
					goto yy131;
				} else {
					if (yych <= 0x0000103F) goto yy129;
					if (yych <= 0x00001049) goto yy131;
					goto yy129;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy133;
					if (yych <= 0x00001FFF) goto yy129;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy129;
					goto yy24;
				}
			}
		}
	}
yy156:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy23;
					goto yy188;
				} else {
					if (yych <= '/') goto yy23;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy159;
					if (yych <= '^') goto yy17;
					goto yy23;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy159;
					if (yych <= 0x000000BF) goto yy17;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy159;
					if (yych <= 0x00000669) goto yy165;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy165;
					if (yych <= 0x00000965) goto yy159;
					goto yy165;
				} else {
					if (yych <= 0x000009E5) goto yy159;
					if (yych <= 0x000009EF) goto yy165;
					if (yych <= 0x00000A65) goto yy159;
					goto yy165;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy159;
					if (yych <= 0x00000AEF) goto yy165;
					goto yy159;
				} else {
					if (yych <= 0x00000B6F) goto yy165;
					if (yych <= 0x00000BE6) goto yy159;
					goto yy165;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy159;
					if (yych <= 0x00000C6F) goto yy165;
					goto yy159;
				} else {
					if (yych <= 0x00000CEF) goto yy165;
					if (yych <= 0x00000D65) goto yy159;
					if (yych <= 0x00000D6F) goto yy165;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy159;
					goto yy165;
				} else {
					if (yych <= 0x0000103F) goto yy159;
					if (yych <= 0x00001049) goto yy165;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy161;
					if (yych <= 0x00001FFF) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy159;
					goto yy17;
				}
			}
		}
	}
yy157:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy157;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy157;
					if (yych <= 0x000000BF) goto yy17;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy157;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy157;
					if (yych <= 0x00000669) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy165;
					if (yych <= 0x00000965) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x000009E5) goto yy157;
					if (yych <= 0x000009EF) goto yy165;
					if (yych <= 0x00000A65) goto yy157;
					goto yy165;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy157;
					if (yych <= 0x00000AEF) goto yy165;
					goto yy157;
				} else {
					if (yych <= 0x00000B6F) goto yy165;
					if (yych <= 0x00000BE6) goto yy157;
					goto yy165;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy157;
					if (yych <= 0x00000C6F) goto yy165;
					goto yy157;
				} else {
					if (yych <= 0x00000CEF) goto yy165;
					if (yych <= 0x00000D65) goto yy157;
					if (yych <= 0x00000D6F) goto yy165;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x0000103F) goto yy157;
					if (yych <= 0x00001049) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy168;
					if (yych <= 0x00001FFF) goto yy157;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy157;
					goto yy17;
				}
			}
		}
	}
yy159:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy159;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy159;
					if (yych <= 0x000000BF) goto yy17;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy159;
					if (yych <= 0x00000669) goto yy165;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy165;
					if (yych <= 0x00000965) goto yy159;
					goto yy165;
				} else {
					if (yych <= 0x000009E5) goto yy159;
					if (yych <= 0x000009EF) goto yy165;
					if (yych <= 0x00000A65) goto yy159;
					goto yy165;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy159;
					if (yych <= 0x00000AEF) goto yy165;
					goto yy159;
				} else {
					if (yych <= 0x00000B6F) goto yy165;
					if (yych <= 0x00000BE6) goto yy159;
					goto yy165;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy159;
					if (yych <= 0x00000C6F) goto yy165;
					goto yy159;
				} else {
					if (yych <= 0x00000CEF) goto yy165;
					if (yych <= 0x00000D65) goto yy159;
					if (yych <= 0x00000D6F) goto yy165;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy159;
					goto yy165;
				} else {
					if (yych <= 0x0000103F) goto yy159;
					if (yych <= 0x00001049) goto yy165;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy161;
					if (yych <= 0x00001FFF) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy159;
					goto yy17;
				}
			}
		}
	}
yy161:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy3;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy179;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych <= 0x00000669) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych <= 0x00000965) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy173;
					if (yych <= 0x00000A65) goto yy179;
					goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych <= 0x00000AEF) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych <= 0x00000BE6) goto yy179;
					goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych <= 0x00000C6F) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy179;
					if (yych <= 0x00000D6F) goto yy173;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych <= 0x00000ECF) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych <= 0x00001049) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy183;
					if (yych <= 0x00001FFF) goto yy179;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy179;
					goto yy3;
				}
			}
		}
	}
yy162:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy156;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy157;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy157;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy157;
				} else {
					if (yych <= 0x00000669) goto yy159;
					if (yych <= 0x000006EF) goto yy157;
					goto yy159;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy157;
					if (yych <= 0x0000096F) goto yy159;
					goto yy157;
				} else {
					if (yych <= 0x000009EF) goto yy159;
					if (yych <= 0x00000A65) goto yy157;
					goto yy159;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy157;
					goto yy159;
				} else {
					if (yych <= 0x00000B65) goto yy157;
					if (yych <= 0x00000B6F) goto yy159;
					goto yy157;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy159;
					if (yych <= 0x00000C65) goto yy157;
					goto yy159;
				} else {
					if (yych <= 0x00000CE5) goto yy157;
					if (yych <= 0x00000CEF) goto yy159;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy159;
					goto yy157;
				} else {
					if (yych <= 0x00000E59) goto yy159;
					if (yych <= 0x00000ECF) goto yy157;
					goto yy159;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy157;
					if (yych <= 0x00001049) goto yy159;
					goto yy157;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy157;
					goto yy24;
				}
			}
		}
	}
yy163:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy23;
					goto yy167;
				} else {
					if (yych <= '/') goto yy23;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy159;
					if (yych <= '^') goto yy17;
					goto yy23;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy159;
					if (yych <= 0x000000BF) goto yy17;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy159;
					if (yych >= 0x0000066A) goto yy159;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy165;
					if (yych <= 0x00000965) goto yy159;
				} else {
					if (yych <= 0x000009E5) goto yy159;
					if (yych <= 0x000009EF) goto yy165;
					if (yych <= 0x00000A65) goto yy159;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy159;
					if (yych >= 0x00000AF0) goto yy159;
				} else {
					if (yych <= 0x00000B6F) goto yy165;
					if (yych <= 0x00000BE6) goto yy159;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy159;
					if (yych >= 0x00000C70) goto yy159;
				} else {
					if (yych <= 0x00000CEF) goto yy165;
					if (yych <= 0x00000D65) goto yy159;
					if (yych >= 0x00000D70) goto yy159;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy159;
				} else {
					if (yych <= 0x0000103F) goto yy159;
					if (yych >= 0x0000104A) goto yy159;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy161;
					if (yych <= 0x00001FFF) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy159;
					goto yy17;
				}
			}
		}
	}
yy165:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy159;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy159;
					if (yych <= 0x000000BF) goto yy17;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy159;
					if (yych <= 0x00000669) goto yy165;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy165;
					if (yych <= 0x00000965) goto yy159;
					goto yy165;
				} else {
					if (yych <= 0x000009E5) goto yy159;
					if (yych <= 0x000009EF) goto yy165;
					if (yych <= 0x00000A65) goto yy159;
					goto yy165;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy159;
					if (yych <= 0x00000AEF) goto yy165;
					goto yy159;
				} else {
					if (yych <= 0x00000B6F) goto yy165;
					if (yych <= 0x00000BE6) goto yy159;
					goto yy165;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy159;
					if (yych <= 0x00000C6F) goto yy165;
					goto yy159;
				} else {
					if (yych <= 0x00000CEF) goto yy165;
					if (yych <= 0x00000D65) goto yy159;
					if (yych <= 0x00000D6F) goto yy165;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy159;
					goto yy165;
				} else {
					if (yych <= 0x0000103F) goto yy159;
					if (yych <= 0x00001049) goto yy165;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy161;
					if (yych <= 0x00001FFF) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy159;
					goto yy17;
				}
			}
		}
	}
yy167:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy163;
					if (yych <= '@') goto yy24;
					goto yy157;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy157;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x000006EF) goto yy157;
					if (yych <= 0x000006F9) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy165;
					if (yych <= 0x000009E5) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x00000A65) goto yy157;
					if (yych <= 0x00000A6F) goto yy165;
					goto yy157;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy165;
					if (yych <= 0x00000B65) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x00000BE6) goto yy157;
					if (yych <= 0x00000BEF) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy165;
					if (yych <= 0x00000CE5) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x00000D65) goto yy157;
					if (yych <= 0x00000D6F) goto yy165;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x0000103F) goto yy157;
					if (yych <= 0x00001049) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy168;
					if (yych <= 0x00001FFF) goto yy157;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy157;
					goto yy24;
				}
			}
		}
	}
yy168:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych >= ':') goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy171;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy171;
					if (yych <= 0x000000BF) goto yy3;
					goto yy171;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy171;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy171;
					if (yych <= 0x00000669) goto yy173;
					goto yy171;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych <= 0x00000965) goto yy171;
					goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy171;
					if (yych <= 0x000009EF) goto yy173;
					if (yych <= 0x00000A65) goto yy171;
					goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy171;
					if (yych <= 0x00000AEF) goto yy173;
					goto yy171;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych <= 0x00000BE6) goto yy171;
					goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy171;
					if (yych <= 0x00000C6F) goto yy173;
					goto yy171;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy171;
					if (yych <= 0x00000D6F) goto yy173;
					goto yy171;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych <= 0x00000ECF) goto yy171;
					goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy171;
					if (yych <= 0x00001049) goto yy173;
					goto yy171;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy175;
					if (yych <= 0x00001FFF) goto yy171;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy171;
					goto yy3;
				}
			}
		}
	}
yy169:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy23;
					goto yy167;
				} else {
					if (yych <= '/') goto yy23;
					if (yych <= '9') goto yy169;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy159;
					if (yych <= '^') goto yy17;
					goto yy23;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy159;
					if (yych <= 0x000000BF) goto yy17;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy159;
					if (yych <= 0x00000669) goto yy186;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy186;
					if (yych <= 0x00000965) goto yy159;
					goto yy186;
				} else {
					if (yych <= 0x000009E5) goto yy159;
					if (yych <= 0x000009EF) goto yy186;
					if (yych <= 0x00000A65) goto yy159;
					goto yy186;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy159;
					if (yych <= 0x00000AEF) goto yy186;
					goto yy159;
				} else {
					if (yych <= 0x00000B6F) goto yy186;
					if (yych <= 0x00000BE6) goto yy159;
					goto yy186;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy159;
					if (yych <= 0x00000C6F) goto yy186;
					goto yy159;
				} else {
					if (yych <= 0x00000CEF) goto yy186;
					if (yych <= 0x00000D65) goto yy159;
					if (yych <= 0x00000D6F) goto yy186;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy186;
					if (yych <= 0x00000ECF) goto yy159;
					goto yy186;
				} else {
					if (yych <= 0x0000103F) goto yy159;
					if (yych <= 0x00001049) goto yy186;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy185;
					if (yych <= 0x00001FFF) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy159;
					goto yy17;
				}
			}
		}
	}
yy171:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy171;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy171;
					if (yych <= 0x000000BF) goto yy17;
					goto yy171;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy171;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy171;
					if (yych <= 0x00000669) goto yy181;
					goto yy171;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy181;
					if (yych <= 0x00000965) goto yy171;
					goto yy181;
				} else {
					if (yych <= 0x000009E5) goto yy171;
					if (yych <= 0x000009EF) goto yy181;
					if (yych <= 0x00000A65) goto yy171;
					goto yy181;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy171;
					if (yych <= 0x00000AEF) goto yy181;
					goto yy171;
				} else {
					if (yych <= 0x00000B6F) goto yy181;
					if (yych <= 0x00000BE6) goto yy171;
					goto yy181;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy171;
					if (yych <= 0x00000C6F) goto yy181;
					goto yy171;
				} else {
					if (yych <= 0x00000CEF) goto yy181;
					if (yych <= 0x00000D65) goto yy171;
					if (yych <= 0x00000D6F) goto yy181;
					goto yy171;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy181;
					if (yych <= 0x00000ECF) goto yy171;
					goto yy181;
				} else {
					if (yych <= 0x0000103F) goto yy171;
					if (yych <= 0x00001049) goto yy181;
					goto yy171;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy175;
					if (yych <= 0x00001FFF) goto yy171;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy171;
					goto yy17;
				}
			}
		}
	}
yy173:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy17;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy179;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych <= 0x00000669) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych <= 0x00000965) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy173;
					if (yych <= 0x00000A65) goto yy179;
					goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych <= 0x00000AEF) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych <= 0x00000BE6) goto yy179;
					goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych <= 0x00000C6F) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy179;
					if (yych <= 0x00000D6F) goto yy173;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych <= 0x00000ECF) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych <= 0x00001049) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy177;
					if (yych <= 0x00001FFF) goto yy179;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy179;
					goto yy17;
				}
			}
		}
	}
yy175:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy171;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy171;
					if (yych <= 0x000000BF) goto yy3;
					goto yy171;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy171;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy171;
					if (yych <= 0x00000669) goto yy173;
					goto yy171;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych <= 0x00000965) goto yy171;
					goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy171;
					if (yych <= 0x000009EF) goto yy173;
					if (yych <= 0x00000A65) goto yy171;
					goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy171;
					if (yych <= 0x00000AEF) goto yy173;
					goto yy171;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych <= 0x00000BE6) goto yy171;
					goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy171;
					if (yych <= 0x00000C6F) goto yy173;
					goto yy171;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy171;
					if (yych <= 0x00000D6F) goto yy173;
					goto yy171;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych <= 0x00000ECF) goto yy171;
					goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy171;
					if (yych <= 0x00001049) goto yy173;
					goto yy171;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy175;
					if (yych <= 0x00001FFF) goto yy171;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy171;
					goto yy3;
				}
			}
		}
	}
yy177:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy3;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych >= 0x000000F7) goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych <= 0x00000669) goto yy173;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych >= 0x00000966) goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy173;
					if (yych >= 0x00000A66) goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych <= 0x00000AEF) goto yy173;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych >= 0x00000BE7) goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych <= 0x00000C6F) goto yy173;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy179;
					if (yych <= 0x00000D6F) goto yy173;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych >= 0x00000ED0) goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych <= 0x00001049) goto yy173;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy177;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy179:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy17;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy179;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych >= 0x0000066A) goto yy179;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy181;
					if (yych <= 0x00000965) goto yy179;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy181;
					if (yych <= 0x00000A65) goto yy179;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych >= 0x00000AF0) goto yy179;
				} else {
					if (yych <= 0x00000B6F) goto yy181;
					if (yych <= 0x00000BE6) goto yy179;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych >= 0x00000C70) goto yy179;
				} else {
					if (yych <= 0x00000CEF) goto yy181;
					if (yych <= 0x00000D65) goto yy179;
					if (yych >= 0x00000D70) goto yy179;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy181;
					if (yych <= 0x00000ECF) goto yy179;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych >= 0x0000104A) goto yy179;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy183;
					if (yych <= 0x00001FFF) goto yy179;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy179;
					goto yy17;
				}
			}
		}
	}
yy181:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy17;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy179;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych <= 0x00000669) goto yy181;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy181;
					if (yych <= 0x00000965) goto yy179;
					goto yy181;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy181;
					if (yych <= 0x00000A65) goto yy179;
					goto yy181;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych <= 0x00000AEF) goto yy181;
					goto yy179;
				} else {
					if (yych <= 0x00000B6F) goto yy181;
					if (yych <= 0x00000BE6) goto yy179;
					goto yy181;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych <= 0x00000C6F) goto yy181;
					goto yy179;
				} else {
					if (yych <= 0x00000CEF) goto yy181;
					if (yych <= 0x00000D65) goto yy179;
					if (yych <= 0x00000D6F) goto yy181;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy181;
					if (yych <= 0x00000ECF) goto yy179;
					goto yy181;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych <= 0x00001049) goto yy181;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy183;
					if (yych <= 0x00001FFF) goto yy179;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy179;
					goto yy17;
				}
			}
		}
	}
yy183:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy3;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy179;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych <= 0x00000669) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych <= 0x00000965) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy173;
					if (yych <= 0x00000A65) goto yy179;
					goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych <= 0x00000AEF) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych <= 0x00000BE6) goto yy179;
					goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych <= 0x00000C6F) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy179;
					if (yych <= 0x00000D6F) goto yy173;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych <= 0x00000ECF) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych <= 0x00001049) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy183;
					if (yych <= 0x00001FFF) goto yy179;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy179;
					goto yy3;
				}
			}
		}
	}
yy185:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy179;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy179;
					if (yych <= 0x000000BF) goto yy3;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy179;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy179;
					if (yych <= 0x00000669) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy173;
					if (yych <= 0x00000965) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x000009E5) goto yy179;
					if (yych <= 0x000009EF) goto yy173;
					if (yych <= 0x00000A65) goto yy179;
					goto yy173;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy179;
					if (yych <= 0x00000AEF) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000B6F) goto yy173;
					if (yych <= 0x00000BE6) goto yy179;
					goto yy173;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy179;
					if (yych <= 0x00000C6F) goto yy173;
					goto yy179;
				} else {
					if (yych <= 0x00000CEF) goto yy173;
					if (yych <= 0x00000D65) goto yy179;
					if (yych <= 0x00000D6F) goto yy173;
					goto yy179;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy173;
					if (yych <= 0x00000ECF) goto yy179;
					goto yy173;
				} else {
					if (yych <= 0x0000103F) goto yy179;
					if (yych <= 0x00001049) goto yy173;
					goto yy179;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy177;
					if (yych <= 0x00001FFF) goto yy179;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy179;
					goto yy3;
				}
			}
		}
	}
yy186:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy169;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy159;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy159;
					if (yych <= 0x000000BF) goto yy17;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy159;
					if (yych <= 0x00000669) goto yy186;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy186;
					if (yych <= 0x00000965) goto yy159;
					goto yy186;
				} else {
					if (yych <= 0x000009E5) goto yy159;
					if (yych <= 0x000009EF) goto yy186;
					if (yych <= 0x00000A65) goto yy159;
					goto yy186;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy159;
					if (yych <= 0x00000AEF) goto yy186;
					goto yy159;
				} else {
					if (yych <= 0x00000B6F) goto yy186;
					if (yych <= 0x00000BE6) goto yy159;
					goto yy186;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy159;
					if (yych <= 0x00000C6F) goto yy186;
					goto yy159;
				} else {
					if (yych <= 0x00000CEF) goto yy186;
					if (yych <= 0x00000D65) goto yy159;
					if (yych <= 0x00000D6F) goto yy186;
					goto yy159;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy186;
					if (yych <= 0x00000ECF) goto yy159;
					goto yy186;
				} else {
					if (yych <= 0x0000103F) goto yy159;
					if (yych <= 0x00001049) goto yy186;
					goto yy159;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy185;
					if (yych <= 0x00001FFF) goto yy159;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy159;
					goto yy17;
				}
			}
		}
	}
yy188:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych >= ':') goto yy24;
		} else {
			if (yych <= 'Z') goto yy189;
			if (yych <= '`') goto yy24;
			if (yych >= '{') goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych >= 0x000000F7) goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy189;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych >= 0x0000FFDD) goto yy24;
		}
	}
yy189:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy23;
					goto yy188;
				} else {
					if (yych <= '/') goto yy23;
					if (yych <= '9') goto yy163;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy157;
					if (yych <= '^') goto yy17;
					goto yy23;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy157;
					if (yych <= 0x000000BF) goto yy17;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy157;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy157;
					if (yych <= 0x00000669) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy165;
					if (yych <= 0x00000965) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x000009E5) goto yy157;
					if (yych <= 0x000009EF) goto yy165;
					if (yych <= 0x00000A65) goto yy157;
					goto yy165;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy157;
					if (yych <= 0x00000AEF) goto yy165;
					goto yy157;
				} else {
					if (yych <= 0x00000B6F) goto yy165;
					if (yych <= 0x00000BE6) goto yy157;
					goto yy165;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy157;
					if (yych <= 0x00000C6F) goto yy165;
					goto yy157;
				} else {
					if (yych <= 0x00000CEF) goto yy165;
					if (yych <= 0x00000D65) goto yy157;
					if (yych <= 0x00000D6F) goto yy165;
					goto yy157;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy165;
					if (yych <= 0x00000ECF) goto yy157;
					goto yy165;
				} else {
					if (yych <= 0x0000103F) goto yy157;
					if (yych <= 0x00001049) goto yy165;
					goto yy157;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy168;
					if (yych <= 0x00001FFF) goto yy157;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy157;
					goto yy17;
				}
			}
		}
	}
yy190:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy149;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy149;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy149;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy149;
					goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy139;
					goto yy149;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych <= 0x00000AE5) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych <= 0x00000C65) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych <= 0x00000D65) goto yy149;
					goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy190;
					if (yych <= 0x00001FFF) goto yy149;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy149;
					goto yy3;
				}
			}
		}
	}
yy192:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy146;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy146;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy146;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy146;
					goto yy192;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy146;
					if (yych <= 0x000006F9) goto yy192;
					goto yy146;
				} else {
					if (yych <= 0x0000096F) goto yy192;
					if (yych <= 0x000009E5) goto yy146;
					if (yych <= 0x000009EF) goto yy192;
					goto yy146;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy192;
					if (yych <= 0x00000AE5) goto yy146;
					goto yy192;
				} else {
					if (yych <= 0x00000B65) goto yy146;
					if (yych <= 0x00000B6F) goto yy192;
					goto yy146;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy192;
					if (yych <= 0x00000C65) goto yy146;
					goto yy192;
				} else {
					if (yych <= 0x00000CE5) goto yy146;
					if (yych <= 0x00000CEF) goto yy192;
					if (yych <= 0x00000D65) goto yy146;
					goto yy192;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy146;
					if (yych <= 0x00000E59) goto yy192;
					goto yy146;
				} else {
					if (yych <= 0x00000ED9) goto yy192;
					if (yych <= 0x0000103F) goto yy146;
					if (yych <= 0x00001049) goto yy192;
					goto yy146;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy194;
					if (yych <= 0x00001FFF) goto yy146;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy146;
					goto yy17;
				}
			}
		}
	}
yy194:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy137;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy149;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy149;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy149;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy149;
					goto yy139;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy149;
					if (yych <= 0x000006F9) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x0000096F) goto yy139;
					if (yych <= 0x000009E5) goto yy149;
					if (yych <= 0x000009EF) goto yy139;
					goto yy149;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy139;
					if (yych <= 0x00000AE5) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000B65) goto yy149;
					if (yych <= 0x00000B6F) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy139;
					if (yych <= 0x00000C65) goto yy149;
					goto yy139;
				} else {
					if (yych <= 0x00000CE5) goto yy149;
					if (yych <= 0x00000CEF) goto yy139;
					if (yych <= 0x00000D65) goto yy149;
					goto yy139;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy149;
					if (yych <= 0x00000E59) goto yy139;
					goto yy149;
				} else {
					if (yych <= 0x00000ED9) goto yy139;
					if (yych <= 0x0000103F) goto yy149;
					if (yych <= 0x00001049) goto yy139;
					goto yy149;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy190;
					if (yych <= 0x00001FFF) goto yy149;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy149;
					goto yy3;
				}
			}
		}
	}
yy195:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy242;
					if (yych <= '/') goto yy23;
					goto yy18;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy6;
					if (yych <= '@') goto yy26;
					goto yy20;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy6;
					goto yy20;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy6;
					if (yych <= 0x000000D6) goto yy20;
					goto yy6;
				} else {
					if (yych == 0x000000F7) goto yy6;
					if (yych <= 0x0000065F) goto yy20;
					goto yy18;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy20;
					if (yych <= 0x000006F9) goto yy18;
					goto yy20;
				} else {
					if (yych <= 0x0000096F) goto yy18;
					if (yych <= 0x000009E5) goto yy20;
					if (yych <= 0x000009EF) goto yy18;
					goto yy20;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy18;
					if (yych <= 0x00000AE5) goto yy20;
					goto yy18;
				} else {
					if (yych <= 0x00000B65) goto yy20;
					if (yych <= 0x00000B6F) goto yy18;
					goto yy20;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy18;
					if (yych <= 0x00000C65) goto yy20;
					goto yy18;
				} else {
					if (yych <= 0x00000CE5) goto yy20;
					if (yych <= 0x00000CEF) goto yy18;
					if (yych <= 0x00000D65) goto yy20;
					goto yy18;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy20;
					if (yych <= 0x00000E59) goto yy18;
					goto yy20;
				} else {
					if (yych <= 0x00000ED9) goto yy18;
					if (yych <= 0x0000103F) goto yy20;
					if (yych <= 0x00001049) goto yy18;
					goto yy20;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy22;
					if (yych <= 0x00001FFF) goto yy20;
					goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych <= 0x0000FFDC) goto yy20;
					goto yy6;
				}
			}
		}
	}
yy196:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy242;
					if (yych <= '/') goto yy143;
					goto yy18;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy6;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy6;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy6;
					if (yych >= 0x000000D7) goto yy6;
				} else {
					if (yych == 0x000000F7) goto yy6;
					if (yych >= 0x00000660) goto yy243;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy197;
					if (yych <= 0x000006F9) goto yy243;
				} else {
					if (yych <= 0x0000096F) goto yy243;
					if (yych <= 0x000009E5) goto yy197;
					if (yych <= 0x000009EF) goto yy243;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy243;
					if (yych >= 0x00000AE6) goto yy243;
				} else {
					if (yych <= 0x00000B65) goto yy197;
					if (yych <= 0x00000B6F) goto yy243;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy243;
					if (yych >= 0x00000C66) goto yy243;
				} else {
					if (yych <= 0x00000CE5) goto yy197;
					if (yych <= 0x00000CEF) goto yy243;
					if (yych >= 0x00000D66) goto yy243;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy197;
					if (yych <= 0x00000E59) goto yy243;
				} else {
					if (yych <= 0x00000ED9) goto yy243;
					if (yych <= 0x0000103F) goto yy197;
					if (yych <= 0x00001049) goto yy243;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy199;
					if (yych >= 0x00002000) goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych >= 0x0000FFDD) goto yy6;
				}
			}
		}
	}
yy197:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '9') {
			if (yych <= '-') {
				if (yych <= '+') goto yy6;
				if (yych <= ',') goto yy143;
				goto yy144;
			} else {
				if (yych <= '.') goto yy239;
				if (yych <= '/') goto yy143;
				goto yy20;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '?') goto yy6;
				if (yych <= '@') goto yy26;
				goto yy197;
			} else {
				if (yych == '_') goto yy144;
				if (yych <= '`') goto yy6;
				goto yy197;
			}
		}
	} else {
		if (yych <= 0x000010FF) {
			if (yych <= 0x000000D7) {
				if (yych <= 0x000000BF) goto yy6;
				if (yych <= 0x000000D6) goto yy197;
				goto yy6;
			} else {
				if (yych == 0x000000F7) goto yy6;
				goto yy197;
			}
		} else {
			if (yych <= 0x0000ABFF) {
				if (yych <= 0x000011FF) goto yy240;
				if (yych <= 0x00001FFF) goto yy197;
				goto yy6;
			} else {
				if (yych <= 0x0000D7AF) goto yy87;
				if (yych <= 0x0000FF9F) goto yy6;
				if (yych <= 0x0000FFDC) goto yy197;
				goto yy6;
			}
		}
	}
yy199:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy238;
					if (yych <= '/') goto yy143;
					goto yy195;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy197;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy197;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy197;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy197;
					goto yy196;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy197;
					if (yych <= 0x000006F9) goto yy196;
					goto yy197;
				} else {
					if (yych <= 0x0000096F) goto yy196;
					if (yych <= 0x000009E5) goto yy197;
					if (yych <= 0x000009EF) goto yy196;
					goto yy197;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy196;
					if (yych <= 0x00000AE5) goto yy197;
					goto yy196;
				} else {
					if (yych <= 0x00000B65) goto yy197;
					if (yych <= 0x00000B6F) goto yy196;
					goto yy197;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy196;
					if (yych <= 0x00000C65) goto yy197;
					goto yy196;
				} else {
					if (yych <= 0x00000CE5) goto yy197;
					if (yych <= 0x00000CEF) goto yy196;
					if (yych <= 0x00000D65) goto yy197;
					goto yy196;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy197;
					if (yych <= 0x00000E59) goto yy196;
					goto yy197;
				} else {
					if (yych <= 0x00000ED9) goto yy196;
					if (yych <= 0x0000103F) goto yy197;
					if (yych <= 0x00001049) goto yy196;
					goto yy197;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy199;
					if (yych <= 0x00001FFF) goto yy197;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy197;
					goto yy3;
				}
			}
		}
	}
yy201:
	yych = *++YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych >= ':') goto yy24;
		} else {
			if (yych <= 'Z') goto yy202;
			if (yych <= '`') goto yy24;
			if (yych >= '{') goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych >= 0x000000F7) goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy202;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych >= 0x0000FFDD) goto yy24;
		}
	}
yy202:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy205;
					if (yych <= '/') goto yy23;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy211;
				} else {
					if (yych == '_') goto yy25;
					if (yych >= 'a') goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy211;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy211;
					goto yy209;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy211;
					if (yych <= 0x000006F9) goto yy209;
					goto yy211;
				} else {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy211;
					if (yych <= 0x000009EF) goto yy209;
					goto yy211;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy209;
					if (yych <= 0x00000AE5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000B65) goto yy211;
					if (yych <= 0x00000B6F) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy209;
					if (yych <= 0x00000C65) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000CE5) goto yy211;
					if (yych <= 0x00000CEF) goto yy209;
					if (yych <= 0x00000D65) goto yy211;
					goto yy209;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy211;
					if (yych <= 0x00000E59) goto yy209;
					goto yy211;
				} else {
					if (yych <= 0x00000ED9) goto yy209;
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy204;
					if (yych <= 0x00001FFF) goto yy211;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy211;
				}
			}
		}
	}
yy203:
	{ tokenType = HOST;			goto SET_TOKEN; }
yy204:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy234;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy234;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy234;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy234;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy234;
					if (yych <= 0x000006F9) goto yy222;
					goto yy234;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy234;
					if (yych <= 0x000009EF) goto yy222;
					goto yy234;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy234;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy234;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy234;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy234;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy234;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy234;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy234;
					if (yych <= 0x00000E59) goto yy222;
					goto yy234;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy234;
					if (yych <= 0x00001049) goto yy222;
					goto yy234;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy236;
					if (yych <= 0x00001FFF) goto yy234;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy234;
					goto yy3;
				}
			}
		}
	}
yy205:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy206;
			if (yych <= '9') goto yy202;
		} else {
			if (yych <= 'Z') goto yy202;
			if (yych <= '`') goto yy206;
			if (yych <= 'z') goto yy202;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy206;
			if (yych <= 0x000000F6) goto yy202;
		} else {
			if (yych <= 0x00001FFF) goto yy202;
			if (yych <= 0x0000FF9F) goto yy206;
			if (yych <= 0x0000FFDC) goto yy202;
		}
	}
yy206:
	{ tokenType = ACRONYM_DEP;	goto SET_TOKEN; }
yy207:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy23;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy215;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
					goto yy215;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy215;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy215;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy215;
					if (yych >= 0x000006FA) goto yy215;
				} else {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy215;
					if (yych >= 0x000009F0) goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy209;
					if (yych <= 0x00000AE5) goto yy215;
				} else {
					if (yych <= 0x00000B65) goto yy215;
					if (yych >= 0x00000B70) goto yy215;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy209;
					if (yych <= 0x00000C65) goto yy215;
				} else {
					if (yych <= 0x00000CE5) goto yy215;
					if (yych <= 0x00000CEF) goto yy209;
					if (yych <= 0x00000D65) goto yy215;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy215;
					if (yych >= 0x00000E5A) goto yy215;
				} else {
					if (yych <= 0x00000ED9) goto yy209;
					if (yych <= 0x0000103F) goto yy215;
					if (yych >= 0x0000104A) goto yy215;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy217;
					if (yych <= 0x00001FFF) goto yy215;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy215;
					goto yy203;
				}
			}
		}
	}
yy209:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy215;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy215;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy215;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy215;
					goto yy209;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy215;
					if (yych <= 0x000006F9) goto yy209;
					goto yy215;
				} else {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy215;
					if (yych <= 0x000009EF) goto yy209;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy209;
					if (yych <= 0x00000AE5) goto yy215;
					goto yy209;
				} else {
					if (yych <= 0x00000B65) goto yy215;
					if (yych <= 0x00000B6F) goto yy209;
					goto yy215;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy209;
					if (yych <= 0x00000C65) goto yy215;
					goto yy209;
				} else {
					if (yych <= 0x00000CE5) goto yy215;
					if (yych <= 0x00000CEF) goto yy209;
					if (yych <= 0x00000D65) goto yy215;
					goto yy209;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy215;
					if (yych <= 0x00000E59) goto yy209;
					goto yy215;
				} else {
					if (yych <= 0x00000ED9) goto yy209;
					if (yych <= 0x0000103F) goto yy215;
					if (yych <= 0x00001049) goto yy209;
					goto yy215;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy217;
					if (yych <= 0x00001FFF) goto yy215;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy215;
					goto yy203;
				}
			}
		}
	}
yy211:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy211;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy211;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy211;
					goto yy209;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy211;
					if (yych <= 0x000006F9) goto yy209;
					goto yy211;
				} else {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy211;
					if (yych <= 0x000009EF) goto yy209;
					goto yy211;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy209;
					if (yych <= 0x00000AE5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000B65) goto yy211;
					if (yych <= 0x00000B6F) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy209;
					if (yych <= 0x00000C65) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000CE5) goto yy211;
					if (yych <= 0x00000CEF) goto yy209;
					if (yych <= 0x00000D65) goto yy211;
					goto yy209;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy211;
					if (yych <= 0x00000E59) goto yy209;
					goto yy211;
				} else {
					if (yych <= 0x00000ED9) goto yy209;
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy204;
					if (yych <= 0x00001FFF) goto yy211;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy203;
				}
			}
		}
	}
yy213:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy206;
				} else {
					if (yych <= '@') goto yy206;
					if (yych <= 'Z') goto yy211;
					goto yy206;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy211;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy206;
					goto yy211;
				} else {
					if (yych <= 0x00000669) goto yy215;
					if (yych <= 0x000006EF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy211;
					if (yych <= 0x0000096F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x000009EF) goto yy215;
					if (yych <= 0x00000A65) goto yy211;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000B65) goto yy211;
					if (yych <= 0x00000B6F) goto yy215;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy215;
					if (yych <= 0x00000C65) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000CE5) goto yy211;
					if (yych <= 0x00000CEF) goto yy215;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x00000E59) goto yy215;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy206;
				}
			}
		}
	}
yy214:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy205;
					if (yych <= '/') goto yy23;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych >= 0x000000D7) goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych >= 0x00000660) goto yy209;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy215;
					if (yych <= 0x000006F9) goto yy209;
				} else {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy215;
					if (yych <= 0x000009EF) goto yy209;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy209;
					if (yych >= 0x00000AE6) goto yy209;
				} else {
					if (yych <= 0x00000B65) goto yy215;
					if (yych <= 0x00000B6F) goto yy209;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy209;
					if (yych >= 0x00000C66) goto yy209;
				} else {
					if (yych <= 0x00000CE5) goto yy215;
					if (yych <= 0x00000CEF) goto yy209;
					if (yych >= 0x00000D66) goto yy209;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy215;
					if (yych <= 0x00000E59) goto yy209;
				} else {
					if (yych <= 0x00000ED9) goto yy209;
					if (yych <= 0x0000103F) goto yy215;
					if (yych <= 0x00001049) goto yy209;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy217;
					if (yych >= 0x00002000) goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych >= 0x0000FFDD) goto yy203;
				}
			}
		}
	}
yy215:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy215;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy215;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy215;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy215;
					goto yy209;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy215;
					if (yych <= 0x000006F9) goto yy209;
					goto yy215;
				} else {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy215;
					if (yych <= 0x000009EF) goto yy209;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy209;
					if (yych <= 0x00000AE5) goto yy215;
					goto yy209;
				} else {
					if (yych <= 0x00000B65) goto yy215;
					if (yych <= 0x00000B6F) goto yy209;
					goto yy215;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy209;
					if (yych <= 0x00000C65) goto yy215;
					goto yy209;
				} else {
					if (yych <= 0x00000CE5) goto yy215;
					if (yych <= 0x00000CEF) goto yy209;
					if (yych <= 0x00000D65) goto yy215;
					goto yy209;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy215;
					if (yych <= 0x00000E59) goto yy209;
					goto yy215;
				} else {
					if (yych <= 0x00000ED9) goto yy209;
					if (yych <= 0x0000103F) goto yy215;
					if (yych <= 0x00001049) goto yy209;
					goto yy215;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy217;
					if (yych <= 0x00001FFF) goto yy215;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy215;
					goto yy203;
				}
			}
		}
	}
yy217:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy220;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy220;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy222;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy220;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy224;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy3;
				}
			}
		}
	}
yy218:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy23;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy215;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
					goto yy215;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy215;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy215;
					goto yy231;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy215;
					if (yych <= 0x000006F9) goto yy231;
					goto yy215;
				} else {
					if (yych <= 0x0000096F) goto yy231;
					if (yych <= 0x000009E5) goto yy215;
					if (yych <= 0x000009EF) goto yy231;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy231;
					if (yych <= 0x00000AE5) goto yy215;
					goto yy231;
				} else {
					if (yych <= 0x00000B65) goto yy215;
					if (yych <= 0x00000B6F) goto yy231;
					goto yy215;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy231;
					if (yych <= 0x00000C65) goto yy215;
					goto yy231;
				} else {
					if (yych <= 0x00000CE5) goto yy215;
					if (yych <= 0x00000CEF) goto yy231;
					if (yych <= 0x00000D65) goto yy215;
					goto yy231;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy215;
					if (yych <= 0x00000E59) goto yy231;
					goto yy215;
				} else {
					if (yych <= 0x00000ED9) goto yy231;
					if (yych <= 0x0000103F) goto yy215;
					if (yych <= 0x00001049) goto yy231;
					goto yy215;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy233;
					if (yych <= 0x00001FFF) goto yy215;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy215;
					goto yy203;
				}
			}
		}
	}
yy220:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy220;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy220;
					goto yy229;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy229;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy229;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy229;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy229;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy229;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy229;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy229;
					if (yych <= 0x00000C65) goto yy220;
					goto yy229;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy229;
					if (yych <= 0x00000D65) goto yy220;
					goto yy229;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy229;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy229;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy229;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy224;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy203;
				}
			}
		}
	}
yy222:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy220;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy220;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy222;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy220;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy227;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy203;
				}
			}
		}
	}
yy224:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy220;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy220;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy222;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy220;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy224;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy3;
				}
			}
		}
	}
yy226:
	yyaccept = 5;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy206;
				} else {
					if (yych <= '9') goto yy207;
					if (yych <= '@') goto yy206;
					goto yy211;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy206;
					if (yych <= 'z') goto yy211;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy206;
					if (yych <= 0x0000065F) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x000006EF) goto yy211;
					if (yych <= 0x000006F9) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000A65) goto yy211;
					if (yych <= 0x00000A6F) goto yy209;
					goto yy211;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy209;
					if (yych <= 0x00000B65) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000BE6) goto yy211;
					if (yych <= 0x00000BEF) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy209;
					if (yych <= 0x00000CE5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000D65) goto yy211;
					if (yych <= 0x00000D6F) goto yy209;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy209;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy204;
					if (yych <= 0x00001FFF) goto yy211;
					goto yy206;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy206;
				}
			}
		}
	}
yy227:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy220;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy220;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy222;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy220;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy227;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy3;
				}
			}
		}
	}
yy229:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy220;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy220;
					goto yy229;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy229;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy229;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy229;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy229;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy229;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy229;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy229;
					if (yych <= 0x00000C65) goto yy220;
					goto yy229;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy229;
					if (yych <= 0x00000D65) goto yy220;
					goto yy229;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy229;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy229;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy229;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy224;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy203;
				}
			}
		}
	}
yy231:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy215;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy215;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy215;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy215;
					goto yy231;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy215;
					if (yych <= 0x000006F9) goto yy231;
					goto yy215;
				} else {
					if (yych <= 0x0000096F) goto yy231;
					if (yych <= 0x000009E5) goto yy215;
					if (yych <= 0x000009EF) goto yy231;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy231;
					if (yych <= 0x00000AE5) goto yy215;
					goto yy231;
				} else {
					if (yych <= 0x00000B65) goto yy215;
					if (yych <= 0x00000B6F) goto yy231;
					goto yy215;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy231;
					if (yych <= 0x00000C65) goto yy215;
					goto yy231;
				} else {
					if (yych <= 0x00000CE5) goto yy215;
					if (yych <= 0x00000CEF) goto yy231;
					if (yych <= 0x00000D65) goto yy215;
					goto yy231;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy215;
					if (yych <= 0x00000E59) goto yy231;
					goto yy215;
				} else {
					if (yych <= 0x00000ED9) goto yy231;
					if (yych <= 0x0000103F) goto yy215;
					if (yych <= 0x00001049) goto yy231;
					goto yy215;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy233;
					if (yych <= 0x00001FFF) goto yy215;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy215;
					goto yy203;
				}
			}
		}
	}
yy233:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy220;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy220;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy220;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy220;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy220;
					if (yych <= 0x000006F9) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy220;
					if (yych <= 0x000009EF) goto yy222;
					goto yy220;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy220;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy220;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy220;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy220;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy220;
					if (yych <= 0x00000E59) goto yy222;
					goto yy220;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy220;
					if (yych <= 0x00001049) goto yy222;
					goto yy220;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy227;
					if (yych <= 0x00001FFF) goto yy220;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy220;
					goto yy3;
				}
			}
		}
	}
yy234:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy207;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy234;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy234;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy234;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy234;
					goto yy229;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy234;
					if (yych <= 0x000006F9) goto yy229;
					goto yy234;
				} else {
					if (yych <= 0x0000096F) goto yy229;
					if (yych <= 0x000009E5) goto yy234;
					if (yych <= 0x000009EF) goto yy229;
					goto yy234;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy229;
					if (yych <= 0x00000AE5) goto yy234;
					goto yy229;
				} else {
					if (yych <= 0x00000B65) goto yy234;
					if (yych <= 0x00000B6F) goto yy229;
					goto yy234;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy229;
					if (yych <= 0x00000C65) goto yy234;
					goto yy229;
				} else {
					if (yych <= 0x00000CE5) goto yy234;
					if (yych <= 0x00000CEF) goto yy229;
					if (yych <= 0x00000D65) goto yy234;
					goto yy229;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy234;
					if (yych <= 0x00000E59) goto yy229;
					goto yy234;
				} else {
					if (yych <= 0x00000ED9) goto yy229;
					if (yych <= 0x0000103F) goto yy234;
					if (yych <= 0x00001049) goto yy229;
					goto yy234;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy236;
					if (yych <= 0x00001FFF) goto yy234;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy234;
					goto yy203;
				}
			}
		}
	}
yy236:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy218;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy234;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy234;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy234;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy234;
					goto yy222;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy234;
					if (yych <= 0x000006F9) goto yy222;
					goto yy234;
				} else {
					if (yych <= 0x0000096F) goto yy222;
					if (yych <= 0x000009E5) goto yy234;
					if (yych <= 0x000009EF) goto yy222;
					goto yy234;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy222;
					if (yych <= 0x00000AE5) goto yy234;
					goto yy222;
				} else {
					if (yych <= 0x00000B65) goto yy234;
					if (yych <= 0x00000B6F) goto yy222;
					goto yy234;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy222;
					if (yych <= 0x00000C65) goto yy234;
					goto yy222;
				} else {
					if (yych <= 0x00000CE5) goto yy234;
					if (yych <= 0x00000CEF) goto yy222;
					if (yych <= 0x00000D65) goto yy234;
					goto yy222;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy234;
					if (yych <= 0x00000E59) goto yy222;
					goto yy234;
				} else {
					if (yych <= 0x00000ED9) goto yy222;
					if (yych <= 0x0000103F) goto yy234;
					if (yych <= 0x00001049) goto yy222;
					goto yy234;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy236;
					if (yych <= 0x00001FFF) goto yy234;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy234;
					goto yy3;
				}
			}
		}
	}
yy238:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy214;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy211;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy211;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy211;
				} else {
					if (yych <= 0x00000669) goto yy215;
					if (yych <= 0x000006EF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy211;
					if (yych <= 0x0000096F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x000009EF) goto yy215;
					if (yych <= 0x00000A65) goto yy211;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000B65) goto yy211;
					if (yych <= 0x00000B6F) goto yy215;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy215;
					if (yych <= 0x00000C65) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000CE5) goto yy211;
					if (yych <= 0x00000CEF) goto yy215;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x00000E59) goto yy215;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy24;
				}
			}
		}
	}
yy239:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy214;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy211;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy211;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy211;
				} else {
					if (yych <= 0x00000669) goto yy215;
					if (yych <= 0x000006EF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy211;
					if (yych <= 0x0000096F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x000009EF) goto yy215;
					if (yych <= 0x00000A65) goto yy211;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000B65) goto yy211;
					if (yych <= 0x00000B6F) goto yy215;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy215;
					if (yych <= 0x00000C65) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000CE5) goto yy211;
					if (yych <= 0x00000CEF) goto yy215;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x00000E59) goto yy215;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy24;
				}
			}
		}
	}
yy240:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy238;
					if (yych <= '/') goto yy143;
					goto yy195;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy197;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy197;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy197;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy197;
					goto yy196;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy197;
					if (yych <= 0x000006F9) goto yy196;
					goto yy197;
				} else {
					if (yych <= 0x0000096F) goto yy196;
					if (yych <= 0x000009E5) goto yy197;
					if (yych <= 0x000009EF) goto yy196;
					goto yy197;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy196;
					if (yych <= 0x00000AE5) goto yy197;
					goto yy196;
				} else {
					if (yych <= 0x00000B65) goto yy197;
					if (yych <= 0x00000B6F) goto yy196;
					goto yy197;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy196;
					if (yych <= 0x00000C65) goto yy197;
					goto yy196;
				} else {
					if (yych <= 0x00000CE5) goto yy197;
					if (yych <= 0x00000CEF) goto yy196;
					if (yych <= 0x00000D65) goto yy197;
					goto yy196;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy197;
					if (yych <= 0x00000E59) goto yy196;
					goto yy197;
				} else {
					if (yych <= 0x00000ED9) goto yy196;
					if (yych <= 0x0000103F) goto yy197;
					if (yych <= 0x00001049) goto yy196;
					goto yy197;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy240;
					if (yych <= 0x00001FFF) goto yy197;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy197;
					goto yy3;
				}
			}
		}
	}
yy242:
	yych = *++YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy207;
					if (yych <= '@') goto yy24;
					goto yy211;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy211;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x000006EF) goto yy211;
					if (yych <= 0x000006F9) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000A65) goto yy211;
					if (yych <= 0x00000A6F) goto yy209;
					goto yy211;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy209;
					if (yych <= 0x00000B65) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000BE6) goto yy211;
					if (yych <= 0x00000BEF) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy209;
					if (yych <= 0x00000CE5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000D65) goto yy211;
					if (yych <= 0x00000D6F) goto yy209;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy209;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy204;
					if (yych <= 0x00001FFF) goto yy211;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy24;
				}
			}
		}
	}
yy243:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy239;
					if (yych <= '/') goto yy143;
					goto yy18;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy6;
					if (yych <= '@') goto yy26;
					goto yy197;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy6;
					goto yy197;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy6;
					if (yych <= 0x000000D6) goto yy197;
					goto yy6;
				} else {
					if (yych == 0x000000F7) goto yy6;
					if (yych <= 0x0000065F) goto yy197;
					goto yy243;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy197;
					if (yych <= 0x000006F9) goto yy243;
					goto yy197;
				} else {
					if (yych <= 0x0000096F) goto yy243;
					if (yych <= 0x000009E5) goto yy197;
					if (yych <= 0x000009EF) goto yy243;
					goto yy197;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy243;
					if (yych <= 0x00000AE5) goto yy197;
					goto yy243;
				} else {
					if (yych <= 0x00000B65) goto yy197;
					if (yych <= 0x00000B6F) goto yy243;
					goto yy197;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy243;
					if (yych <= 0x00000C65) goto yy197;
					goto yy243;
				} else {
					if (yych <= 0x00000CE5) goto yy197;
					if (yych <= 0x00000CEF) goto yy243;
					if (yych <= 0x00000D65) goto yy197;
					goto yy243;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy197;
					if (yych <= 0x00000E59) goto yy243;
					goto yy197;
				} else {
					if (yych <= 0x00000ED9) goto yy243;
					if (yych <= 0x0000103F) goto yy197;
					if (yych <= 0x00001049) goto yy243;
					goto yy197;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy199;
					if (yych <= 0x00001FFF) goto yy197;
					goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych <= 0x0000FFDC) goto yy197;
					goto yy6;
				}
			}
		}
	}
yy245:
	yych = *++YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych <= '9') goto yy202;
			goto yy24;
		} else {
			if (yych <= 'Z') goto yy202;
			if (yych <= '`') goto yy24;
			if (yych <= 'z') goto yy202;
			goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy202;
			goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy202;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy202;
			goto yy24;
		}
	}
yy246:
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy17;
				} else {
					if (yych <= '9') goto yy79;
					if (yych <= '@') goto yy17;
					goto yy72;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy72;
					goto yy17;
				} else {
					if (yych == 0x000000D7) goto yy17;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x000006EF) goto yy72;
					if (yych <= 0x000006F9) goto yy80;
					goto yy72;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy80;
					if (yych <= 0x000009E5) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x00000A65) goto yy72;
					if (yych <= 0x00000A6F) goto yy80;
					goto yy72;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy80;
					if (yych <= 0x00000B65) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x00000BE6) goto yy72;
					if (yych <= 0x00000BEF) goto yy80;
					goto yy72;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy80;
					if (yych <= 0x00000CE5) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x00000D65) goto yy72;
					if (yych <= 0x00000D6F) goto yy80;
					goto yy72;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy80;
					if (yych <= 0x00000ECF) goto yy72;
					goto yy80;
				} else {
					if (yych <= 0x0000103F) goto yy72;
					if (yych <= 0x00001049) goto yy80;
					goto yy72;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy116;
					if (yych <= 0x00001FFF) goto yy72;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy72;
					goto yy17;
				}
			}
		}
	}
yy247:
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy17;
				} else {
					if (yych <= '9') goto yy370;
					if (yych <= '@') goto yy17;
					goto yy416;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy416;
					goto yy17;
				} else {
					if (yych == 0x000000D7) goto yy17;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x000006EF) goto yy416;
					if (yych <= 0x000006F9) goto yy415;
					goto yy416;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy415;
					if (yych <= 0x000009E5) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x00000A65) goto yy416;
					if (yych <= 0x00000A6F) goto yy415;
					goto yy416;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy415;
					if (yych <= 0x00000B65) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x00000BE6) goto yy416;
					if (yych <= 0x00000BEF) goto yy415;
					goto yy416;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy415;
					if (yych <= 0x00000CE5) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x00000D65) goto yy416;
					if (yych <= 0x00000D6F) goto yy415;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy415;
					if (yych <= 0x00000ECF) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x0000103F) goto yy416;
					if (yych <= 0x00001049) goto yy415;
					goto yy416;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy414;
					if (yych <= 0x00001FFF) goto yy416;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy416;
					goto yy17;
				}
			}
		}
	}
yy248:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= '_') {
		if (yych <= '.') {
			if (yych <= '\'') {
				if (yych <= '%') goto yy6;
				if (yych <= '&') goto yy257;
				goto yy258;
			} else {
				if (yych <= '+') goto yy6;
				if (yych <= ',') goto yy254;
				if (yych <= '-') goto yy255;
				goto yy411;
			}
		} else {
			if (yych <= '?') {
				if (yych <= '/') goto yy254;
				if (yych <= '9') goto yy20;
				goto yy6;
			} else {
				if (yych <= '@') goto yy256;
				if (yych <= 'Z') goto yy248;
				if (yych <= '^') goto yy6;
				goto yy255;
			}
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych <= 0x000000BF) {
				if (yych <= '`') goto yy6;
				if (yych <= 'z') goto yy248;
				goto yy6;
			} else {
				if (yych == 0x000000D7) goto yy6;
				if (yych <= 0x000000F6) goto yy248;
				goto yy6;
			}
		} else {
			if (yych <= 0x0000ABFF) {
				if (yych <= 0x000010FF) goto yy248;
				if (yych <= 0x000011FF) goto yy412;
				if (yych <= 0x00001FFF) goto yy248;
				goto yy6;
			} else {
				if (yych <= 0x0000D7AF) goto yy87;
				if (yych <= 0x0000FF9F) goto yy6;
				if (yych <= 0x0000FFDC) goto yy248;
				goto yy6;
			}
		}
	}
yy250:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '_') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy6;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy254;
					if (yych <= '-') goto yy255;
					goto yy411;
				}
			} else {
				if (yych <= '?') {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy18;
					goto yy6;
				} else {
					if (yych <= '@') goto yy256;
					if (yych <= 'Z') goto yy248;
					if (yych <= '^') goto yy6;
					goto yy255;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy6;
					if (yych <= 'z') goto yy248;
					goto yy6;
				} else {
					if (yych == 0x000000D7) goto yy6;
					if (yych <= 0x000000F6) goto yy248;
					goto yy6;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy248;
					if (yych <= 0x00000669) goto yy250;
					goto yy248;
				} else {
					if (yych <= 0x000006F9) goto yy250;
					if (yych <= 0x00000965) goto yy248;
					if (yych <= 0x0000096F) goto yy250;
					goto yy248;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy250;
					if (yych <= 0x00000A65) goto yy248;
					goto yy250;
				} else {
					if (yych <= 0x00000AE5) goto yy248;
					if (yych <= 0x00000AEF) goto yy250;
					if (yych <= 0x00000B65) goto yy248;
					goto yy250;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy248;
					if (yych <= 0x00000BEF) goto yy250;
					goto yy248;
				} else {
					if (yych <= 0x00000C6F) goto yy250;
					if (yych <= 0x00000CE5) goto yy248;
					if (yych <= 0x00000CEF) goto yy250;
					goto yy248;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy250;
					if (yych <= 0x00000E4F) goto yy248;
					goto yy250;
				} else {
					if (yych <= 0x00000ECF) goto yy248;
					if (yych <= 0x00000ED9) goto yy250;
					if (yych <= 0x0000103F) goto yy248;
					goto yy250;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000010FF) goto yy248;
					if (yych <= 0x000011FF) goto yy252;
					if (yych <= 0x00001FFF) goto yy248;
					goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych <= 0x0000FFDC) goto yy248;
					goto yy6;
				}
			}
		}
	}
yy252:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '_') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy3;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					if (yych <= '-') goto yy255;
					goto yy362;
				}
			} else {
				if (yych <= '?') {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy195;
					goto yy3;
				} else {
					if (yych <= '@') goto yy256;
					if (yych <= 'Z') goto yy248;
					if (yych <= '^') goto yy3;
					goto yy255;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy248;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy248;
					goto yy3;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy248;
					if (yych <= 0x00000669) goto yy361;
					goto yy248;
				} else {
					if (yych <= 0x000006F9) goto yy361;
					if (yych <= 0x00000965) goto yy248;
					if (yych <= 0x0000096F) goto yy361;
					goto yy248;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy361;
					if (yych <= 0x00000A65) goto yy248;
					goto yy361;
				} else {
					if (yych <= 0x00000AE5) goto yy248;
					if (yych <= 0x00000AEF) goto yy361;
					if (yych <= 0x00000B65) goto yy248;
					goto yy361;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy248;
					if (yych <= 0x00000BEF) goto yy361;
					goto yy248;
				} else {
					if (yych <= 0x00000C6F) goto yy361;
					if (yych <= 0x00000CE5) goto yy248;
					if (yych <= 0x00000CEF) goto yy361;
					goto yy248;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy361;
					if (yych <= 0x00000E4F) goto yy248;
					goto yy361;
				} else {
					if (yych <= 0x00000ECF) goto yy248;
					if (yych <= 0x00000ED9) goto yy361;
					if (yych <= 0x0000103F) goto yy248;
					goto yy361;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000010FF) goto yy248;
					if (yych <= 0x000011FF) goto yy252;
					if (yych <= 0x00001FFF) goto yy248;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy248;
					goto yy3;
				}
			}
		}
	}
yy254:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy314;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy315;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy315;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy315;
				} else {
					if (yych <= 0x00000669) goto yy317;
					if (yych <= 0x000006EF) goto yy315;
					goto yy317;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy315;
					if (yych <= 0x0000096F) goto yy317;
					goto yy315;
				} else {
					if (yych <= 0x000009EF) goto yy317;
					if (yych <= 0x00000A65) goto yy315;
					goto yy317;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy315;
					goto yy317;
				} else {
					if (yych <= 0x00000B65) goto yy315;
					if (yych <= 0x00000B6F) goto yy317;
					goto yy315;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy317;
					if (yych <= 0x00000C65) goto yy315;
					goto yy317;
				} else {
					if (yych <= 0x00000CE5) goto yy315;
					if (yych <= 0x00000CEF) goto yy317;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy317;
					goto yy315;
				} else {
					if (yych <= 0x00000E59) goto yy317;
					if (yych <= 0x00000ECF) goto yy315;
					goto yy317;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy315;
					if (yych <= 0x00001049) goto yy317;
					goto yy315;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy315;
					goto yy24;
				}
			}
		}
	}
yy255:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy267;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy268;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy268;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy268;
				} else {
					if (yych <= 0x00000669) goto yy270;
					if (yych <= 0x000006EF) goto yy268;
					goto yy270;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy268;
					if (yych <= 0x0000096F) goto yy270;
					goto yy268;
				} else {
					if (yych <= 0x000009EF) goto yy270;
					if (yych <= 0x00000A65) goto yy268;
					goto yy270;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy268;
					goto yy270;
				} else {
					if (yych <= 0x00000B65) goto yy268;
					if (yych <= 0x00000B6F) goto yy270;
					goto yy268;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy270;
					if (yych <= 0x00000C65) goto yy268;
					goto yy270;
				} else {
					if (yych <= 0x00000CE5) goto yy268;
					if (yych <= 0x00000CEF) goto yy270;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy270;
					goto yy268;
				} else {
					if (yych <= 0x00000E59) goto yy270;
					if (yych <= 0x00000ECF) goto yy268;
					goto yy270;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy268;
					if (yych <= 0x00001049) goto yy270;
					goto yy268;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy268;
					goto yy24;
				}
			}
		}
	}
yy256:
	yych = *++YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy24;
			if (yych <= '9') goto yy119;
			goto yy24;
		} else {
			if (yych <= 'Z') goto yy265;
			if (yych <= '`') goto yy24;
			if (yych <= 'z') goto yy265;
			goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy265;
			goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy265;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy265;
			goto yy24;
		}
	}
yy257:
	yych = *++YYCURSOR;
	if (yych <= 0x000000D6) {
		if (yych <= '`') {
			if (yych <= '@') goto yy24;
			if (yych <= 'Z') goto yy262;
			goto yy24;
		} else {
			if (yych <= 'z') goto yy262;
			if (yych <= 0x000000BF) goto yy24;
			goto yy262;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych <= 0x000000D7) goto yy24;
			if (yych <= 0x000000F6) goto yy262;
			goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy262;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych <= 0x0000FFDC) goto yy262;
			goto yy24;
		}
	}
yy258:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000D6) {
		if (yych <= '`') {
			if (yych <= '@') goto yy24;
			if (yych >= '[') goto yy24;
		} else {
			if (yych <= 'z') goto yy259;
			if (yych <= 0x000000BF) goto yy24;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych <= 0x000000D7) goto yy24;
			if (yych >= 0x000000F7) goto yy24;
		} else {
			if (yych <= 0x00001FFF) goto yy259;
			if (yych <= 0x0000FF9F) goto yy24;
			if (yych >= 0x0000FFDD) goto yy24;
		}
	}
yy259:
	yyaccept = 6;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych == '\'') goto yy258;
		} else {
			if (yych <= 'Z') goto yy259;
			if (yych <= '`') goto yy261;
			if (yych <= 'z') goto yy259;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy261;
			if (yych <= 0x000000F6) goto yy259;
		} else {
			if (yych <= 0x00001FFF) goto yy259;
			if (yych <= 0x0000FF9F) goto yy261;
			if (yych <= 0x0000FFDC) goto yy259;
		}
	}
yy261:
	{ tokenType = APOSTROPHE;	goto SET_TOKEN; }
yy262:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x000000D6) {
		if (yych <= '`') {
			if (yych <= '@') goto yy264;
			if (yych <= 'Z') goto yy262;
		} else {
			if (yych <= 'z') goto yy262;
			if (yych >= 0x000000C0) goto yy262;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych <= 0x000000D7) goto yy264;
			if (yych <= 0x000000F6) goto yy262;
		} else {
			if (yych <= 0x00001FFF) goto yy262;
			if (yych <= 0x0000FF9F) goto yy264;
			if (yych <= 0x0000FFDC) goto yy262;
		}
	}
yy264:
	{ tokenType = COMPANY;		goto SET_TOKEN; }
yy265:
	yyaccept = 7;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '9') {
			if (yych <= ',') goto yy264;
			if (yych <= '.') goto yy121;
			if (yych <= '/') goto yy264;
			goto yy119;
		} else {
			if (yych <= '@') goto yy264;
			if (yych <= 'Z') goto yy265;
			if (yych <= '`') goto yy264;
			goto yy265;
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy264;
			if (yych == 0x000000D7) goto yy264;
			goto yy265;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy264;
				goto yy265;
			} else {
				if (yych <= 0x0000FF9F) goto yy264;
				if (yych <= 0x0000FFDC) goto yy265;
				goto yy264;
			}
		}
	}
yy267:
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy126;
	goto yy274;
yy268:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy268;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy268;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy268;
					goto yy275;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy268;
					if (yych <= 0x000006F9) goto yy275;
					goto yy268;
				} else {
					if (yych <= 0x0000096F) goto yy275;
					if (yych <= 0x000009E5) goto yy268;
					if (yych <= 0x000009EF) goto yy275;
					goto yy268;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy275;
					if (yych <= 0x00000AE5) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x00000B65) goto yy268;
					if (yych <= 0x00000B6F) goto yy275;
					goto yy268;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy275;
					if (yych <= 0x00000C65) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x00000CE5) goto yy268;
					if (yych <= 0x00000CEF) goto yy275;
					if (yych <= 0x00000D65) goto yy268;
					goto yy275;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy268;
					if (yych <= 0x00000E59) goto yy275;
					goto yy268;
				} else {
					if (yych <= 0x00000ED9) goto yy275;
					if (yych <= 0x0000103F) goto yy268;
					if (yych <= 0x00001049) goto yy275;
					goto yy268;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy289;
					if (yych <= 0x00001FFF) goto yy268;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy268;
					goto yy17;
				}
			}
		}
	}
yy270:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy270;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy270;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy270;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy270;
					goto yy275;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy270;
					if (yych <= 0x000006F9) goto yy275;
					goto yy270;
				} else {
					if (yych <= 0x0000096F) goto yy275;
					if (yych <= 0x000009E5) goto yy270;
					if (yych <= 0x000009EF) goto yy275;
					goto yy270;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy275;
					if (yych <= 0x00000AE5) goto yy270;
					goto yy275;
				} else {
					if (yych <= 0x00000B65) goto yy270;
					if (yych <= 0x00000B6F) goto yy275;
					goto yy270;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy275;
					if (yych <= 0x00000C65) goto yy270;
					goto yy275;
				} else {
					if (yych <= 0x00000CE5) goto yy270;
					if (yych <= 0x00000CEF) goto yy275;
					if (yych <= 0x00000D65) goto yy270;
					goto yy275;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy270;
					if (yych <= 0x00000E59) goto yy275;
					goto yy270;
				} else {
					if (yych <= 0x00000ED9) goto yy275;
					if (yych <= 0x0000103F) goto yy270;
					if (yych <= 0x00001049) goto yy275;
					goto yy270;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy277;
					if (yych <= 0x00001FFF) goto yy270;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy270;
					goto yy17;
				}
			}
		}
	}
yy272:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy267;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy268;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy268;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy268;
				} else {
					if (yych <= 0x00000669) goto yy270;
					if (yych <= 0x000006EF) goto yy268;
					goto yy270;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy268;
					if (yych <= 0x0000096F) goto yy270;
					goto yy268;
				} else {
					if (yych <= 0x000009EF) goto yy270;
					if (yych <= 0x00000A65) goto yy268;
					goto yy270;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy268;
					goto yy270;
				} else {
					if (yych <= 0x00000B65) goto yy268;
					if (yych <= 0x00000B6F) goto yy270;
					goto yy268;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy270;
					if (yych <= 0x00000C65) goto yy268;
					goto yy270;
				} else {
					if (yych <= 0x00000CE5) goto yy268;
					if (yych <= 0x00000CEF) goto yy270;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy270;
					goto yy268;
				} else {
					if (yych <= 0x00000E59) goto yy270;
					if (yych <= 0x00000ECF) goto yy268;
					goto yy270;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy268;
					if (yych <= 0x00001049) goto yy270;
					goto yy268;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy268;
					goto yy24;
				}
			}
		}
	}
yy273:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy274:
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy23;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy296;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy17;
					goto yy296;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy296;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy296;
					goto yy311;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy296;
					if (yych <= 0x000006F9) goto yy311;
					goto yy296;
				} else {
					if (yych <= 0x0000096F) goto yy311;
					if (yych <= 0x000009E5) goto yy296;
					if (yych <= 0x000009EF) goto yy311;
					goto yy296;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy311;
					if (yych <= 0x00000AE5) goto yy296;
					goto yy311;
				} else {
					if (yych <= 0x00000B65) goto yy296;
					if (yych <= 0x00000B6F) goto yy311;
					goto yy296;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy311;
					if (yych <= 0x00000C65) goto yy296;
					goto yy311;
				} else {
					if (yych <= 0x00000CE5) goto yy296;
					if (yych <= 0x00000CEF) goto yy311;
					if (yych <= 0x00000D65) goto yy296;
					goto yy311;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy296;
					if (yych <= 0x00000E59) goto yy311;
					goto yy296;
				} else {
					if (yych <= 0x00000ED9) goto yy311;
					if (yych <= 0x0000103F) goto yy296;
					if (yych <= 0x00001049) goto yy311;
					goto yy296;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy313;
					if (yych <= 0x00001FFF) goto yy296;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy296;
					goto yy17;
				}
			}
		}
	}
yy275:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy286;
					if (yych <= '/') goto yy254;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy270;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy270;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy270;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy270;
					goto yy275;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy270;
					if (yych <= 0x000006F9) goto yy275;
					goto yy270;
				} else {
					if (yych <= 0x0000096F) goto yy275;
					if (yych <= 0x000009E5) goto yy270;
					if (yych <= 0x000009EF) goto yy275;
					goto yy270;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy275;
					if (yych <= 0x00000AE5) goto yy270;
					goto yy275;
				} else {
					if (yych <= 0x00000B65) goto yy270;
					if (yych <= 0x00000B6F) goto yy275;
					goto yy270;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy275;
					if (yych <= 0x00000C65) goto yy270;
					goto yy275;
				} else {
					if (yych <= 0x00000CE5) goto yy270;
					if (yych <= 0x00000CEF) goto yy275;
					if (yych <= 0x00000D65) goto yy270;
					goto yy275;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy270;
					if (yych <= 0x00000E59) goto yy275;
					goto yy270;
				} else {
					if (yych <= 0x00000ED9) goto yy275;
					if (yych <= 0x0000103F) goto yy270;
					if (yych <= 0x00001049) goto yy275;
					goto yy270;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy277;
					if (yych <= 0x00001FFF) goto yy270;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy270;
					goto yy17;
				}
			}
		}
	}
yy277:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy280;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy280;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy280;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy280;
					goto yy282;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy280;
					if (yych <= 0x000006F9) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x0000096F) goto yy282;
					if (yych <= 0x000009E5) goto yy280;
					if (yych <= 0x000009EF) goto yy282;
					goto yy280;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy282;
					if (yych <= 0x00000AE5) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000B65) goto yy280;
					if (yych <= 0x00000B6F) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy282;
					if (yych <= 0x00000C65) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000CE5) goto yy280;
					if (yych <= 0x00000CEF) goto yy282;
					if (yych <= 0x00000D65) goto yy280;
					goto yy282;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy280;
					if (yych <= 0x00000E59) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x00000ED9) goto yy282;
					if (yych <= 0x0000103F) goto yy280;
					if (yych <= 0x00001049) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy284;
					if (yych <= 0x00001FFF) goto yy280;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy280;
					goto yy3;
				}
			}
		}
	}
yy278:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy23;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy296;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy17;
					goto yy296;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy296;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy296;
					goto yy298;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy296;
					if (yych <= 0x000006F9) goto yy298;
					goto yy296;
				} else {
					if (yych <= 0x0000096F) goto yy298;
					if (yych <= 0x000009E5) goto yy296;
					if (yych <= 0x000009EF) goto yy298;
					goto yy296;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy298;
					if (yych <= 0x00000AE5) goto yy296;
					goto yy298;
				} else {
					if (yych <= 0x00000B65) goto yy296;
					if (yych <= 0x00000B6F) goto yy298;
					goto yy296;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy298;
					if (yych <= 0x00000C65) goto yy296;
					goto yy298;
				} else {
					if (yych <= 0x00000CE5) goto yy296;
					if (yych <= 0x00000CEF) goto yy298;
					if (yych <= 0x00000D65) goto yy296;
					goto yy298;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy296;
					if (yych <= 0x00000E59) goto yy298;
					goto yy296;
				} else {
					if (yych <= 0x00000ED9) goto yy298;
					if (yych <= 0x0000103F) goto yy296;
					if (yych <= 0x00001049) goto yy298;
					goto yy296;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy300;
					if (yych <= 0x00001FFF) goto yy296;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy296;
					goto yy17;
				}
			}
		}
	}
yy280:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy280;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy280;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy280;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy280;
					goto yy294;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy280;
					if (yych <= 0x000006F9) goto yy294;
					goto yy280;
				} else {
					if (yych <= 0x0000096F) goto yy294;
					if (yych <= 0x000009E5) goto yy280;
					if (yych <= 0x000009EF) goto yy294;
					goto yy280;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy294;
					if (yych <= 0x00000AE5) goto yy280;
					goto yy294;
				} else {
					if (yych <= 0x00000B65) goto yy280;
					if (yych <= 0x00000B6F) goto yy294;
					goto yy280;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy294;
					if (yych <= 0x00000C65) goto yy280;
					goto yy294;
				} else {
					if (yych <= 0x00000CE5) goto yy280;
					if (yych <= 0x00000CEF) goto yy294;
					if (yych <= 0x00000D65) goto yy280;
					goto yy294;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy280;
					if (yych <= 0x00000E59) goto yy294;
					goto yy280;
				} else {
					if (yych <= 0x00000ED9) goto yy294;
					if (yych <= 0x0000103F) goto yy280;
					if (yych <= 0x00001049) goto yy294;
					goto yy280;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy284;
					if (yych <= 0x00001FFF) goto yy280;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy280;
					goto yy17;
				}
			}
		}
	}
yy282:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy286;
					if (yych <= '/') goto yy254;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy280;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy280;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy280;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy280;
					goto yy282;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy280;
					if (yych <= 0x000006F9) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x0000096F) goto yy282;
					if (yych <= 0x000009E5) goto yy280;
					if (yych <= 0x000009EF) goto yy282;
					goto yy280;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy282;
					if (yych <= 0x00000AE5) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000B65) goto yy280;
					if (yych <= 0x00000B6F) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy282;
					if (yych <= 0x00000C65) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000CE5) goto yy280;
					if (yych <= 0x00000CEF) goto yy282;
					if (yych <= 0x00000D65) goto yy280;
					goto yy282;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy280;
					if (yych <= 0x00000E59) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x00000ED9) goto yy282;
					if (yych <= 0x0000103F) goto yy280;
					if (yych <= 0x00001049) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy287;
					if (yych <= 0x00001FFF) goto yy280;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy280;
					goto yy17;
				}
			}
		}
	}
yy284:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy280;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy280;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy280;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy280;
					goto yy282;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy280;
					if (yych <= 0x000006F9) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x0000096F) goto yy282;
					if (yych <= 0x000009E5) goto yy280;
					if (yych <= 0x000009EF) goto yy282;
					goto yy280;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy282;
					if (yych <= 0x00000AE5) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000B65) goto yy280;
					if (yych <= 0x00000B6F) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy282;
					if (yych <= 0x00000C65) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000CE5) goto yy280;
					if (yych <= 0x00000CEF) goto yy282;
					if (yych <= 0x00000D65) goto yy280;
					goto yy282;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy280;
					if (yych <= 0x00000E59) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x00000ED9) goto yy282;
					if (yych <= 0x0000103F) goto yy280;
					if (yych <= 0x00001049) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy284;
					if (yych <= 0x00001FFF) goto yy280;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy280;
					goto yy3;
				}
			}
		}
	}
yy286:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy273;
					if (yych <= '@') goto yy24;
					goto yy268;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy268;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x000006EF) goto yy268;
					if (yych <= 0x000006F9) goto yy275;
					goto yy268;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy275;
					if (yych <= 0x000009E5) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x00000A65) goto yy268;
					if (yych <= 0x00000A6F) goto yy275;
					goto yy268;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy275;
					if (yych <= 0x00000B65) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x00000BE6) goto yy268;
					if (yych <= 0x00000BEF) goto yy275;
					goto yy268;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy275;
					if (yych <= 0x00000CE5) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x00000D65) goto yy268;
					if (yych <= 0x00000D6F) goto yy275;
					goto yy268;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy275;
					if (yych <= 0x00000ECF) goto yy268;
					goto yy275;
				} else {
					if (yych <= 0x0000103F) goto yy268;
					if (yych <= 0x00001049) goto yy275;
					goto yy268;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy289;
					if (yych <= 0x00001FFF) goto yy268;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy268;
					goto yy24;
				}
			}
		}
	}
yy287:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy280;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy280;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy280;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy280;
					goto yy282;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy280;
					if (yych <= 0x000006F9) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x0000096F) goto yy282;
					if (yych <= 0x000009E5) goto yy280;
					if (yych <= 0x000009EF) goto yy282;
					goto yy280;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy282;
					if (yych <= 0x00000AE5) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000B65) goto yy280;
					if (yych <= 0x00000B6F) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy282;
					if (yych <= 0x00000C65) goto yy280;
					goto yy282;
				} else {
					if (yych <= 0x00000CE5) goto yy280;
					if (yych <= 0x00000CEF) goto yy282;
					if (yych <= 0x00000D65) goto yy280;
					goto yy282;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy280;
					if (yych <= 0x00000E59) goto yy282;
					goto yy280;
				} else {
					if (yych <= 0x00000ED9) goto yy282;
					if (yych <= 0x0000103F) goto yy280;
					if (yych <= 0x00001049) goto yy282;
					goto yy280;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy287;
					if (yych <= 0x00001FFF) goto yy280;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy280;
					goto yy3;
				}
			}
		}
	}
yy289:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych >= 0x000000D7) goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych >= 0x00000660) goto yy282;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy290;
					if (yych <= 0x000006F9) goto yy282;
				} else {
					if (yych <= 0x0000096F) goto yy282;
					if (yych <= 0x000009E5) goto yy290;
					if (yych <= 0x000009EF) goto yy282;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy282;
					if (yych >= 0x00000AE6) goto yy282;
				} else {
					if (yych <= 0x00000B65) goto yy290;
					if (yych <= 0x00000B6F) goto yy282;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy282;
					if (yych >= 0x00000C66) goto yy282;
				} else {
					if (yych <= 0x00000CE5) goto yy290;
					if (yych <= 0x00000CEF) goto yy282;
					if (yych >= 0x00000D66) goto yy282;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy290;
					if (yych <= 0x00000E59) goto yy282;
				} else {
					if (yych <= 0x00000ED9) goto yy282;
					if (yych <= 0x0000103F) goto yy290;
					if (yych <= 0x00001049) goto yy282;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy292;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy290:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy290;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy290;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy290;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy290;
					goto yy294;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy290;
					if (yych <= 0x000006F9) goto yy294;
					goto yy290;
				} else {
					if (yych <= 0x0000096F) goto yy294;
					if (yych <= 0x000009E5) goto yy290;
					if (yych <= 0x000009EF) goto yy294;
					goto yy290;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy294;
					if (yych <= 0x00000AE5) goto yy290;
					goto yy294;
				} else {
					if (yych <= 0x00000B65) goto yy290;
					if (yych <= 0x00000B6F) goto yy294;
					goto yy290;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy294;
					if (yych <= 0x00000C65) goto yy290;
					goto yy294;
				} else {
					if (yych <= 0x00000CE5) goto yy290;
					if (yych <= 0x00000CEF) goto yy294;
					if (yych <= 0x00000D65) goto yy290;
					goto yy294;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy290;
					if (yych <= 0x00000E59) goto yy294;
					goto yy290;
				} else {
					if (yych <= 0x00000ED9) goto yy294;
					if (yych <= 0x0000103F) goto yy290;
					if (yych <= 0x00001049) goto yy294;
					goto yy290;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy292;
					if (yych <= 0x00001FFF) goto yy290;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy290;
					goto yy17;
				}
			}
		}
	}
yy292:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy272;
					if (yych <= '/') goto yy254;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy290;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy290;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy290;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy290;
					goto yy282;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy290;
					if (yych <= 0x000006F9) goto yy282;
					goto yy290;
				} else {
					if (yych <= 0x0000096F) goto yy282;
					if (yych <= 0x000009E5) goto yy290;
					if (yych <= 0x000009EF) goto yy282;
					goto yy290;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy282;
					if (yych <= 0x00000AE5) goto yy290;
					goto yy282;
				} else {
					if (yych <= 0x00000B65) goto yy290;
					if (yych <= 0x00000B6F) goto yy282;
					goto yy290;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy282;
					if (yych <= 0x00000C65) goto yy290;
					goto yy282;
				} else {
					if (yych <= 0x00000CE5) goto yy290;
					if (yych <= 0x00000CEF) goto yy282;
					if (yych <= 0x00000D65) goto yy290;
					goto yy282;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy290;
					if (yych <= 0x00000E59) goto yy282;
					goto yy290;
				} else {
					if (yych <= 0x00000ED9) goto yy282;
					if (yych <= 0x0000103F) goto yy290;
					if (yych <= 0x00001049) goto yy282;
					goto yy290;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy292;
					if (yych <= 0x00001FFF) goto yy290;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy290;
					goto yy3;
				}
			}
		}
	}
yy294:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy286;
					if (yych <= '/') goto yy254;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy280;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy17;
					goto yy280;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy280;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy280;
					goto yy294;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy280;
					if (yych <= 0x000006F9) goto yy294;
					goto yy280;
				} else {
					if (yych <= 0x0000096F) goto yy294;
					if (yych <= 0x000009E5) goto yy280;
					if (yych <= 0x000009EF) goto yy294;
					goto yy280;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy294;
					if (yych <= 0x00000AE5) goto yy280;
					goto yy294;
				} else {
					if (yych <= 0x00000B65) goto yy280;
					if (yych <= 0x00000B6F) goto yy294;
					goto yy280;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy294;
					if (yych <= 0x00000C65) goto yy280;
					goto yy294;
				} else {
					if (yych <= 0x00000CE5) goto yy280;
					if (yych <= 0x00000CEF) goto yy294;
					if (yych <= 0x00000D65) goto yy280;
					goto yy294;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy280;
					if (yych <= 0x00000E59) goto yy294;
					goto yy280;
				} else {
					if (yych <= 0x00000ED9) goto yy294;
					if (yych <= 0x0000103F) goto yy280;
					if (yych <= 0x00001049) goto yy294;
					goto yy280;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy284;
					if (yych <= 0x00001FFF) goto yy280;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy280;
					goto yy17;
				}
			}
		}
	}
yy296:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy296;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy296;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy296;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy296;
					goto yy311;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy296;
					if (yych <= 0x000006F9) goto yy311;
					goto yy296;
				} else {
					if (yych <= 0x0000096F) goto yy311;
					if (yych <= 0x000009E5) goto yy296;
					if (yych <= 0x000009EF) goto yy311;
					goto yy296;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy311;
					if (yych <= 0x00000AE5) goto yy296;
					goto yy311;
				} else {
					if (yych <= 0x00000B65) goto yy296;
					if (yych <= 0x00000B6F) goto yy311;
					goto yy296;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy311;
					if (yych <= 0x00000C65) goto yy296;
					goto yy311;
				} else {
					if (yych <= 0x00000CE5) goto yy296;
					if (yych <= 0x00000CEF) goto yy311;
					if (yych <= 0x00000D65) goto yy296;
					goto yy311;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy296;
					if (yych <= 0x00000E59) goto yy311;
					goto yy296;
				} else {
					if (yych <= 0x00000ED9) goto yy311;
					if (yych <= 0x0000103F) goto yy296;
					if (yych <= 0x00001049) goto yy311;
					goto yy296;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy313;
					if (yych <= 0x00001FFF) goto yy296;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy296;
					goto yy17;
				}
			}
		}
	}
yy298:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy296;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy296;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy296;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy296;
					goto yy298;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy296;
					if (yych <= 0x000006F9) goto yy298;
					goto yy296;
				} else {
					if (yych <= 0x0000096F) goto yy298;
					if (yych <= 0x000009E5) goto yy296;
					if (yych <= 0x000009EF) goto yy298;
					goto yy296;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy298;
					if (yych <= 0x00000AE5) goto yy296;
					goto yy298;
				} else {
					if (yych <= 0x00000B65) goto yy296;
					if (yych <= 0x00000B6F) goto yy298;
					goto yy296;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy298;
					if (yych <= 0x00000C65) goto yy296;
					goto yy298;
				} else {
					if (yych <= 0x00000CE5) goto yy296;
					if (yych <= 0x00000CEF) goto yy298;
					if (yych <= 0x00000D65) goto yy296;
					goto yy298;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy296;
					if (yych <= 0x00000E59) goto yy298;
					goto yy296;
				} else {
					if (yych <= 0x00000ED9) goto yy298;
					if (yych <= 0x0000103F) goto yy296;
					if (yych <= 0x00001049) goto yy298;
					goto yy296;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy300;
					if (yych <= 0x00001FFF) goto yy296;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy296;
					goto yy17;
				}
			}
		}
	}
yy300:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych >= 0x000000D7) goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych >= 0x00000660) goto yy303;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy303;
				} else {
					if (yych <= 0x0000096F) goto yy303;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy303;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy303;
					if (yych >= 0x00000AE6) goto yy303;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy303;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy303;
					if (yych >= 0x00000C66) goto yy303;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy303;
					if (yych >= 0x00000D66) goto yy303;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy303;
				} else {
					if (yych <= 0x00000ED9) goto yy303;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy303;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy305;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy301:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy301;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy301;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy301;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy301;
					goto yy307;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy307;
					goto yy301;
				} else {
					if (yych <= 0x0000096F) goto yy307;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy307;
					goto yy301;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy307;
					if (yych <= 0x00000AE5) goto yy301;
					goto yy307;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy307;
					goto yy301;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy307;
					if (yych <= 0x00000C65) goto yy301;
					goto yy307;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy307;
					if (yych <= 0x00000D65) goto yy301;
					goto yy307;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy307;
					goto yy301;
				} else {
					if (yych <= 0x00000ED9) goto yy307;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy307;
					goto yy301;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy309;
					if (yych <= 0x00001FFF) goto yy301;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy301;
					goto yy17;
				}
			}
		}
	}
yy303:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy301;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy301;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy301;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy301;
					goto yy303;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x0000096F) goto yy303;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy303;
					goto yy301;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy303;
					if (yych <= 0x00000AE5) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy303;
					if (yych <= 0x00000C65) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy303;
					if (yych <= 0x00000D65) goto yy301;
					goto yy303;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x00000ED9) goto yy303;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy305;
					if (yych <= 0x00001FFF) goto yy301;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy301;
					goto yy17;
				}
			}
		}
	}
yy305:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy301;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy301;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy301;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy301;
					goto yy303;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x0000096F) goto yy303;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy303;
					goto yy301;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy303;
					if (yych <= 0x00000AE5) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy303;
					if (yych <= 0x00000C65) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy303;
					if (yych <= 0x00000D65) goto yy301;
					goto yy303;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x00000ED9) goto yy303;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy305;
					if (yych <= 0x00001FFF) goto yy301;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy301;
					goto yy3;
				}
			}
		}
	}
yy307:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy301;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy301;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy301;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy301;
					goto yy307;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy307;
					goto yy301;
				} else {
					if (yych <= 0x0000096F) goto yy307;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy307;
					goto yy301;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy307;
					if (yych <= 0x00000AE5) goto yy301;
					goto yy307;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy307;
					goto yy301;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy307;
					if (yych <= 0x00000C65) goto yy301;
					goto yy307;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy307;
					if (yych <= 0x00000D65) goto yy301;
					goto yy307;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy307;
					goto yy301;
				} else {
					if (yych <= 0x00000ED9) goto yy307;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy307;
					goto yy301;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy309;
					if (yych <= 0x00001FFF) goto yy301;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy301;
					goto yy17;
				}
			}
		}
	}
yy309:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy301;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy301;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy301;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy301;
					goto yy303;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x0000096F) goto yy303;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy303;
					goto yy301;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy303;
					if (yych <= 0x00000AE5) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy303;
					if (yych <= 0x00000C65) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy303;
					if (yych <= 0x00000D65) goto yy301;
					goto yy303;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x00000ED9) goto yy303;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy309;
					if (yych <= 0x00001FFF) goto yy301;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy301;
					goto yy3;
				}
			}
		}
	}
yy311:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy17;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy155;
					if (yych <= '/') goto yy143;
					goto yy273;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy17;
					if (yych <= '@') goto yy26;
					goto yy296;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy17;
					goto yy296;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy17;
					if (yych <= 0x000000D6) goto yy296;
					goto yy17;
				} else {
					if (yych == 0x000000F7) goto yy17;
					if (yych <= 0x0000065F) goto yy296;
					goto yy311;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy296;
					if (yych <= 0x000006F9) goto yy311;
					goto yy296;
				} else {
					if (yych <= 0x0000096F) goto yy311;
					if (yych <= 0x000009E5) goto yy296;
					if (yych <= 0x000009EF) goto yy311;
					goto yy296;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy311;
					if (yych <= 0x00000AE5) goto yy296;
					goto yy311;
				} else {
					if (yych <= 0x00000B65) goto yy296;
					if (yych <= 0x00000B6F) goto yy311;
					goto yy296;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy311;
					if (yych <= 0x00000C65) goto yy296;
					goto yy311;
				} else {
					if (yych <= 0x00000CE5) goto yy296;
					if (yych <= 0x00000CEF) goto yy311;
					if (yych <= 0x00000D65) goto yy296;
					goto yy311;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy296;
					if (yych <= 0x00000E59) goto yy311;
					goto yy296;
				} else {
					if (yych <= 0x00000ED9) goto yy311;
					if (yych <= 0x0000103F) goto yy296;
					if (yych <= 0x00001049) goto yy311;
					goto yy296;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy313;
					if (yych <= 0x00001FFF) goto yy296;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy296;
					goto yy17;
				}
			}
		}
	}
yy313:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy136;
					if (yych <= '/') goto yy143;
					goto yy278;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy301;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy301;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy301;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy301;
					goto yy303;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy301;
					if (yych <= 0x000006F9) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x0000096F) goto yy303;
					if (yych <= 0x000009E5) goto yy301;
					if (yych <= 0x000009EF) goto yy303;
					goto yy301;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy303;
					if (yych <= 0x00000AE5) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000B65) goto yy301;
					if (yych <= 0x00000B6F) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy303;
					if (yych <= 0x00000C65) goto yy301;
					goto yy303;
				} else {
					if (yych <= 0x00000CE5) goto yy301;
					if (yych <= 0x00000CEF) goto yy303;
					if (yych <= 0x00000D65) goto yy301;
					goto yy303;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy301;
					if (yych <= 0x00000E59) goto yy303;
					goto yy301;
				} else {
					if (yych <= 0x00000ED9) goto yy303;
					if (yych <= 0x0000103F) goto yy301;
					if (yych <= 0x00001049) goto yy303;
					goto yy301;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy309;
					if (yych <= 0x00001FFF) goto yy301;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy301;
					goto yy3;
				}
			}
		}
	}
yy314:
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy188;
	goto yy321;
yy315:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy315;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy315;
					if (yych <= 0x000000BF) goto yy17;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy315;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy315;
					if (yych <= 0x00000669) goto yy322;
					goto yy315;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy322;
					if (yych <= 0x00000965) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x000009E5) goto yy315;
					if (yych <= 0x000009EF) goto yy322;
					if (yych <= 0x00000A65) goto yy315;
					goto yy322;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy315;
					if (yych <= 0x00000AEF) goto yy322;
					goto yy315;
				} else {
					if (yych <= 0x00000B6F) goto yy322;
					if (yych <= 0x00000BE6) goto yy315;
					goto yy322;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy315;
					if (yych <= 0x00000C6F) goto yy322;
					goto yy315;
				} else {
					if (yych <= 0x00000CEF) goto yy322;
					if (yych <= 0x00000D65) goto yy315;
					if (yych <= 0x00000D6F) goto yy322;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy322;
					if (yych <= 0x00000ECF) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x0000103F) goto yy315;
					if (yych <= 0x00001049) goto yy322;
					goto yy315;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy336;
					if (yych <= 0x00001FFF) goto yy315;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy315;
					goto yy17;
				}
			}
		}
	}
yy317:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy317;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy317;
					if (yych <= 0x000000BF) goto yy17;
					goto yy317;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy317;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy317;
					if (yych <= 0x00000669) goto yy322;
					goto yy317;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy322;
					if (yych <= 0x00000965) goto yy317;
					goto yy322;
				} else {
					if (yych <= 0x000009E5) goto yy317;
					if (yych <= 0x000009EF) goto yy322;
					if (yych <= 0x00000A65) goto yy317;
					goto yy322;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy317;
					if (yych <= 0x00000AEF) goto yy322;
					goto yy317;
				} else {
					if (yych <= 0x00000B6F) goto yy322;
					if (yych <= 0x00000BE6) goto yy317;
					goto yy322;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy317;
					if (yych <= 0x00000C6F) goto yy322;
					goto yy317;
				} else {
					if (yych <= 0x00000CEF) goto yy322;
					if (yych <= 0x00000D65) goto yy317;
					if (yych <= 0x00000D6F) goto yy322;
					goto yy317;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy322;
					if (yych <= 0x00000ECF) goto yy317;
					goto yy322;
				} else {
					if (yych <= 0x0000103F) goto yy317;
					if (yych <= 0x00001049) goto yy322;
					goto yy317;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy324;
					if (yych <= 0x00001FFF) goto yy317;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy317;
					goto yy17;
				}
			}
		}
	}
yy319:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy314;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy315;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy315;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy315;
				} else {
					if (yych <= 0x00000669) goto yy317;
					if (yych <= 0x000006EF) goto yy315;
					goto yy317;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy315;
					if (yych <= 0x0000096F) goto yy317;
					goto yy315;
				} else {
					if (yych <= 0x000009EF) goto yy317;
					if (yych <= 0x00000A65) goto yy315;
					goto yy317;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy315;
					goto yy317;
				} else {
					if (yych <= 0x00000B65) goto yy315;
					if (yych <= 0x00000B6F) goto yy317;
					goto yy315;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy317;
					if (yych <= 0x00000C65) goto yy315;
					goto yy317;
				} else {
					if (yych <= 0x00000CE5) goto yy315;
					if (yych <= 0x00000CEF) goto yy317;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy317;
					goto yy315;
				} else {
					if (yych <= 0x00000E59) goto yy317;
					if (yych <= 0x00000ECF) goto yy315;
					goto yy317;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy315;
					if (yych <= 0x00001049) goto yy317;
					goto yy315;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy315;
					goto yy24;
				}
			}
		}
	}
yy320:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy321:
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy23;
					goto yy167;
				} else {
					if (yych <= '/') goto yy23;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy343;
					if (yych <= '^') goto yy17;
					goto yy23;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy343;
					if (yych <= 0x000000BF) goto yy17;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy343;
					if (yych <= 0x00000669) goto yy358;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy358;
					if (yych <= 0x00000965) goto yy343;
					goto yy358;
				} else {
					if (yych <= 0x000009E5) goto yy343;
					if (yych <= 0x000009EF) goto yy358;
					if (yych <= 0x00000A65) goto yy343;
					goto yy358;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy343;
					if (yych <= 0x00000AEF) goto yy358;
					goto yy343;
				} else {
					if (yych <= 0x00000B6F) goto yy358;
					if (yych <= 0x00000BE6) goto yy343;
					goto yy358;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy343;
					if (yych <= 0x00000C6F) goto yy358;
					goto yy343;
				} else {
					if (yych <= 0x00000CEF) goto yy358;
					if (yych <= 0x00000D65) goto yy343;
					if (yych <= 0x00000D6F) goto yy358;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy358;
					if (yych <= 0x00000ECF) goto yy343;
					goto yy358;
				} else {
					if (yych <= 0x0000103F) goto yy343;
					if (yych <= 0x00001049) goto yy358;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy360;
					if (yych <= 0x00001FFF) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy343;
					goto yy17;
				}
			}
		}
	}
yy322:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
					goto yy333;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy317;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy317;
					if (yych <= 0x000000BF) goto yy17;
					goto yy317;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy317;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy317;
					if (yych <= 0x00000669) goto yy322;
					goto yy317;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy322;
					if (yych <= 0x00000965) goto yy317;
					goto yy322;
				} else {
					if (yych <= 0x000009E5) goto yy317;
					if (yych <= 0x000009EF) goto yy322;
					if (yych <= 0x00000A65) goto yy317;
					goto yy322;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy317;
					if (yych <= 0x00000AEF) goto yy322;
					goto yy317;
				} else {
					if (yych <= 0x00000B6F) goto yy322;
					if (yych <= 0x00000BE6) goto yy317;
					goto yy322;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy317;
					if (yych <= 0x00000C6F) goto yy322;
					goto yy317;
				} else {
					if (yych <= 0x00000CEF) goto yy322;
					if (yych <= 0x00000D65) goto yy317;
					if (yych <= 0x00000D6F) goto yy322;
					goto yy317;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy322;
					if (yych <= 0x00000ECF) goto yy317;
					goto yy322;
				} else {
					if (yych <= 0x0000103F) goto yy317;
					if (yych <= 0x00001049) goto yy322;
					goto yy317;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy324;
					if (yych <= 0x00001FFF) goto yy317;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy317;
					goto yy17;
				}
			}
		}
	}
yy324:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych >= ':') goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy327;
					if (yych <= '^') goto yy3;
					goto yy254;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy327;
					if (yych <= 0x000000BF) goto yy3;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy327;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy327;
					if (yych <= 0x00000669) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy329;
					if (yych <= 0x00000965) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x000009E5) goto yy327;
					if (yych <= 0x000009EF) goto yy329;
					if (yych <= 0x00000A65) goto yy327;
					goto yy329;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy327;
					if (yych <= 0x00000AEF) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000B6F) goto yy329;
					if (yych <= 0x00000BE6) goto yy327;
					goto yy329;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy327;
					if (yych <= 0x00000C6F) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000CEF) goto yy329;
					if (yych <= 0x00000D65) goto yy327;
					if (yych <= 0x00000D6F) goto yy329;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy329;
					if (yych <= 0x00000ECF) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x0000103F) goto yy327;
					if (yych <= 0x00001049) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy331;
					if (yych <= 0x00001FFF) goto yy327;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy327;
					goto yy3;
				}
			}
		}
	}
yy325:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy23;
					goto yy167;
				} else {
					if (yych <= '/') goto yy23;
					if (yych <= '9') goto yy325;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy343;
					if (yych <= '^') goto yy17;
					goto yy23;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy343;
					if (yych <= 0x000000BF) goto yy17;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy343;
					if (yych <= 0x00000669) goto yy345;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy345;
					if (yych <= 0x00000965) goto yy343;
					goto yy345;
				} else {
					if (yych <= 0x000009E5) goto yy343;
					if (yych <= 0x000009EF) goto yy345;
					if (yych <= 0x00000A65) goto yy343;
					goto yy345;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy343;
					if (yych <= 0x00000AEF) goto yy345;
					goto yy343;
				} else {
					if (yych <= 0x00000B6F) goto yy345;
					if (yych <= 0x00000BE6) goto yy343;
					goto yy345;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy343;
					if (yych <= 0x00000C6F) goto yy345;
					goto yy343;
				} else {
					if (yych <= 0x00000CEF) goto yy345;
					if (yych <= 0x00000D65) goto yy343;
					if (yych <= 0x00000D6F) goto yy345;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy345;
					if (yych <= 0x00000ECF) goto yy343;
					goto yy345;
				} else {
					if (yych <= 0x0000103F) goto yy343;
					if (yych <= 0x00001049) goto yy345;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy347;
					if (yych <= 0x00001FFF) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy343;
					goto yy17;
				}
			}
		}
	}
yy327:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy327;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy327;
					if (yych <= 0x000000BF) goto yy17;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy327;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy327;
					if (yych <= 0x00000669) goto yy341;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy341;
					if (yych <= 0x00000965) goto yy327;
					goto yy341;
				} else {
					if (yych <= 0x000009E5) goto yy327;
					if (yych <= 0x000009EF) goto yy341;
					if (yych <= 0x00000A65) goto yy327;
					goto yy341;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy327;
					if (yych <= 0x00000AEF) goto yy341;
					goto yy327;
				} else {
					if (yych <= 0x00000B6F) goto yy341;
					if (yych <= 0x00000BE6) goto yy327;
					goto yy341;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy327;
					if (yych <= 0x00000C6F) goto yy341;
					goto yy327;
				} else {
					if (yych <= 0x00000CEF) goto yy341;
					if (yych <= 0x00000D65) goto yy327;
					if (yych <= 0x00000D6F) goto yy341;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy341;
					if (yych <= 0x00000ECF) goto yy327;
					goto yy341;
				} else {
					if (yych <= 0x0000103F) goto yy327;
					if (yych <= 0x00001049) goto yy341;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy331;
					if (yych <= 0x00001FFF) goto yy327;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy327;
					goto yy17;
				}
			}
		}
	}
yy329:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
					goto yy333;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy325;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy327;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy327;
					if (yych <= 0x000000BF) goto yy17;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy327;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy327;
					if (yych <= 0x00000669) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy329;
					if (yych <= 0x00000965) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x000009E5) goto yy327;
					if (yych <= 0x000009EF) goto yy329;
					if (yych <= 0x00000A65) goto yy327;
					goto yy329;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy327;
					if (yych <= 0x00000AEF) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000B6F) goto yy329;
					if (yych <= 0x00000BE6) goto yy327;
					goto yy329;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy327;
					if (yych <= 0x00000C6F) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000CEF) goto yy329;
					if (yych <= 0x00000D65) goto yy327;
					if (yych <= 0x00000D6F) goto yy329;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy329;
					if (yych <= 0x00000ECF) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x0000103F) goto yy327;
					if (yych <= 0x00001049) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy334;
					if (yych <= 0x00001FFF) goto yy327;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy327;
					goto yy17;
				}
			}
		}
	}
yy331:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy327;
					if (yych <= '^') goto yy3;
					goto yy254;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy327;
					if (yych <= 0x000000BF) goto yy3;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy327;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy327;
					if (yych <= 0x00000669) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy329;
					if (yych <= 0x00000965) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x000009E5) goto yy327;
					if (yych <= 0x000009EF) goto yy329;
					if (yych <= 0x00000A65) goto yy327;
					goto yy329;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy327;
					if (yych <= 0x00000AEF) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000B6F) goto yy329;
					if (yych <= 0x00000BE6) goto yy327;
					goto yy329;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy327;
					if (yych <= 0x00000C6F) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000CEF) goto yy329;
					if (yych <= 0x00000D65) goto yy327;
					if (yych <= 0x00000D6F) goto yy329;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy329;
					if (yych <= 0x00000ECF) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x0000103F) goto yy327;
					if (yych <= 0x00001049) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy331;
					if (yych <= 0x00001FFF) goto yy327;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy327;
					goto yy3;
				}
			}
		}
	}
yy333:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy320;
					if (yych <= '@') goto yy24;
					goto yy315;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy315;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x000006EF) goto yy315;
					if (yych <= 0x000006F9) goto yy322;
					goto yy315;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy322;
					if (yych <= 0x000009E5) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x00000A65) goto yy315;
					if (yych <= 0x00000A6F) goto yy322;
					goto yy315;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy322;
					if (yych <= 0x00000B65) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x00000BE6) goto yy315;
					if (yych <= 0x00000BEF) goto yy322;
					goto yy315;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy322;
					if (yych <= 0x00000CE5) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x00000D65) goto yy315;
					if (yych <= 0x00000D6F) goto yy322;
					goto yy315;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy322;
					if (yych <= 0x00000ECF) goto yy315;
					goto yy322;
				} else {
					if (yych <= 0x0000103F) goto yy315;
					if (yych <= 0x00001049) goto yy322;
					goto yy315;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy336;
					if (yych <= 0x00001FFF) goto yy315;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy315;
					goto yy24;
				}
			}
		}
	}
yy334:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy327;
					if (yych <= '^') goto yy3;
					goto yy254;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy327;
					if (yych <= 0x000000BF) goto yy3;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy327;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy327;
					if (yych <= 0x00000669) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy329;
					if (yych <= 0x00000965) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x000009E5) goto yy327;
					if (yych <= 0x000009EF) goto yy329;
					if (yych <= 0x00000A65) goto yy327;
					goto yy329;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy327;
					if (yych <= 0x00000AEF) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000B6F) goto yy329;
					if (yych <= 0x00000BE6) goto yy327;
					goto yy329;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy327;
					if (yych <= 0x00000C6F) goto yy329;
					goto yy327;
				} else {
					if (yych <= 0x00000CEF) goto yy329;
					if (yych <= 0x00000D65) goto yy327;
					if (yych <= 0x00000D6F) goto yy329;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy329;
					if (yych <= 0x00000ECF) goto yy327;
					goto yy329;
				} else {
					if (yych <= 0x0000103F) goto yy327;
					if (yych <= 0x00001049) goto yy329;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy334;
					if (yych <= 0x00001FFF) goto yy327;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy327;
					goto yy3;
				}
			}
		}
	}
yy336:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy337;
					if (yych <= '^') goto yy3;
					goto yy254;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy337;
					if (yych <= 0x000000BF) goto yy3;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych >= 0x000000F7) goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy337;
					if (yych <= 0x00000669) goto yy329;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy329;
					if (yych >= 0x00000966) goto yy329;
				} else {
					if (yych <= 0x000009E5) goto yy337;
					if (yych <= 0x000009EF) goto yy329;
					if (yych >= 0x00000A66) goto yy329;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy337;
					if (yych <= 0x00000AEF) goto yy329;
				} else {
					if (yych <= 0x00000B6F) goto yy329;
					if (yych >= 0x00000BE7) goto yy329;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy337;
					if (yych <= 0x00000C6F) goto yy329;
				} else {
					if (yych <= 0x00000CEF) goto yy329;
					if (yych <= 0x00000D65) goto yy337;
					if (yych <= 0x00000D6F) goto yy329;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy329;
					if (yych >= 0x00000ED0) goto yy329;
				} else {
					if (yych <= 0x0000103F) goto yy337;
					if (yych <= 0x00001049) goto yy329;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy339;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy337:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy337;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy337;
					if (yych <= 0x000000BF) goto yy17;
					goto yy337;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy337;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy337;
					if (yych <= 0x00000669) goto yy341;
					goto yy337;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy341;
					if (yych <= 0x00000965) goto yy337;
					goto yy341;
				} else {
					if (yych <= 0x000009E5) goto yy337;
					if (yych <= 0x000009EF) goto yy341;
					if (yych <= 0x00000A65) goto yy337;
					goto yy341;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy337;
					if (yych <= 0x00000AEF) goto yy341;
					goto yy337;
				} else {
					if (yych <= 0x00000B6F) goto yy341;
					if (yych <= 0x00000BE6) goto yy337;
					goto yy341;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy337;
					if (yych <= 0x00000C6F) goto yy341;
					goto yy337;
				} else {
					if (yych <= 0x00000CEF) goto yy341;
					if (yych <= 0x00000D65) goto yy337;
					if (yych <= 0x00000D6F) goto yy341;
					goto yy337;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy341;
					if (yych <= 0x00000ECF) goto yy337;
					goto yy341;
				} else {
					if (yych <= 0x0000103F) goto yy337;
					if (yych <= 0x00001049) goto yy341;
					goto yy337;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy339;
					if (yych <= 0x00001FFF) goto yy337;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy337;
					goto yy17;
				}
			}
		}
	}
yy339:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy254;
					goto yy319;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy337;
					if (yych <= '^') goto yy3;
					goto yy254;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy337;
					if (yych <= 0x000000BF) goto yy3;
					goto yy337;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy337;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy337;
					if (yych <= 0x00000669) goto yy329;
					goto yy337;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy329;
					if (yych <= 0x00000965) goto yy337;
					goto yy329;
				} else {
					if (yych <= 0x000009E5) goto yy337;
					if (yych <= 0x000009EF) goto yy329;
					if (yych <= 0x00000A65) goto yy337;
					goto yy329;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy337;
					if (yych <= 0x00000AEF) goto yy329;
					goto yy337;
				} else {
					if (yych <= 0x00000B6F) goto yy329;
					if (yych <= 0x00000BE6) goto yy337;
					goto yy329;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy337;
					if (yych <= 0x00000C6F) goto yy329;
					goto yy337;
				} else {
					if (yych <= 0x00000CEF) goto yy329;
					if (yych <= 0x00000D65) goto yy337;
					if (yych <= 0x00000D6F) goto yy329;
					goto yy337;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy329;
					if (yych <= 0x00000ECF) goto yy337;
					goto yy329;
				} else {
					if (yych <= 0x0000103F) goto yy337;
					if (yych <= 0x00001049) goto yy329;
					goto yy337;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy339;
					if (yych <= 0x00001FFF) goto yy337;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy337;
					goto yy3;
				}
			}
		}
	}
yy341:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy254;
					goto yy333;
				} else {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy327;
					if (yych <= '^') goto yy17;
					goto yy254;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy327;
					if (yych <= 0x000000BF) goto yy17;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy327;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy327;
					if (yych <= 0x00000669) goto yy341;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy341;
					if (yych <= 0x00000965) goto yy327;
					goto yy341;
				} else {
					if (yych <= 0x000009E5) goto yy327;
					if (yych <= 0x000009EF) goto yy341;
					if (yych <= 0x00000A65) goto yy327;
					goto yy341;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy327;
					if (yych <= 0x00000AEF) goto yy341;
					goto yy327;
				} else {
					if (yych <= 0x00000B6F) goto yy341;
					if (yych <= 0x00000BE6) goto yy327;
					goto yy341;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy327;
					if (yych <= 0x00000C6F) goto yy341;
					goto yy327;
				} else {
					if (yych <= 0x00000CEF) goto yy341;
					if (yych <= 0x00000D65) goto yy327;
					if (yych <= 0x00000D6F) goto yy341;
					goto yy327;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy341;
					if (yych <= 0x00000ECF) goto yy327;
					goto yy341;
				} else {
					if (yych <= 0x0000103F) goto yy327;
					if (yych <= 0x00001049) goto yy341;
					goto yy327;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy331;
					if (yych <= 0x00001FFF) goto yy327;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy327;
					goto yy17;
				}
			}
		}
	}
yy343:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy343;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy343;
					if (yych <= 0x000000BF) goto yy17;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy343;
					if (yych <= 0x00000669) goto yy358;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy358;
					if (yych <= 0x00000965) goto yy343;
					goto yy358;
				} else {
					if (yych <= 0x000009E5) goto yy343;
					if (yych <= 0x000009EF) goto yy358;
					if (yych <= 0x00000A65) goto yy343;
					goto yy358;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy343;
					if (yych <= 0x00000AEF) goto yy358;
					goto yy343;
				} else {
					if (yych <= 0x00000B6F) goto yy358;
					if (yych <= 0x00000BE6) goto yy343;
					goto yy358;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy343;
					if (yych <= 0x00000C6F) goto yy358;
					goto yy343;
				} else {
					if (yych <= 0x00000CEF) goto yy358;
					if (yych <= 0x00000D65) goto yy343;
					if (yych <= 0x00000D6F) goto yy358;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy358;
					if (yych <= 0x00000ECF) goto yy343;
					goto yy358;
				} else {
					if (yych <= 0x0000103F) goto yy343;
					if (yych <= 0x00001049) goto yy358;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy360;
					if (yych <= 0x00001FFF) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy343;
					goto yy17;
				}
			}
		}
	}
yy345:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy325;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy343;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy343;
					if (yych <= 0x000000BF) goto yy17;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy343;
					if (yych <= 0x00000669) goto yy345;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy345;
					if (yych <= 0x00000965) goto yy343;
					goto yy345;
				} else {
					if (yych <= 0x000009E5) goto yy343;
					if (yych <= 0x000009EF) goto yy345;
					if (yych <= 0x00000A65) goto yy343;
					goto yy345;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy343;
					if (yych <= 0x00000AEF) goto yy345;
					goto yy343;
				} else {
					if (yych <= 0x00000B6F) goto yy345;
					if (yych <= 0x00000BE6) goto yy343;
					goto yy345;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy343;
					if (yych <= 0x00000C6F) goto yy345;
					goto yy343;
				} else {
					if (yych <= 0x00000CEF) goto yy345;
					if (yych <= 0x00000D65) goto yy343;
					if (yych <= 0x00000D6F) goto yy345;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy345;
					if (yych <= 0x00000ECF) goto yy343;
					goto yy345;
				} else {
					if (yych <= 0x0000103F) goto yy343;
					if (yych <= 0x00001049) goto yy345;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy347;
					if (yych <= 0x00001FFF) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy343;
					goto yy17;
				}
			}
		}
	}
yy347:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy3;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych >= 0x000000F7) goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy350;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy350;
					if (yych >= 0x00000966) goto yy350;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy350;
					if (yych >= 0x00000A66) goto yy350;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy350;
				} else {
					if (yych <= 0x00000B6F) goto yy350;
					if (yych >= 0x00000BE7) goto yy350;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy350;
				} else {
					if (yych <= 0x00000CEF) goto yy350;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy350;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy350;
					if (yych >= 0x00000ED0) goto yy350;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy350;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy352;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy348:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy17;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy348;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy354;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy354;
					if (yych <= 0x00000965) goto yy348;
					goto yy354;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy354;
					if (yych <= 0x00000A65) goto yy348;
					goto yy354;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy354;
					goto yy348;
				} else {
					if (yych <= 0x00000B6F) goto yy354;
					if (yych <= 0x00000BE6) goto yy348;
					goto yy354;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy354;
					goto yy348;
				} else {
					if (yych <= 0x00000CEF) goto yy354;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy354;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy354;
					if (yych <= 0x00000ECF) goto yy348;
					goto yy354;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy354;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy356;
					if (yych <= 0x00001FFF) goto yy348;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy348;
					goto yy17;
				}
			}
		}
	}
yy350:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy325;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy17;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy348;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy350;
					if (yych <= 0x00000965) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy350;
					if (yych <= 0x00000A65) goto yy348;
					goto yy350;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000B6F) goto yy350;
					if (yych <= 0x00000BE6) goto yy348;
					goto yy350;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000CEF) goto yy350;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy350;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy350;
					if (yych <= 0x00000ECF) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy352;
					if (yych <= 0x00001FFF) goto yy348;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy348;
					goto yy17;
				}
			}
		}
	}
yy352:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy3;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy348;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy350;
					if (yych <= 0x00000965) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy350;
					if (yych <= 0x00000A65) goto yy348;
					goto yy350;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000B6F) goto yy350;
					if (yych <= 0x00000BE6) goto yy348;
					goto yy350;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000CEF) goto yy350;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy350;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy350;
					if (yych <= 0x00000ECF) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy352;
					if (yych <= 0x00001FFF) goto yy348;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy348;
					goto yy3;
				}
			}
		}
	}
yy354:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy17;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy348;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy354;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy354;
					if (yych <= 0x00000965) goto yy348;
					goto yy354;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy354;
					if (yych <= 0x00000A65) goto yy348;
					goto yy354;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy354;
					goto yy348;
				} else {
					if (yych <= 0x00000B6F) goto yy354;
					if (yych <= 0x00000BE6) goto yy348;
					goto yy354;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy354;
					goto yy348;
				} else {
					if (yych <= 0x00000CEF) goto yy354;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy354;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy354;
					if (yych <= 0x00000ECF) goto yy348;
					goto yy354;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy354;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy356;
					if (yych <= 0x00001FFF) goto yy348;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy348;
					goto yy17;
				}
			}
		}
	}
yy356:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy3;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy348;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy350;
					if (yych <= 0x00000965) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy350;
					if (yych <= 0x00000A65) goto yy348;
					goto yy350;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000B6F) goto yy350;
					if (yych <= 0x00000BE6) goto yy348;
					goto yy350;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000CEF) goto yy350;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy350;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy350;
					if (yych <= 0x00000ECF) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy356;
					if (yych <= 0x00001FFF) goto yy348;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy348;
					goto yy3;
				}
			}
		}
	}
yy358:
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy17;
					if (yych <= '-') goto yy143;
					goto yy167;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy320;
					goto yy17;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy343;
					if (yych <= '^') goto yy17;
					goto yy143;
				} else {
					if (yych <= '`') goto yy17;
					if (yych <= 'z') goto yy343;
					if (yych <= 0x000000BF) goto yy17;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy17;
					if (yych <= 0x000000F6) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000065F) goto yy343;
					if (yych <= 0x00000669) goto yy358;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy358;
					if (yych <= 0x00000965) goto yy343;
					goto yy358;
				} else {
					if (yych <= 0x000009E5) goto yy343;
					if (yych <= 0x000009EF) goto yy358;
					if (yych <= 0x00000A65) goto yy343;
					goto yy358;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy343;
					if (yych <= 0x00000AEF) goto yy358;
					goto yy343;
				} else {
					if (yych <= 0x00000B6F) goto yy358;
					if (yych <= 0x00000BE6) goto yy343;
					goto yy358;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy343;
					if (yych <= 0x00000C6F) goto yy358;
					goto yy343;
				} else {
					if (yych <= 0x00000CEF) goto yy358;
					if (yych <= 0x00000D65) goto yy343;
					if (yych <= 0x00000D6F) goto yy358;
					goto yy343;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy358;
					if (yych <= 0x00000ECF) goto yy343;
					goto yy358;
				} else {
					if (yych <= 0x0000103F) goto yy343;
					if (yych <= 0x00001049) goto yy358;
					goto yy343;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy360;
					if (yych <= 0x00001FFF) goto yy343;
					goto yy17;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy17;
					if (yych <= 0x0000FFDC) goto yy343;
					goto yy17;
				}
			}
		}
	}
yy360:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '@') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy143;
					goto yy162;
				} else {
					if (yych <= '/') goto yy143;
					if (yych <= '9') goto yy325;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy348;
					if (yych <= '^') goto yy3;
					goto yy143;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy348;
					if (yych <= 0x000000BF) goto yy3;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy348;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy348;
					if (yych <= 0x00000669) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy350;
					if (yych <= 0x00000965) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x000009E5) goto yy348;
					if (yych <= 0x000009EF) goto yy350;
					if (yych <= 0x00000A65) goto yy348;
					goto yy350;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy348;
					if (yych <= 0x00000AEF) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000B6F) goto yy350;
					if (yych <= 0x00000BE6) goto yy348;
					goto yy350;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy348;
					if (yych <= 0x00000C6F) goto yy350;
					goto yy348;
				} else {
					if (yych <= 0x00000CEF) goto yy350;
					if (yych <= 0x00000D65) goto yy348;
					if (yych <= 0x00000D6F) goto yy350;
					goto yy348;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy350;
					if (yych <= 0x00000ECF) goto yy348;
					goto yy350;
				} else {
					if (yych <= 0x0000103F) goto yy348;
					if (yych <= 0x00001049) goto yy350;
					goto yy348;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy356;
					if (yych <= 0x00001FFF) goto yy348;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy348;
					goto yy3;
				}
			}
		}
	}
yy361:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '_') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy6;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy254;
					if (yych <= '-') goto yy255;
					goto yy410;
				}
			} else {
				if (yych <= '?') {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy18;
					goto yy6;
				} else {
					if (yych <= '@') goto yy256;
					if (yych <= 'Z') goto yy248;
					if (yych <= '^') goto yy6;
					goto yy255;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy6;
					if (yych <= 'z') goto yy248;
					goto yy6;
				} else {
					if (yych == 0x000000D7) goto yy6;
					if (yych <= 0x000000F6) goto yy248;
					goto yy6;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy248;
					if (yych <= 0x00000669) goto yy250;
					goto yy248;
				} else {
					if (yych <= 0x000006F9) goto yy250;
					if (yych <= 0x00000965) goto yy248;
					if (yych <= 0x0000096F) goto yy250;
					goto yy248;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy250;
					if (yych <= 0x00000A65) goto yy248;
					goto yy250;
				} else {
					if (yych <= 0x00000AE5) goto yy248;
					if (yych <= 0x00000AEF) goto yy250;
					if (yych <= 0x00000B65) goto yy248;
					goto yy250;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy248;
					if (yych <= 0x00000BEF) goto yy250;
					goto yy248;
				} else {
					if (yych <= 0x00000C6F) goto yy250;
					if (yych <= 0x00000CE5) goto yy248;
					if (yych <= 0x00000CEF) goto yy250;
					goto yy248;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy250;
					if (yych <= 0x00000E4F) goto yy248;
					goto yy250;
				} else {
					if (yych <= 0x00000ECF) goto yy248;
					if (yych <= 0x00000ED9) goto yy250;
					if (yych <= 0x0000103F) goto yy248;
					goto yy250;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000010FF) goto yy248;
					if (yych <= 0x000011FF) goto yy252;
					if (yych <= 0x00001FFF) goto yy248;
					goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych <= 0x0000FFDC) goto yy248;
					goto yy6;
				}
			}
		}
	}
yy362:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy364;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy364;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy364;
				} else {
					if (yych <= 0x00000669) goto yy366;
					if (yych <= 0x000006EF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy364;
					if (yych <= 0x0000096F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x000009EF) goto yy366;
					if (yych <= 0x00000A65) goto yy364;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000B65) goto yy364;
					if (yych <= 0x00000B6F) goto yy366;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy366;
					if (yych <= 0x00000C65) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000CE5) goto yy364;
					if (yych <= 0x00000CEF) goto yy366;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x00000E59) goto yy366;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy24;
				}
			}
		}
	}
yy363:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy205;
	goto yy371;
yy364:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy364;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy364;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy364;
					goto yy372;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy364;
					if (yych <= 0x000006F9) goto yy372;
					goto yy364;
				} else {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy364;
					if (yych <= 0x000009EF) goto yy372;
					goto yy364;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy372;
					if (yych <= 0x00000AE5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000B65) goto yy364;
					if (yych <= 0x00000B6F) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy372;
					if (yych <= 0x00000C65) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000CE5) goto yy364;
					if (yych <= 0x00000CEF) goto yy372;
					if (yych <= 0x00000D65) goto yy364;
					goto yy372;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy364;
					if (yych <= 0x00000E59) goto yy372;
					goto yy364;
				} else {
					if (yych <= 0x00000ED9) goto yy372;
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy375;
					if (yych <= 0x00001FFF) goto yy364;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy203;
				}
			}
		}
	}
yy366:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy366;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy366;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy366;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy366;
					goto yy372;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy366;
					if (yych <= 0x000006F9) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy366;
					if (yych <= 0x000009EF) goto yy372;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy372;
					if (yych <= 0x00000AE5) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000B65) goto yy366;
					if (yych <= 0x00000B6F) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy372;
					if (yych <= 0x00000C65) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000CE5) goto yy366;
					if (yych <= 0x00000CEF) goto yy372;
					if (yych <= 0x00000D65) goto yy366;
					goto yy372;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy366;
					if (yych <= 0x00000E59) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x00000ED9) goto yy372;
					if (yych <= 0x0000103F) goto yy366;
					if (yych <= 0x00001049) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy368;
					if (yych <= 0x00001FFF) goto yy366;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy366;
					goto yy203;
				}
			}
		}
	}
yy368:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy386;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy386;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy386;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy386;
					goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy386;
					if (yych <= 0x000006F9) goto yy380;
					goto yy386;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy386;
					if (yych <= 0x000009EF) goto yy380;
					goto yy386;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych <= 0x00000AE5) goto yy386;
					goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy386;
					if (yych <= 0x00000B6F) goto yy380;
					goto yy386;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych <= 0x00000C65) goto yy386;
					goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy386;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych <= 0x00000D65) goto yy386;
					goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy386;
					if (yych <= 0x00000E59) goto yy380;
					goto yy386;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy386;
					if (yych <= 0x00001049) goto yy380;
					goto yy386;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy390;
					if (yych <= 0x00001FFF) goto yy386;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy386;
					goto yy3;
				}
			}
		}
	}
yy369:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy206;
					goto yy363;
				} else {
					if (yych <= '@') goto yy206;
					if (yych <= 'Z') goto yy364;
					goto yy206;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy364;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy206;
					goto yy364;
				} else {
					if (yych <= 0x00000669) goto yy366;
					if (yych <= 0x000006EF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy364;
					if (yych <= 0x0000096F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x000009EF) goto yy366;
					if (yych <= 0x00000A65) goto yy364;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000B65) goto yy364;
					if (yych <= 0x00000B6F) goto yy366;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy366;
					if (yych <= 0x00000C65) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000CE5) goto yy364;
					if (yych <= 0x00000CEF) goto yy366;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x00000E59) goto yy366;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy206;
				}
			}
		}
	}
yy370:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy371:
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy23;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy395;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
					goto yy395;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy395;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy395;
					goto yy397;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy395;
					if (yych <= 0x000006F9) goto yy397;
					goto yy395;
				} else {
					if (yych <= 0x0000096F) goto yy397;
					if (yych <= 0x000009E5) goto yy395;
					if (yych <= 0x000009EF) goto yy397;
					goto yy395;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy397;
					if (yych <= 0x00000AE5) goto yy395;
					goto yy397;
				} else {
					if (yych <= 0x00000B65) goto yy395;
					if (yych <= 0x00000B6F) goto yy397;
					goto yy395;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy397;
					if (yych <= 0x00000C65) goto yy395;
					goto yy397;
				} else {
					if (yych <= 0x00000CE5) goto yy395;
					if (yych <= 0x00000CEF) goto yy397;
					if (yych <= 0x00000D65) goto yy395;
					goto yy397;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy395;
					if (yych <= 0x00000E59) goto yy397;
					goto yy395;
				} else {
					if (yych <= 0x00000ED9) goto yy397;
					if (yych <= 0x0000103F) goto yy395;
					if (yych <= 0x00001049) goto yy397;
					goto yy395;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy399;
					if (yych <= 0x00001FFF) goto yy395;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy395;
					goto yy203;
				}
			}
		}
	}
yy372:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy374;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy366;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy366;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy366;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy366;
					goto yy372;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy366;
					if (yych <= 0x000006F9) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy366;
					if (yych <= 0x000009EF) goto yy372;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy372;
					if (yych <= 0x00000AE5) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000B65) goto yy366;
					if (yych <= 0x00000B6F) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy372;
					if (yych <= 0x00000C65) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000CE5) goto yy366;
					if (yych <= 0x00000CEF) goto yy372;
					if (yych <= 0x00000D65) goto yy366;
					goto yy372;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy366;
					if (yych <= 0x00000E59) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x00000ED9) goto yy372;
					if (yych <= 0x0000103F) goto yy366;
					if (yych <= 0x00001049) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy368;
					if (yych <= 0x00001FFF) goto yy366;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy366;
					goto yy203;
				}
			}
		}
	}
yy374:
	yyaccept = 5;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy206;
				} else {
					if (yych <= '9') goto yy370;
					if (yych <= '@') goto yy206;
					goto yy364;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy206;
					if (yych <= 'z') goto yy364;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy206;
					if (yych <= 0x0000065F) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x000006EF) goto yy364;
					if (yych <= 0x000006F9) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000A65) goto yy364;
					if (yych <= 0x00000A6F) goto yy372;
					goto yy364;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy372;
					if (yych <= 0x00000B65) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000BE6) goto yy364;
					if (yych <= 0x00000BEF) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy372;
					if (yych <= 0x00000CE5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000D65) goto yy364;
					if (yych <= 0x00000D6F) goto yy372;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy372;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy375;
					if (yych <= 0x00001FFF) goto yy364;
					goto yy206;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy206;
				}
			}
		}
	}
yy375:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy378;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy378;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy378;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy378;
					goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy378;
					if (yych <= 0x000006F9) goto yy380;
					goto yy378;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy378;
					if (yych <= 0x000009EF) goto yy380;
					goto yy378;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych <= 0x00000AE5) goto yy378;
					goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy378;
					if (yych <= 0x00000B6F) goto yy380;
					goto yy378;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych <= 0x00000C65) goto yy378;
					goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy378;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych <= 0x00000D65) goto yy378;
					goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy378;
					if (yych <= 0x00000E59) goto yy380;
					goto yy378;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy378;
					if (yych <= 0x00001049) goto yy380;
					goto yy378;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy382;
					if (yych <= 0x00001FFF) goto yy378;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy378;
					goto yy3;
				}
			}
		}
	}
yy376:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy23;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy395;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
					goto yy395;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy395;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy395;
					goto yy393;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy395;
					if (yych <= 0x000006F9) goto yy393;
					goto yy395;
				} else {
					if (yych <= 0x0000096F) goto yy393;
					if (yych <= 0x000009E5) goto yy395;
					if (yych <= 0x000009EF) goto yy393;
					goto yy395;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy393;
					if (yych <= 0x00000AE5) goto yy395;
					goto yy393;
				} else {
					if (yych <= 0x00000B65) goto yy395;
					if (yych <= 0x00000B6F) goto yy393;
					goto yy395;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy393;
					if (yych <= 0x00000C65) goto yy395;
					goto yy393;
				} else {
					if (yych <= 0x00000CE5) goto yy395;
					if (yych <= 0x00000CEF) goto yy393;
					if (yych <= 0x00000D65) goto yy395;
					goto yy393;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy395;
					if (yych <= 0x00000E59) goto yy393;
					goto yy395;
				} else {
					if (yych <= 0x00000ED9) goto yy393;
					if (yych <= 0x0000103F) goto yy395;
					if (yych <= 0x00001049) goto yy393;
					goto yy395;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy392;
					if (yych <= 0x00001FFF) goto yy395;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy395;
					goto yy203;
				}
			}
		}
	}
yy378:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy378;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy378;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy378;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy378;
					goto yy388;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy378;
					if (yych <= 0x000006F9) goto yy388;
					goto yy378;
				} else {
					if (yych <= 0x0000096F) goto yy388;
					if (yych <= 0x000009E5) goto yy378;
					if (yych <= 0x000009EF) goto yy388;
					goto yy378;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy388;
					if (yych <= 0x00000AE5) goto yy378;
					goto yy388;
				} else {
					if (yych <= 0x00000B65) goto yy378;
					if (yych <= 0x00000B6F) goto yy388;
					goto yy378;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy388;
					if (yych <= 0x00000C65) goto yy378;
					goto yy388;
				} else {
					if (yych <= 0x00000CE5) goto yy378;
					if (yych <= 0x00000CEF) goto yy388;
					if (yych <= 0x00000D65) goto yy378;
					goto yy388;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy378;
					if (yych <= 0x00000E59) goto yy388;
					goto yy378;
				} else {
					if (yych <= 0x00000ED9) goto yy388;
					if (yych <= 0x0000103F) goto yy378;
					if (yych <= 0x00001049) goto yy388;
					goto yy378;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy382;
					if (yych <= 0x00001FFF) goto yy378;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy378;
					goto yy203;
				}
			}
		}
	}
yy380:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy374;
					if (yych <= '/') goto yy254;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy386;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy386;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy386;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy386;
					goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy386;
					if (yych <= 0x000006F9) goto yy380;
					goto yy386;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy386;
					if (yych <= 0x000009EF) goto yy380;
					goto yy386;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych <= 0x00000AE5) goto yy386;
					goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy386;
					if (yych <= 0x00000B6F) goto yy380;
					goto yy386;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych <= 0x00000C65) goto yy386;
					goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy386;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych <= 0x00000D65) goto yy386;
					goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy386;
					if (yych <= 0x00000E59) goto yy380;
					goto yy386;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy386;
					if (yych <= 0x00001049) goto yy380;
					goto yy386;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy384;
					if (yych <= 0x00001FFF) goto yy386;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy386;
					goto yy203;
				}
			}
		}
	}
yy382:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy378;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy378;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy378;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy378;
					goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy378;
					if (yych <= 0x000006F9) goto yy380;
					goto yy378;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy378;
					if (yych <= 0x000009EF) goto yy380;
					goto yy378;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych <= 0x00000AE5) goto yy378;
					goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy378;
					if (yych <= 0x00000B6F) goto yy380;
					goto yy378;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych <= 0x00000C65) goto yy378;
					goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy378;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych <= 0x00000D65) goto yy378;
					goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy378;
					if (yych <= 0x00000E59) goto yy380;
					goto yy378;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy378;
					if (yych <= 0x00001049) goto yy380;
					goto yy378;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy382;
					if (yych <= 0x00001FFF) goto yy378;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy378;
					goto yy3;
				}
			}
		}
	}
yy384:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych >= 0x000000D7) goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych >= 0x00000660) goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy386;
					if (yych <= 0x000006F9) goto yy380;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy386;
					if (yych <= 0x000009EF) goto yy380;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych >= 0x00000AE6) goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy386;
					if (yych <= 0x00000B6F) goto yy380;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych >= 0x00000C66) goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy386;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych >= 0x00000D66) goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy386;
					if (yych <= 0x00000E59) goto yy380;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy386;
					if (yych <= 0x00001049) goto yy380;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy384;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy386:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy386;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy386;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy386;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy386;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy386;
					if (yych >= 0x000006FA) goto yy386;
				} else {
					if (yych <= 0x0000096F) goto yy388;
					if (yych <= 0x000009E5) goto yy386;
					if (yych >= 0x000009F0) goto yy386;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy388;
					if (yych <= 0x00000AE5) goto yy386;
				} else {
					if (yych <= 0x00000B65) goto yy386;
					if (yych >= 0x00000B70) goto yy386;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy388;
					if (yych <= 0x00000C65) goto yy386;
				} else {
					if (yych <= 0x00000CE5) goto yy386;
					if (yych <= 0x00000CEF) goto yy388;
					if (yych <= 0x00000D65) goto yy386;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy386;
					if (yych >= 0x00000E5A) goto yy386;
				} else {
					if (yych <= 0x00000ED9) goto yy388;
					if (yych <= 0x0000103F) goto yy386;
					if (yych >= 0x0000104A) goto yy386;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy390;
					if (yych <= 0x00001FFF) goto yy386;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy386;
					goto yy203;
				}
			}
		}
	}
yy388:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy374;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy386;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy386;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy386;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy386;
					goto yy388;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy386;
					if (yych <= 0x000006F9) goto yy388;
					goto yy386;
				} else {
					if (yych <= 0x0000096F) goto yy388;
					if (yych <= 0x000009E5) goto yy386;
					if (yych <= 0x000009EF) goto yy388;
					goto yy386;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy388;
					if (yych <= 0x00000AE5) goto yy386;
					goto yy388;
				} else {
					if (yych <= 0x00000B65) goto yy386;
					if (yych <= 0x00000B6F) goto yy388;
					goto yy386;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy388;
					if (yych <= 0x00000C65) goto yy386;
					goto yy388;
				} else {
					if (yych <= 0x00000CE5) goto yy386;
					if (yych <= 0x00000CEF) goto yy388;
					if (yych <= 0x00000D65) goto yy386;
					goto yy388;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy386;
					if (yych <= 0x00000E59) goto yy388;
					goto yy386;
				} else {
					if (yych <= 0x00000ED9) goto yy388;
					if (yych <= 0x0000103F) goto yy386;
					if (yych <= 0x00001049) goto yy388;
					goto yy386;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy390;
					if (yych <= 0x00001FFF) goto yy386;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy386;
					goto yy203;
				}
			}
		}
	}
yy390:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy386;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy386;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy386;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy386;
					goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy386;
					if (yych <= 0x000006F9) goto yy380;
					goto yy386;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy386;
					if (yych <= 0x000009EF) goto yy380;
					goto yy386;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych <= 0x00000AE5) goto yy386;
					goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy386;
					if (yych <= 0x00000B6F) goto yy380;
					goto yy386;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych <= 0x00000C65) goto yy386;
					goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy386;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych <= 0x00000D65) goto yy386;
					goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy386;
					if (yych <= 0x00000E59) goto yy380;
					goto yy386;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy386;
					if (yych <= 0x00001049) goto yy380;
					goto yy386;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy390;
					if (yych <= 0x00001FFF) goto yy386;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy386;
					goto yy3;
				}
			}
		}
	}
yy392:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy404;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy404;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy404;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy404;
					goto yy402;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych <= 0x000006F9) goto yy402;
					goto yy404;
				} else {
					if (yych <= 0x0000096F) goto yy402;
					if (yych <= 0x000009E5) goto yy404;
					if (yych <= 0x000009EF) goto yy402;
					goto yy404;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy402;
					if (yych <= 0x00000AE5) goto yy404;
					goto yy402;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych <= 0x00000B6F) goto yy402;
					goto yy404;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy402;
					if (yych <= 0x00000C65) goto yy404;
					goto yy402;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy402;
					if (yych <= 0x00000D65) goto yy404;
					goto yy402;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych <= 0x00000E59) goto yy402;
					goto yy404;
				} else {
					if (yych <= 0x00000ED9) goto yy402;
					if (yych <= 0x0000103F) goto yy404;
					if (yych <= 0x00001049) goto yy402;
					goto yy404;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy408;
					if (yych <= 0x00001FFF) goto yy404;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy404;
					goto yy3;
				}
			}
		}
	}
yy393:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych >= 0x000000D7) goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych >= 0x00000660) goto yy393;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy395;
					if (yych <= 0x000006F9) goto yy393;
				} else {
					if (yych <= 0x0000096F) goto yy393;
					if (yych <= 0x000009E5) goto yy395;
					if (yych <= 0x000009EF) goto yy393;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy393;
					if (yych >= 0x00000AE6) goto yy393;
				} else {
					if (yych <= 0x00000B65) goto yy395;
					if (yych <= 0x00000B6F) goto yy393;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy393;
					if (yych >= 0x00000C66) goto yy393;
				} else {
					if (yych <= 0x00000CE5) goto yy395;
					if (yych <= 0x00000CEF) goto yy393;
					if (yych >= 0x00000D66) goto yy393;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy395;
					if (yych <= 0x00000E59) goto yy393;
				} else {
					if (yych <= 0x00000ED9) goto yy393;
					if (yych <= 0x0000103F) goto yy395;
					if (yych <= 0x00001049) goto yy393;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy392;
					if (yych >= 0x00002000) goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy103;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych >= 0x0000FFDD) goto yy203;
				}
			}
		}
	}
yy395:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy395;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy395;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy395;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy395;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy395;
					if (yych >= 0x000006FA) goto yy395;
				} else {
					if (yych <= 0x0000096F) goto yy397;
					if (yych <= 0x000009E5) goto yy395;
					if (yych >= 0x000009F0) goto yy395;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy397;
					if (yych <= 0x00000AE5) goto yy395;
				} else {
					if (yych <= 0x00000B65) goto yy395;
					if (yych >= 0x00000B70) goto yy395;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy397;
					if (yych <= 0x00000C65) goto yy395;
				} else {
					if (yych <= 0x00000CE5) goto yy395;
					if (yych <= 0x00000CEF) goto yy397;
					if (yych <= 0x00000D65) goto yy395;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy395;
					if (yych >= 0x00000E5A) goto yy395;
				} else {
					if (yych <= 0x00000ED9) goto yy397;
					if (yych <= 0x0000103F) goto yy395;
					if (yych >= 0x0000104A) goto yy395;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy399;
					if (yych <= 0x00001FFF) goto yy395;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy395;
					goto yy203;
				}
			}
		}
	}
yy397:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy395;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy395;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy395;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy395;
					goto yy397;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy395;
					if (yych <= 0x000006F9) goto yy397;
					goto yy395;
				} else {
					if (yych <= 0x0000096F) goto yy397;
					if (yych <= 0x000009E5) goto yy395;
					if (yych <= 0x000009EF) goto yy397;
					goto yy395;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy397;
					if (yych <= 0x00000AE5) goto yy395;
					goto yy397;
				} else {
					if (yych <= 0x00000B65) goto yy395;
					if (yych <= 0x00000B6F) goto yy397;
					goto yy395;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy397;
					if (yych <= 0x00000C65) goto yy395;
					goto yy397;
				} else {
					if (yych <= 0x00000CE5) goto yy395;
					if (yych <= 0x00000CEF) goto yy397;
					if (yych <= 0x00000D65) goto yy395;
					goto yy397;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy395;
					if (yych <= 0x00000E59) goto yy397;
					goto yy395;
				} else {
					if (yych <= 0x00000ED9) goto yy397;
					if (yych <= 0x0000103F) goto yy395;
					if (yych <= 0x00001049) goto yy397;
					goto yy395;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy399;
					if (yych <= 0x00001FFF) goto yy395;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy395;
					goto yy203;
				}
			}
		}
	}
yy399:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy404;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy404;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy404;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy404;
					goto yy402;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych <= 0x000006F9) goto yy402;
					goto yy404;
				} else {
					if (yych <= 0x0000096F) goto yy402;
					if (yych <= 0x000009E5) goto yy404;
					if (yych <= 0x000009EF) goto yy402;
					goto yy404;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy402;
					if (yych <= 0x00000AE5) goto yy404;
					goto yy402;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych <= 0x00000B6F) goto yy402;
					goto yy404;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy402;
					if (yych <= 0x00000C65) goto yy404;
					goto yy402;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy402;
					if (yych <= 0x00000D65) goto yy404;
					goto yy402;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych <= 0x00000E59) goto yy402;
					goto yy404;
				} else {
					if (yych <= 0x00000ED9) goto yy402;
					if (yych <= 0x0000103F) goto yy404;
					if (yych <= 0x00001049) goto yy402;
					goto yy404;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy400;
					if (yych <= 0x00001FFF) goto yy404;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy404;
					goto yy3;
				}
			}
		}
	}
yy400:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy404;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy404;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy404;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy404;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych >= 0x000006FA) goto yy404;
				} else {
					if (yych <= 0x0000096F) goto yy402;
					if (yych <= 0x000009E5) goto yy404;
					if (yych >= 0x000009F0) goto yy404;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy402;
					if (yych <= 0x00000AE5) goto yy404;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych >= 0x00000B70) goto yy404;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy402;
					if (yych <= 0x00000C65) goto yy404;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy402;
					if (yych <= 0x00000D65) goto yy404;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych >= 0x00000E5A) goto yy404;
				} else {
					if (yych <= 0x00000ED9) goto yy402;
					if (yych <= 0x0000103F) goto yy404;
					if (yych >= 0x0000104A) goto yy404;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy400;
					if (yych <= 0x00001FFF) goto yy404;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy404;
					goto yy3;
				}
			}
		}
	}
yy402:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych >= 0x000000D7) goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych >= 0x00000660) goto yy402;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych <= 0x000006F9) goto yy402;
				} else {
					if (yych <= 0x0000096F) goto yy402;
					if (yych <= 0x000009E5) goto yy404;
					if (yych <= 0x000009EF) goto yy402;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy402;
					if (yych >= 0x00000AE6) goto yy402;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych <= 0x00000B6F) goto yy402;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy402;
					if (yych >= 0x00000C66) goto yy402;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy402;
					if (yych >= 0x00000D66) goto yy402;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych <= 0x00000E59) goto yy402;
				} else {
					if (yych <= 0x00000ED9) goto yy402;
					if (yych <= 0x0000103F) goto yy404;
					if (yych <= 0x00001049) goto yy402;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy408;
					if (yych >= 0x00002000) goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych >= 0x0000FFDD) goto yy203;
				}
			}
		}
	}
yy404:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy404;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy404;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy404;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy404;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych >= 0x000006FA) goto yy404;
				} else {
					if (yych <= 0x0000096F) goto yy406;
					if (yych <= 0x000009E5) goto yy404;
					if (yych >= 0x000009F0) goto yy404;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy406;
					if (yych <= 0x00000AE5) goto yy404;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych >= 0x00000B70) goto yy404;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy406;
					if (yych <= 0x00000C65) goto yy404;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy406;
					if (yych <= 0x00000D65) goto yy404;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych >= 0x00000E5A) goto yy404;
				} else {
					if (yych <= 0x00000ED9) goto yy406;
					if (yych <= 0x0000103F) goto yy404;
					if (yych >= 0x0000104A) goto yy404;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy400;
					if (yych <= 0x00001FFF) goto yy404;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy404;
					goto yy203;
				}
			}
		}
	}
yy406:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy226;
					if (yych <= '/') goto yy143;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy404;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy404;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy404;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy404;
					goto yy406;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych <= 0x000006F9) goto yy406;
					goto yy404;
				} else {
					if (yych <= 0x0000096F) goto yy406;
					if (yych <= 0x000009E5) goto yy404;
					if (yych <= 0x000009EF) goto yy406;
					goto yy404;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy406;
					if (yych <= 0x00000AE5) goto yy404;
					goto yy406;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych <= 0x00000B6F) goto yy406;
					goto yy404;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy406;
					if (yych <= 0x00000C65) goto yy404;
					goto yy406;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy406;
					if (yych <= 0x00000D65) goto yy404;
					goto yy406;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych <= 0x00000E59) goto yy406;
					goto yy404;
				} else {
					if (yych <= 0x00000ED9) goto yy406;
					if (yych <= 0x0000103F) goto yy404;
					if (yych <= 0x00001049) goto yy406;
					goto yy404;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy400;
					if (yych <= 0x00001FFF) goto yy404;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy404;
					goto yy203;
				}
			}
		}
	}
yy408:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy404;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy404;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy404;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy404;
					goto yy402;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy404;
					if (yych <= 0x000006F9) goto yy402;
					goto yy404;
				} else {
					if (yych <= 0x0000096F) goto yy402;
					if (yych <= 0x000009E5) goto yy404;
					if (yych <= 0x000009EF) goto yy402;
					goto yy404;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy402;
					if (yych <= 0x00000AE5) goto yy404;
					goto yy402;
				} else {
					if (yych <= 0x00000B65) goto yy404;
					if (yych <= 0x00000B6F) goto yy402;
					goto yy404;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy402;
					if (yych <= 0x00000C65) goto yy404;
					goto yy402;
				} else {
					if (yych <= 0x00000CE5) goto yy404;
					if (yych <= 0x00000CEF) goto yy402;
					if (yych <= 0x00000D65) goto yy404;
					goto yy402;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy404;
					if (yych <= 0x00000E59) goto yy402;
					goto yy404;
				} else {
					if (yych <= 0x00000ED9) goto yy402;
					if (yych <= 0x0000103F) goto yy404;
					if (yych <= 0x00001049) goto yy402;
					goto yy404;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy408;
					if (yych <= 0x00001FFF) goto yy404;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy95;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy404;
					goto yy3;
				}
			}
		}
	}
yy410:
	yych = *++YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy24;
				} else {
					if (yych <= '9') goto yy370;
					if (yych <= '@') goto yy24;
					goto yy364;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy24;
					if (yych <= 'z') goto yy364;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy24;
					if (yych <= 0x0000065F) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x000006EF) goto yy364;
					if (yych <= 0x000006F9) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000A65) goto yy364;
					if (yych <= 0x00000A6F) goto yy372;
					goto yy364;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy372;
					if (yych <= 0x00000B65) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000BE6) goto yy364;
					if (yych <= 0x00000BEF) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy372;
					if (yych <= 0x00000CE5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000D65) goto yy364;
					if (yych <= 0x00000D6F) goto yy372;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy372;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy375;
					if (yych <= 0x00001FFF) goto yy364;
					goto yy24;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy24;
				}
			}
		}
	}
yy411:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy363;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy364;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy364;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy364;
				} else {
					if (yych <= 0x00000669) goto yy366;
					if (yych <= 0x000006EF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy364;
					if (yych <= 0x0000096F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x000009EF) goto yy366;
					if (yych <= 0x00000A65) goto yy364;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000B65) goto yy364;
					if (yych <= 0x00000B6F) goto yy366;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy366;
					if (yych <= 0x00000C65) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000CE5) goto yy364;
					if (yych <= 0x00000CEF) goto yy366;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x00000E59) goto yy366;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy24;
				}
			}
		}
	}
yy412:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '_') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy3;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					if (yych <= '-') goto yy255;
					goto yy362;
				}
			} else {
				if (yych <= '?') {
					if (yych <= '/') goto yy254;
					if (yych <= '9') goto yy195;
					goto yy3;
				} else {
					if (yych <= '@') goto yy256;
					if (yych <= 'Z') goto yy248;
					if (yych <= '^') goto yy3;
					goto yy255;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy248;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy248;
					goto yy3;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy248;
					if (yych <= 0x00000669) goto yy361;
					goto yy248;
				} else {
					if (yych <= 0x000006F9) goto yy361;
					if (yych <= 0x00000965) goto yy248;
					if (yych <= 0x0000096F) goto yy361;
					goto yy248;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy361;
					if (yych <= 0x00000A65) goto yy248;
					goto yy361;
				} else {
					if (yych <= 0x00000AE5) goto yy248;
					if (yych <= 0x00000AEF) goto yy361;
					if (yych <= 0x00000B65) goto yy248;
					goto yy361;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy248;
					if (yych <= 0x00000BEF) goto yy361;
					goto yy248;
				} else {
					if (yych <= 0x00000C6F) goto yy361;
					if (yych <= 0x00000CE5) goto yy248;
					if (yych <= 0x00000CEF) goto yy361;
					goto yy248;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy361;
					if (yych <= 0x00000E4F) goto yy248;
					goto yy361;
				} else {
					if (yych <= 0x00000ECF) goto yy248;
					if (yych <= 0x00000ED9) goto yy361;
					if (yych <= 0x0000103F) goto yy248;
					goto yy361;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000010FF) goto yy248;
					if (yych <= 0x000011FF) goto yy412;
					if (yych <= 0x00001FFF) goto yy248;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy248;
					goto yy3;
				}
			}
		}
	}
yy414:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy417;
					if (yych <= '/') goto yy254;
					goto yy376;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy378;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy378;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy378;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy378;
					goto yy380;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy378;
					if (yych <= 0x000006F9) goto yy380;
					goto yy378;
				} else {
					if (yych <= 0x0000096F) goto yy380;
					if (yych <= 0x000009E5) goto yy378;
					if (yych <= 0x000009EF) goto yy380;
					goto yy378;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy380;
					if (yych <= 0x00000AE5) goto yy378;
					goto yy380;
				} else {
					if (yych <= 0x00000B65) goto yy378;
					if (yych <= 0x00000B6F) goto yy380;
					goto yy378;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy380;
					if (yych <= 0x00000C65) goto yy378;
					goto yy380;
				} else {
					if (yych <= 0x00000CE5) goto yy378;
					if (yych <= 0x00000CEF) goto yy380;
					if (yych <= 0x00000D65) goto yy378;
					goto yy380;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy378;
					if (yych <= 0x00000E59) goto yy380;
					goto yy378;
				} else {
					if (yych <= 0x00000ED9) goto yy380;
					if (yych <= 0x0000103F) goto yy378;
					if (yych <= 0x00001049) goto yy380;
					goto yy378;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy382;
					if (yych <= 0x00001FFF) goto yy378;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy378;
					goto yy3;
				}
			}
		}
	}
yy415:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy420;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy366;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy366;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy366;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy366;
					goto yy372;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy366;
					if (yych <= 0x000006F9) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy366;
					if (yych <= 0x000009EF) goto yy372;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy372;
					if (yych <= 0x00000AE5) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000B65) goto yy366;
					if (yych <= 0x00000B6F) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy372;
					if (yych <= 0x00000C65) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000CE5) goto yy366;
					if (yych <= 0x00000CEF) goto yy372;
					if (yych <= 0x00000D65) goto yy366;
					goto yy372;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy366;
					if (yych <= 0x00000E59) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x00000ED9) goto yy372;
					if (yych <= 0x0000103F) goto yy366;
					if (yych <= 0x00001049) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy368;
					if (yych <= 0x00001FFF) goto yy366;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy366;
					goto yy203;
				}
			}
		}
	}
yy416:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy417;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy364;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy364;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy364;
					goto yy372;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy364;
					if (yych <= 0x000006F9) goto yy372;
					goto yy364;
				} else {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy364;
					if (yych <= 0x000009EF) goto yy372;
					goto yy364;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy372;
					if (yych <= 0x00000AE5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000B65) goto yy364;
					if (yych <= 0x00000B6F) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy372;
					if (yych <= 0x00000C65) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000CE5) goto yy364;
					if (yych <= 0x00000CEF) goto yy372;
					if (yych <= 0x00000D65) goto yy364;
					goto yy372;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy364;
					if (yych <= 0x00000E59) goto yy372;
					goto yy364;
				} else {
					if (yych <= 0x00000ED9) goto yy372;
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy375;
					if (yych <= 0x00001FFF) goto yy364;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy203;
				}
			}
		}
	}
yy417:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych >= '0') goto yy363;
				} else {
					if (yych <= '@') goto yy418;
					if (yych <= 'Z') goto yy416;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy416;
				} else {
					if (yych != 0x000000D7) goto yy416;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych >= 0x000000F8) goto yy416;
				} else {
					if (yych <= 0x00000669) goto yy419;
					if (yych <= 0x000006EF) goto yy416;
					goto yy419;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy416;
					if (yych <= 0x0000096F) goto yy419;
					goto yy416;
				} else {
					if (yych <= 0x000009EF) goto yy419;
					if (yych <= 0x00000A65) goto yy416;
					goto yy419;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy416;
					goto yy419;
				} else {
					if (yych <= 0x00000B65) goto yy416;
					if (yych <= 0x00000B6F) goto yy419;
					goto yy416;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy419;
					if (yych <= 0x00000C65) goto yy416;
					goto yy419;
				} else {
					if (yych <= 0x00000CE5) goto yy416;
					if (yych <= 0x00000CEF) goto yy419;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy419;
					goto yy416;
				} else {
					if (yych <= 0x00000E59) goto yy419;
					if (yych <= 0x00000ECF) goto yy416;
					goto yy419;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy416;
					if (yych <= 0x00001049) goto yy419;
					goto yy416;
				} else {
					if (yych <= 0x0000FF9F) goto yy418;
					if (yych <= 0x0000FFDC) goto yy416;
				}
			}
		}
	}
yy418:
	{ tokenType = ACRONYM;		goto SET_TOKEN; }
yy419:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy417;
					if (yych <= '/') goto yy254;
					goto yy370;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy366;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy366;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy366;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy366;
					goto yy372;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy366;
					if (yych <= 0x000006F9) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy366;
					if (yych <= 0x000009EF) goto yy372;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy372;
					if (yych <= 0x00000AE5) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000B65) goto yy366;
					if (yych <= 0x00000B6F) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy372;
					if (yych <= 0x00000C65) goto yy366;
					goto yy372;
				} else {
					if (yych <= 0x00000CE5) goto yy366;
					if (yych <= 0x00000CEF) goto yy372;
					if (yych <= 0x00000D65) goto yy366;
					goto yy372;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy366;
					if (yych <= 0x00000E59) goto yy372;
					goto yy366;
				} else {
					if (yych <= 0x00000ED9) goto yy372;
					if (yych <= 0x0000103F) goto yy366;
					if (yych <= 0x00001049) goto yy372;
					goto yy366;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy368;
					if (yych <= 0x00001FFF) goto yy366;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy366;
					goto yy203;
				}
			}
		}
	}
yy420:
	yyaccept = 8;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy418;
				} else {
					if (yych <= '9') goto yy370;
					if (yych <= '@') goto yy418;
					goto yy416;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy418;
					if (yych <= 'z') goto yy416;
					goto yy418;
				} else {
					if (yych == 0x000000D7) goto yy418;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy418;
					if (yych <= 0x0000065F) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x000006EF) goto yy416;
					if (yych <= 0x000006F9) goto yy415;
					goto yy416;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy415;
					if (yych <= 0x000009E5) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x00000A65) goto yy416;
					if (yych <= 0x00000A6F) goto yy415;
					goto yy416;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy415;
					if (yych <= 0x00000B65) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x00000BE6) goto yy416;
					if (yych <= 0x00000BEF) goto yy415;
					goto yy416;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy415;
					if (yych <= 0x00000CE5) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x00000D65) goto yy416;
					if (yych <= 0x00000D6F) goto yy415;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy415;
					if (yych <= 0x00000ECF) goto yy416;
					goto yy415;
				} else {
					if (yych <= 0x0000103F) goto yy416;
					if (yych <= 0x00001049) goto yy415;
					goto yy416;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy414;
					if (yych <= 0x00001FFF) goto yy416;
					goto yy418;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy418;
					if (yych <= 0x0000FFDC) goto yy416;
					goto yy418;
				}
			}
		}
	}
yy421:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy451;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy489;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy489;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy489;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy489;
				} else {
					if (yych <= 0x00000669) goto yy490;
					if (yych <= 0x000006EF) goto yy489;
					goto yy490;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy489;
					if (yych <= 0x0000096F) goto yy490;
					goto yy489;
				} else {
					if (yych <= 0x000009EF) goto yy490;
					if (yych <= 0x00000A65) goto yy489;
					goto yy490;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy489;
					goto yy490;
				} else {
					if (yych <= 0x00000B65) goto yy489;
					if (yych <= 0x00000B6F) goto yy490;
					goto yy489;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy490;
					if (yych <= 0x00000C65) goto yy489;
					goto yy490;
				} else {
					if (yych <= 0x00000CE5) goto yy489;
					if (yych <= 0x00000CEF) goto yy490;
					goto yy489;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy490;
					goto yy489;
				} else {
					if (yych <= 0x00000E59) goto yy490;
					if (yych <= 0x00000ECF) goto yy489;
					goto yy490;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy489;
					if (yych <= 0x00001049) goto yy490;
					goto yy489;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy489;
					goto yy24;
				}
			}
		}
	}
yy422:
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy423:
	if (yych <= 0x000009E5) {
		if (yych <= '_') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy6;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy6;
					if (yych <= ',') goto yy426;
					if (yych <= '-') goto yy427;
					goto yy488;
				}
			} else {
				if (yych <= '?') {
					if (yych <= '/') goto yy426;
					if (yych <= '9') goto yy20;
					goto yy6;
				} else {
					if (yych <= '@') goto yy256;
					if (yych <= 'Z') goto yy422;
					if (yych <= '^') goto yy6;
					goto yy427;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy6;
					if (yych <= 'z') goto yy422;
					goto yy6;
				} else {
					if (yych == 0x000000D7) goto yy6;
					if (yych <= 0x000000F6) goto yy422;
					goto yy6;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy422;
					if (yych <= 0x00000669) goto yy248;
					goto yy422;
				} else {
					if (yych <= 0x000006F9) goto yy248;
					if (yych <= 0x00000965) goto yy422;
					if (yych <= 0x0000096F) goto yy248;
					goto yy422;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy248;
					if (yych <= 0x00000A65) goto yy422;
					goto yy248;
				} else {
					if (yych <= 0x00000AE5) goto yy422;
					if (yych <= 0x00000AEF) goto yy248;
					if (yych <= 0x00000B65) goto yy422;
					goto yy248;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy422;
					if (yych <= 0x00000BEF) goto yy248;
					goto yy422;
				} else {
					if (yych <= 0x00000C6F) goto yy248;
					if (yych <= 0x00000CE5) goto yy422;
					if (yych <= 0x00000CEF) goto yy248;
					goto yy422;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy248;
					if (yych <= 0x00000E4F) goto yy422;
					goto yy248;
				} else {
					if (yych <= 0x00000ECF) goto yy422;
					if (yych <= 0x00000ED9) goto yy248;
					if (yych <= 0x0000103F) goto yy422;
					goto yy248;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000010FF) goto yy422;
					if (yych <= 0x000011FF) goto yy424;
					if (yych <= 0x00001FFF) goto yy422;
					goto yy6;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy6;
					if (yych <= 0x0000FFDC) goto yy422;
					goto yy6;
				}
			}
		}
	}
yy424:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '_') {
			if (yych <= '.') {
				if (yych <= '\'') {
					if (yych <= '%') goto yy3;
					if (yych <= '&') goto yy257;
					goto yy258;
				} else {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy426;
					if (yych <= '-') goto yy427;
					goto yy440;
				}
			} else {
				if (yych <= '?') {
					if (yych <= '/') goto yy426;
					if (yych <= '9') goto yy195;
					goto yy3;
				} else {
					if (yych <= '@') goto yy256;
					if (yych <= 'Z') goto yy422;
					if (yych <= '^') goto yy3;
					goto yy427;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy422;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy422;
					goto yy3;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy422;
					if (yych <= 0x00000669) goto yy361;
					goto yy422;
				} else {
					if (yych <= 0x000006F9) goto yy361;
					if (yych <= 0x00000965) goto yy422;
					if (yych <= 0x0000096F) goto yy361;
					goto yy422;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy361;
					if (yych <= 0x00000A65) goto yy422;
					goto yy361;
				} else {
					if (yych <= 0x00000AE5) goto yy422;
					if (yych <= 0x00000AEF) goto yy361;
					if (yych <= 0x00000B65) goto yy422;
					goto yy361;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy422;
					if (yych <= 0x00000BEF) goto yy361;
					goto yy422;
				} else {
					if (yych <= 0x00000C6F) goto yy361;
					if (yych <= 0x00000CE5) goto yy422;
					if (yych <= 0x00000CEF) goto yy361;
					goto yy422;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000D6F) goto yy361;
					if (yych <= 0x00000E4F) goto yy422;
					goto yy361;
				} else {
					if (yych <= 0x00000ECF) goto yy422;
					if (yych <= 0x00000ED9) goto yy361;
					if (yych <= 0x0000103F) goto yy422;
					goto yy361;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000010FF) goto yy422;
					if (yych <= 0x000011FF) goto yy424;
					if (yych <= 0x00001FFF) goto yy422;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy422;
					goto yy3;
				}
			}
		}
	}
yy426:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy434;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy436;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy436;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy436;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy436;
				} else {
					if (yych <= 0x00000669) goto yy438;
					if (yych <= 0x000006EF) goto yy436;
					goto yy438;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy436;
					if (yych <= 0x0000096F) goto yy438;
					goto yy436;
				} else {
					if (yych <= 0x000009EF) goto yy438;
					if (yych <= 0x00000A65) goto yy436;
					goto yy438;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy436;
					goto yy438;
				} else {
					if (yych <= 0x00000B65) goto yy436;
					if (yych <= 0x00000B6F) goto yy438;
					goto yy436;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy438;
					if (yych <= 0x00000C65) goto yy436;
					goto yy438;
				} else {
					if (yych <= 0x00000CE5) goto yy436;
					if (yych <= 0x00000CEF) goto yy438;
					goto yy436;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy438;
					goto yy436;
				} else {
					if (yych <= 0x00000E59) goto yy438;
					if (yych <= 0x00000ECF) goto yy436;
					goto yy438;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy436;
					if (yych <= 0x00001049) goto yy438;
					goto yy436;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy436;
					goto yy24;
				}
			}
		}
	}
yy427:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy430;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy430;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy430;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy430;
				} else {
					if (yych <= 0x00000669) goto yy432;
					if (yych <= 0x000006EF) goto yy430;
					goto yy432;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy430;
					if (yych <= 0x0000096F) goto yy432;
					goto yy430;
				} else {
					if (yych <= 0x000009EF) goto yy432;
					if (yych <= 0x00000A65) goto yy430;
					goto yy432;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy430;
					goto yy432;
				} else {
					if (yych <= 0x00000B65) goto yy430;
					if (yych <= 0x00000B6F) goto yy432;
					goto yy430;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy432;
					if (yych <= 0x00000C65) goto yy430;
					goto yy432;
				} else {
					if (yych <= 0x00000CE5) goto yy430;
					if (yych <= 0x00000CEF) goto yy432;
					goto yy430;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy432;
					goto yy430;
				} else {
					if (yych <= 0x00000E59) goto yy432;
					if (yych <= 0x00000ECF) goto yy430;
					goto yy432;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy430;
					if (yych <= 0x00001049) goto yy432;
					goto yy430;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy430;
					goto yy24;
				}
			}
		}
	}
yy428:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '_') {
		if (yych <= '9') {
			if (yych <= ',') {
				if (yych <= '+') goto yy24;
				goto yy23;
			} else {
				if (yych <= '.') goto yy25;
				if (yych <= '/') goto yy23;
				goto yy428;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '?') goto yy24;
				goto yy26;
			} else {
				if (yych <= 'Z') goto yy428;
				if (yych <= '^') goto yy24;
				goto yy25;
			}
		}
	} else {
		if (yych <= 0x000000D7) {
			if (yych <= 'z') {
				if (yych <= '`') goto yy24;
				goto yy428;
			} else {
				if (yych <= 0x000000BF) goto yy24;
				if (yych <= 0x000000D6) goto yy428;
				goto yy24;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych == 0x000000F7) goto yy24;
				goto yy428;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy428;
				goto yy24;
			}
		}
	}
yy430:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= 'z') {
			if (yych <= '?') {
				if (yych <= '.') {
					if (yych <= '+') goto yy24;
					if (yych <= ',') goto yy426;
					goto yy427;
				} else {
					if (yych <= '/') goto yy426;
					if (yych <= '9') goto yy428;
					goto yy24;
				}
			} else {
				if (yych <= '^') {
					if (yych <= '@') goto yy26;
					if (yych <= 'Z') goto yy430;
					goto yy24;
				} else {
					if (yych <= '_') goto yy427;
					if (yych <= '`') goto yy24;
					goto yy430;
				}
			}
		} else {
			if (yych <= 0x0000065F) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy24;
					if (yych <= 0x000000D6) goto yy430;
					goto yy24;
				} else {
					if (yych == 0x000000F7) goto yy24;
					goto yy430;
				}
			} else {
				if (yych <= 0x000006F9) {
					if (yych <= 0x00000669) goto yy432;
					if (yych <= 0x000006EF) goto yy430;
				} else {
					if (yych <= 0x00000965) goto yy430;
					if (yych >= 0x00000970) goto yy430;
				}
			}
		}
	} else {
		if (yych <= 0x00000CE5) {
			if (yych <= 0x00000B65) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy432;
					if (yych <= 0x00000A65) goto yy430;
				} else {
					if (yych <= 0x00000AE5) goto yy430;
					if (yych >= 0x00000AF0) goto yy430;
				}
			} else {
				if (yych <= 0x00000BEF) {
					if (yych <= 0x00000B6F) goto yy432;
					if (yych <= 0x00000BE6) goto yy430;
				} else {
					if (yych <= 0x00000C65) goto yy430;
					if (yych >= 0x00000C70) goto yy430;
				}
			}
		} else {
			if (yych <= 0x00000ECF) {
				if (yych <= 0x00000D6F) {
					if (yych <= 0x00000CEF) goto yy432;
					if (yych <= 0x00000D65) goto yy430;
				} else {
					if (yych <= 0x00000E4F) goto yy430;
					if (yych >= 0x00000E5A) goto yy430;
				}
			} else {
				if (yych <= 0x00001049) {
					if (yych <= 0x00000ED9) goto yy432;
					if (yych <= 0x0000103F) goto yy430;
				} else {
					if (yych <= 0x00001FFF) goto yy430;
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy430;
					goto yy24;
				}
			}
		}
	}
yy432:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= '_') {
		if (yych <= '9') {
			if (yych <= ',') {
				if (yych <= '+') goto yy24;
				goto yy254;
			} else {
				if (yych <= '.') goto yy255;
				if (yych <= '/') goto yy254;
				goto yy428;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '?') goto yy24;
				goto yy26;
			} else {
				if (yych <= 'Z') goto yy432;
				if (yych <= '^') goto yy24;
				goto yy255;
			}
		}
	} else {
		if (yych <= 0x000000D7) {
			if (yych <= 'z') {
				if (yych <= '`') goto yy24;
				goto yy432;
			} else {
				if (yych <= 0x000000BF) goto yy24;
				if (yych <= 0x000000D6) goto yy432;
				goto yy24;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych == 0x000000F7) goto yy24;
				goto yy432;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy432;
				goto yy24;
			}
		}
	}
yy434:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '@') {
			if (yych <= '+') goto yy24;
			if (yych <= '/') goto yy23;
			if (yych <= '9') goto yy434;
			goto yy24;
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') goto yy434;
				goto yy24;
			} else {
				if (yych <= '_') goto yy23;
				if (yych <= '`') goto yy24;
				goto yy434;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy24;
			if (yych == 0x000000D7) goto yy24;
			goto yy434;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy434;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy434;
				goto yy24;
			}
		}
	}
yy436:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 0x000000D6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych <= '+') goto yy24;
					goto yy426;
				} else {
					if (yych <= '9') goto yy434;
					if (yych <= '@') goto yy24;
					goto yy436;
				}
			} else {
				if (yych <= '`') {
					if (yych == '_') goto yy426;
					goto yy24;
				} else {
					if (yych <= 'z') goto yy436;
					if (yych <= 0x000000BF) goto yy24;
					goto yy436;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy24;
					if (yych <= 0x000000F6) goto yy436;
					goto yy24;
				} else {
					if (yych <= 0x0000065F) goto yy436;
					if (yych >= 0x0000066A) goto yy436;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy438;
					if (yych <= 0x00000965) goto yy436;
				} else {
					if (yych <= 0x000009E5) goto yy436;
					if (yych >= 0x000009F0) goto yy436;
				}
			}
		}
	} else {
		if (yych <= 0x00000CEF) {
			if (yych <= 0x00000B6F) {
				if (yych <= 0x00000AE5) {
					if (yych >= 0x00000A70) goto yy436;
				} else {
					if (yych <= 0x00000AEF) goto yy438;
					if (yych <= 0x00000B65) goto yy436;
				}
			} else {
				if (yych <= 0x00000C65) {
					if (yych <= 0x00000BE6) goto yy436;
					if (yych >= 0x00000BF0) goto yy436;
				} else {
					if (yych <= 0x00000C6F) goto yy438;
					if (yych <= 0x00000CE5) goto yy436;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D65) goto yy436;
					if (yych >= 0x00000D70) goto yy436;
				} else {
					if (yych <= 0x00000E59) goto yy438;
					if (yych <= 0x00000ECF) goto yy436;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy436;
					if (yych >= 0x0000104A) goto yy436;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy436;
					goto yy24;
				}
			}
		}
	}
yy438:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 'z') {
		if (yych <= '@') {
			if (yych <= '+') goto yy24;
			if (yych <= '/') goto yy254;
			if (yych <= '9') goto yy434;
			goto yy24;
		} else {
			if (yych <= '^') {
				if (yych <= 'Z') goto yy438;
				goto yy24;
			} else {
				if (yych <= '_') goto yy254;
				if (yych <= '`') goto yy24;
				goto yy438;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) goto yy24;
			if (yych == 0x000000D7) goto yy24;
			goto yy438;
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy24;
				goto yy438;
			} else {
				if (yych <= 0x0000FF9F) goto yy24;
				if (yych <= 0x0000FFDC) goto yy438;
				goto yy24;
			}
		}
	}
yy440:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy442;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy442;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy442;
				} else {
					if (yych <= 0x00000669) goto yy444;
					if (yych <= 0x000006EF) goto yy442;
					goto yy444;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy442;
					if (yych <= 0x0000096F) goto yy444;
					goto yy442;
				} else {
					if (yych <= 0x000009EF) goto yy444;
					if (yych <= 0x00000A65) goto yy442;
					goto yy444;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy442;
					goto yy444;
				} else {
					if (yych <= 0x00000B65) goto yy442;
					if (yych <= 0x00000B6F) goto yy444;
					goto yy442;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy444;
					if (yych <= 0x00000C65) goto yy442;
					goto yy444;
				} else {
					if (yych <= 0x00000CE5) goto yy442;
					if (yych <= 0x00000CEF) goto yy444;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy444;
					goto yy442;
				} else {
					if (yych <= 0x00000E59) goto yy444;
					if (yych <= 0x00000ECF) goto yy442;
					goto yy444;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy442;
					if (yych <= 0x00001049) goto yy444;
					goto yy442;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy442;
					goto yy24;
				}
			}
		}
	}
yy441:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000AEF) {
		if (yych <= 0x00000669) {
			if (yych <= '/') {
				if (yych <= ',') {
					if (yych <= '+') goto yy485;
					goto yy23;
				} else {
					if (yych <= '-') goto yy25;
					if (yych <= '.') goto yy205;
					goto yy23;
				}
			} else {
				if (yych <= '^') {
					if (yych <= '9') goto yy446;
					goto yy485;
				} else {
					if (yych <= '_') goto yy25;
					if (yych <= 0x0000065F) goto yy485;
					goto yy483;
				}
			}
		} else {
			if (yych <= 0x000009E5) {
				if (yych <= 0x000006F9) {
					if (yych <= 0x000006EF) goto yy485;
					goto yy483;
				} else {
					if (yych <= 0x00000965) goto yy485;
					if (yych <= 0x0000096F) goto yy483;
					goto yy485;
				}
			} else {
				if (yych <= 0x00000A65) {
					if (yych <= 0x000009EF) goto yy483;
					goto yy485;
				} else {
					if (yych <= 0x00000A6F) goto yy483;
					if (yych <= 0x00000AE5) goto yy485;
					goto yy483;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000B65) goto yy485;
					goto yy483;
				} else {
					if (yych <= 0x00000BE6) goto yy485;
					if (yych <= 0x00000BEF) goto yy483;
					goto yy485;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C6F) goto yy483;
					goto yy485;
				} else {
					if (yych <= 0x00000CEF) goto yy483;
					if (yych <= 0x00000D65) goto yy485;
					goto yy483;
				}
			}
		} else {
			if (yych <= 0x0000103F) {
				if (yych <= 0x00000E59) {
					if (yych <= 0x00000E4F) goto yy485;
					goto yy483;
				} else {
					if (yych <= 0x00000ECF) goto yy485;
					if (yych <= 0x00000ED9) goto yy483;
					goto yy485;
				}
			} else {
				if (yych <= 0x000011FF) {
					if (yych <= 0x00001049) goto yy483;
					if (yych <= 0x000010FF) goto yy485;
					goto yy482;
				} else {
					if (yych <= 0x0000ABFF) goto yy485;
					if (yych <= 0x0000D7AF) goto yy44;
					goto yy485;
				}
			}
		}
	}
yy442:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '`') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy426;
					goto yy427;
				} else {
					if (yych <= '.') goto yy481;
					if (yych <= '/') goto yy426;
					goto yy451;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy442;
				} else {
					if (yych == '_') goto yy427;
					goto yy203;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000D6) {
					if (yych <= 'z') goto yy442;
					if (yych <= 0x000000BF) goto yy203;
					goto yy442;
				} else {
					if (yych <= 0x000000D7) goto yy203;
					if (yych <= 0x000000F6) goto yy442;
					goto yy203;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy442;
					if (yych <= 0x00000669) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x000006F9) goto yy448;
					if (yych <= 0x00000965) goto yy442;
					if (yych <= 0x0000096F) goto yy448;
					goto yy442;
				}
			}
		}
	} else {
		if (yych <= 0x00000CE5) {
			if (yych <= 0x00000B65) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy448;
					if (yych <= 0x00000A65) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000AE5) goto yy442;
					if (yych <= 0x00000AEF) goto yy448;
					goto yy442;
				}
			} else {
				if (yych <= 0x00000BEF) {
					if (yych <= 0x00000B6F) goto yy448;
					if (yych <= 0x00000BE6) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000C65) goto yy442;
					if (yych <= 0x00000C6F) goto yy448;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x00000ECF) {
				if (yych <= 0x00000D6F) {
					if (yych <= 0x00000CEF) goto yy448;
					if (yych <= 0x00000D65) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000E4F) goto yy442;
					if (yych <= 0x00000E59) goto yy448;
					goto yy442;
				}
			} else {
				if (yych <= 0x00001049) {
					if (yych <= 0x00000ED9) goto yy448;
					if (yych <= 0x0000103F) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00001FFF) goto yy442;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy442;
					goto yy203;
				}
			}
		}
	}
yy444:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000B6F) {
		if (yych <= 0x00000965) {
			if (yych <= '9') {
				if (yych == '.') goto yy369;
				if (yych <= '/') goto yy449;
				goto yy446;
			} else {
				if (yych <= 0x00000669) {
					if (yych <= 0x0000065F) goto yy449;
					goto yy447;
				} else {
					if (yych <= 0x000006EF) goto yy449;
					if (yych <= 0x000006F9) goto yy447;
					goto yy449;
				}
			}
		} else {
			if (yych <= 0x00000A65) {
				if (yych <= 0x0000096F) goto yy447;
				if (yych <= 0x000009E5) goto yy449;
				if (yych <= 0x000009EF) goto yy447;
				goto yy449;
			} else {
				if (yych <= 0x00000AE5) {
					if (yych <= 0x00000A6F) goto yy447;
					goto yy449;
				} else {
					if (yych <= 0x00000AEF) goto yy447;
					if (yych <= 0x00000B65) goto yy449;
					goto yy447;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C6F) {
				if (yych <= 0x00000BE6) goto yy449;
				if (yych <= 0x00000BEF) goto yy447;
				if (yych <= 0x00000C65) goto yy449;
				goto yy447;
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000CE5) goto yy449;
					goto yy447;
				} else {
					if (yych <= 0x00000D65) goto yy449;
					if (yych <= 0x00000D6F) goto yy447;
					goto yy449;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E59) goto yy447;
					goto yy449;
				} else {
					if (yych <= 0x00000ED9) goto yy447;
					if (yych <= 0x0000103F) goto yy449;
					goto yy447;
				}
			} else {
				if (yych <= 0x000011FF) {
					if (yych <= 0x000010FF) goto yy449;
				} else {
					if (yych <= 0x0000ABFF) goto yy449;
					if (yych <= 0x0000D7AF) goto yy44;
					goto yy449;
				}
			}
		}
	}
yy445:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '?') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy458;
					goto yy369;
				} else {
					if (yych <= '/') goto yy458;
					if (yych <= '9') goto yy456;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy458;
					if (yych <= '^') goto yy3;
					goto yy458;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy458;
					if (yych <= 0x000000BF) goto yy3;
					goto yy458;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy458;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy458;
					if (yych <= 0x00000669) goto yy459;
					goto yy458;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy459;
					if (yych <= 0x00000965) goto yy458;
					goto yy459;
				} else {
					if (yych <= 0x000009E5) goto yy458;
					if (yych <= 0x000009EF) goto yy459;
					if (yych <= 0x00000A65) goto yy458;
					goto yy459;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy458;
					if (yych <= 0x00000AEF) goto yy459;
					goto yy458;
				} else {
					if (yych <= 0x00000B6F) goto yy459;
					if (yych <= 0x00000BE6) goto yy458;
					goto yy459;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy458;
					if (yych <= 0x00000C6F) goto yy459;
					goto yy458;
				} else {
					if (yych <= 0x00000CEF) goto yy459;
					if (yych <= 0x00000D65) goto yy458;
					if (yych <= 0x00000D6F) goto yy459;
					goto yy458;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy459;
					if (yych <= 0x00000ECF) goto yy458;
					goto yy459;
				} else {
					if (yych <= 0x0000103F) goto yy458;
					if (yych <= 0x00001049) goto yy459;
					goto yy458;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy460;
					if (yych <= 0x00001FFF) goto yy458;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy458;
					goto yy3;
				}
			}
		}
	}
yy446:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy455;
	goto yy452;
yy447:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy452;
				goto yy254;
			} else {
				if (yych <= '-') goto yy255;
				if (yych <= '.') goto yy454;
				goto yy254;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy452;
			} else {
				if (yych == '_') goto yy255;
				goto yy452;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) {
				if (yych >= '{') goto yy452;
			} else {
				if (yych == 0x000000D7) goto yy452;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy452;
			} else {
				if (yych <= 0x0000FF9F) goto yy452;
				if (yych >= 0x0000FFDD) goto yy452;
			}
		}
	}
yy448:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
yy449:
	if (yych <= '_') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy203;
				goto yy254;
			} else {
				if (yych <= '-') goto yy255;
				if (yych >= '/') goto yy254;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') goto yy451;
				if (yych <= '?') goto yy203;
				goto yy26;
			} else {
				if (yych <= 'Z') goto yy448;
				if (yych <= '^') goto yy203;
				goto yy255;
			}
		}
	} else {
		if (yych <= 0x000000D7) {
			if (yych <= 'z') {
				if (yych <= '`') goto yy203;
				goto yy448;
			} else {
				if (yych <= 0x000000BF) goto yy203;
				if (yych <= 0x000000D6) goto yy448;
				goto yy203;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych == 0x000000F7) goto yy203;
				goto yy448;
			} else {
				if (yych <= 0x0000FF9F) goto yy203;
				if (yych <= 0x0000FFDC) goto yy448;
				goto yy203;
			}
		}
	}
yy450:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy206;
					goto yy363;
				} else {
					if (yych <= '@') goto yy206;
					if (yych <= 'Z') goto yy364;
					goto yy206;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy364;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy206;
					goto yy364;
				} else {
					if (yych <= 0x00000669) goto yy366;
					if (yych <= 0x000006EF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy364;
					if (yych <= 0x0000096F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x000009EF) goto yy366;
					if (yych <= 0x00000A65) goto yy364;
					goto yy366;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000B65) goto yy364;
					if (yych <= 0x00000B6F) goto yy366;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy366;
					if (yych <= 0x00000C65) goto yy364;
					goto yy366;
				} else {
					if (yych <= 0x00000CE5) goto yy364;
					if (yych <= 0x00000CEF) goto yy366;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x00000E59) goto yy366;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy366;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy366;
					goto yy364;
				} else {
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy206;
				}
			}
		}
	}
yy451:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy452:
	if (yych <= '_') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy203;
				goto yy23;
			} else {
				if (yych <= '-') goto yy25;
				if (yych >= '/') goto yy23;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') goto yy451;
				if (yych <= '?') goto yy203;
				goto yy26;
			} else {
				if (yych <= 'Z') goto yy451;
				if (yych <= '^') goto yy203;
				goto yy25;
			}
		}
	} else {
		if (yych <= 0x000000D7) {
			if (yych <= 'z') {
				if (yych <= '`') goto yy203;
				goto yy451;
			} else {
				if (yych <= 0x000000BF) goto yy203;
				if (yych <= 0x000000D6) goto yy451;
				goto yy203;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych == 0x000000F7) goto yy203;
				goto yy451;
			} else {
				if (yych <= 0x0000FF9F) goto yy203;
				if (yych <= 0x0000FFDC) goto yy451;
				goto yy203;
			}
		}
	}
yy453:
	yych = *++YYCURSOR;
	if (yych <= 0x000000BF) {
		if (yych <= '@') {
			if (yych <= '/') goto yy206;
			if (yych <= '9') goto yy202;
			goto yy206;
		} else {
			if (yych <= 'Z') goto yy202;
			if (yych <= '`') goto yy206;
			if (yych <= 'z') goto yy202;
			goto yy206;
		}
	} else {
		if (yych <= 0x000000F7) {
			if (yych == 0x000000D7) goto yy206;
			if (yych <= 0x000000F6) goto yy202;
			goto yy206;
		} else {
			if (yych <= 0x00001FFF) goto yy202;
			if (yych <= 0x0000FF9F) goto yy206;
			if (yych <= 0x0000FFDC) goto yy202;
			goto yy206;
		}
	}
yy454:
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy206;
				} else {
					if (yych <= '9') goto yy370;
					if (yych <= '@') goto yy206;
					goto yy364;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy206;
					if (yych <= 'z') goto yy364;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy206;
					if (yych <= 0x0000065F) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x000006EF) goto yy364;
					if (yych <= 0x000006F9) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy372;
					if (yych <= 0x000009E5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000A65) goto yy364;
					if (yych <= 0x00000A6F) goto yy372;
					goto yy364;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy372;
					if (yych <= 0x00000B65) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000BE6) goto yy364;
					if (yych <= 0x00000BEF) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy372;
					if (yych <= 0x00000CE5) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x00000D65) goto yy364;
					if (yych <= 0x00000D6F) goto yy372;
					goto yy364;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy372;
					if (yych <= 0x00000ECF) goto yy364;
					goto yy372;
				} else {
					if (yych <= 0x0000103F) goto yy364;
					if (yych <= 0x00001049) goto yy372;
					goto yy364;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy375;
					if (yych <= 0x00001FFF) goto yy364;
					goto yy206;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy364;
					goto yy206;
				}
			}
		}
	}
yy455:
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy206;
				} else {
					if (yych <= '9') goto yy207;
					if (yych <= '@') goto yy206;
					goto yy211;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy206;
					if (yych <= 'z') goto yy211;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy206;
					if (yych <= 0x0000065F) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x000006EF) goto yy211;
					if (yych <= 0x000006F9) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy209;
					if (yych <= 0x000009E5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000A65) goto yy211;
					if (yych <= 0x00000A6F) goto yy209;
					goto yy211;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy209;
					if (yych <= 0x00000B65) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000BE6) goto yy211;
					if (yych <= 0x00000BEF) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy209;
					if (yych <= 0x00000CE5) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x00000D65) goto yy211;
					if (yych <= 0x00000D6F) goto yy209;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy209;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy209;
				} else {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy209;
					goto yy211;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy204;
					if (yych <= 0x00001FFF) goto yy211;
					goto yy206;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy206;
				}
			}
		}
	}
yy456:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy455;
					if (yych <= '/') goto yy23;
					goto yy464;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy451;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
					goto yy451;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy451;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy451;
					goto yy464;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy451;
					if (yych <= 0x000006F9) goto yy464;
					goto yy451;
				} else {
					if (yych <= 0x0000096F) goto yy464;
					if (yych <= 0x000009E5) goto yy451;
					if (yych <= 0x000009EF) goto yy464;
					goto yy451;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy464;
					if (yych <= 0x00000AE5) goto yy451;
					goto yy464;
				} else {
					if (yych <= 0x00000B65) goto yy451;
					if (yych <= 0x00000B6F) goto yy464;
					goto yy451;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy464;
					if (yych <= 0x00000C65) goto yy451;
					goto yy464;
				} else {
					if (yych <= 0x00000CE5) goto yy451;
					if (yych <= 0x00000CEF) goto yy464;
					if (yych <= 0x00000D65) goto yy451;
					goto yy464;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy451;
					if (yych <= 0x00000E59) goto yy464;
					goto yy451;
				} else {
					if (yych <= 0x00000ED9) goto yy464;
					if (yych <= 0x0000103F) goto yy451;
					if (yych <= 0x00001049) goto yy464;
					goto yy451;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy468;
					if (yych <= 0x00001FFF) goto yy451;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy451;
					goto yy203;
				}
			}
		}
	}
yy457:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
yy458:
	if (yych <= 'z') {
		if (yych <= '9') {
			if (yych <= '-') {
				if (yych <= '+') goto yy203;
				if (yych <= ',') goto yy254;
				goto yy255;
			} else {
				if (yych <= '.') goto yy450;
				if (yych <= '/') goto yy254;
				goto yy451;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '?') goto yy203;
				if (yych <= '@') goto yy26;
				goto yy457;
			} else {
				if (yych == '_') goto yy255;
				if (yych <= '`') goto yy203;
				goto yy457;
			}
		}
	} else {
		if (yych <= 0x000010FF) {
			if (yych <= 0x000000D7) {
				if (yych <= 0x000000BF) goto yy203;
				if (yych <= 0x000000D6) goto yy457;
				goto yy203;
			} else {
				if (yych == 0x000000F7) goto yy203;
				goto yy457;
			}
		} else {
			if (yych <= 0x0000ABFF) {
				if (yych <= 0x000011FF) goto yy479;
				if (yych <= 0x00001FFF) goto yy457;
				goto yy203;
			} else {
				if (yych <= 0x0000D7AF) goto yy87;
				if (yych <= 0x0000FF9F) goto yy203;
				if (yych <= 0x0000FFDC) goto yy457;
				goto yy203;
			}
		}
	}
yy459:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy454;
					if (yych <= '/') goto yy254;
					goto yy464;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy457;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy457;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy457;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy457;
					goto yy466;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy457;
					if (yych <= 0x000006F9) goto yy466;
					goto yy457;
				} else {
					if (yych <= 0x0000096F) goto yy466;
					if (yych <= 0x000009E5) goto yy457;
					if (yych <= 0x000009EF) goto yy466;
					goto yy457;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy466;
					if (yych <= 0x00000AE5) goto yy457;
					goto yy466;
				} else {
					if (yych <= 0x00000B65) goto yy457;
					if (yych <= 0x00000B6F) goto yy466;
					goto yy457;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy466;
					if (yych <= 0x00000C65) goto yy457;
					goto yy466;
				} else {
					if (yych <= 0x00000CE5) goto yy457;
					if (yych <= 0x00000CEF) goto yy466;
					if (yych <= 0x00000D65) goto yy457;
					goto yy466;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy457;
					if (yych <= 0x00000E59) goto yy466;
					goto yy457;
				} else {
					if (yych <= 0x00000ED9) goto yy466;
					if (yych <= 0x0000103F) goto yy457;
					if (yych <= 0x00001049) goto yy466;
					goto yy457;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy462;
					if (yych <= 0x00001FFF) goto yy457;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy457;
					goto yy203;
				}
			}
		}
	}
yy460:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy457;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy457;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy457;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy457;
					goto yy459;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy457;
					if (yych <= 0x000006F9) goto yy459;
					goto yy457;
				} else {
					if (yych <= 0x0000096F) goto yy459;
					if (yych <= 0x000009E5) goto yy457;
					if (yych <= 0x000009EF) goto yy459;
					goto yy457;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy459;
					if (yych <= 0x00000AE5) goto yy457;
					goto yy459;
				} else {
					if (yych <= 0x00000B65) goto yy457;
					if (yych <= 0x00000B6F) goto yy459;
					goto yy457;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy459;
					if (yych <= 0x00000C65) goto yy457;
					goto yy459;
				} else {
					if (yych <= 0x00000CE5) goto yy457;
					if (yych <= 0x00000CEF) goto yy459;
					if (yych <= 0x00000D65) goto yy457;
					goto yy459;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy457;
					if (yych <= 0x00000E59) goto yy459;
					goto yy457;
				} else {
					if (yych <= 0x00000ED9) goto yy459;
					if (yych <= 0x0000103F) goto yy457;
					if (yych <= 0x00001049) goto yy459;
					goto yy457;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy460;
					if (yych <= 0x00001FFF) goto yy457;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy457;
					goto yy3;
				}
			}
		}
	}
yy462:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy457;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy457;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy457;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy457;
					goto yy459;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy457;
					if (yych <= 0x000006F9) goto yy459;
					goto yy457;
				} else {
					if (yych <= 0x0000096F) goto yy459;
					if (yych <= 0x000009E5) goto yy457;
					if (yych <= 0x000009EF) goto yy459;
					goto yy457;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy459;
					if (yych <= 0x00000AE5) goto yy457;
					goto yy459;
				} else {
					if (yych <= 0x00000B65) goto yy457;
					if (yych <= 0x00000B6F) goto yy459;
					goto yy457;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy459;
					if (yych <= 0x00000C65) goto yy457;
					goto yy459;
				} else {
					if (yych <= 0x00000CE5) goto yy457;
					if (yych <= 0x00000CEF) goto yy459;
					if (yych <= 0x00000D65) goto yy457;
					goto yy459;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy457;
					if (yych <= 0x00000E59) goto yy459;
					goto yy457;
				} else {
					if (yych <= 0x00000ED9) goto yy459;
					if (yych <= 0x0000103F) goto yy457;
					if (yych <= 0x00001049) goto yy459;
					goto yy457;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy462;
					if (yych <= 0x00001FFF) goto yy457;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy457;
					goto yy3;
				}
			}
		}
	}
yy464:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy453;
					if (yych <= '/') goto yy23;
					goto yy464;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy451;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy203;
					goto yy451;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy451;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy451;
					goto yy464;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy451;
					if (yych <= 0x000006F9) goto yy464;
					goto yy451;
				} else {
					if (yych <= 0x0000096F) goto yy464;
					if (yych <= 0x000009E5) goto yy451;
					if (yych <= 0x000009EF) goto yy464;
					goto yy451;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy464;
					if (yych <= 0x00000AE5) goto yy451;
					goto yy464;
				} else {
					if (yych <= 0x00000B65) goto yy451;
					if (yych <= 0x00000B6F) goto yy464;
					goto yy451;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy464;
					if (yych <= 0x00000C65) goto yy451;
					goto yy464;
				} else {
					if (yych <= 0x00000CE5) goto yy451;
					if (yych <= 0x00000CEF) goto yy464;
					if (yych <= 0x00000D65) goto yy451;
					goto yy464;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy451;
					if (yych <= 0x00000E59) goto yy464;
					goto yy451;
				} else {
					if (yych <= 0x00000ED9) goto yy464;
					if (yych <= 0x0000103F) goto yy451;
					if (yych <= 0x00001049) goto yy464;
					goto yy451;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy468;
					if (yych <= 0x00001FFF) goto yy451;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy451;
					goto yy203;
				}
			}
		}
	}
yy466:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy450;
					if (yych <= '/') goto yy254;
					goto yy464;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy457;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy203;
					goto yy457;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy457;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy457;
					goto yy466;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy457;
					if (yych <= 0x000006F9) goto yy466;
					goto yy457;
				} else {
					if (yych <= 0x0000096F) goto yy466;
					if (yych <= 0x000009E5) goto yy457;
					if (yych <= 0x000009EF) goto yy466;
					goto yy457;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy466;
					if (yych <= 0x00000AE5) goto yy457;
					goto yy466;
				} else {
					if (yych <= 0x00000B65) goto yy457;
					if (yych <= 0x00000B6F) goto yy466;
					goto yy457;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy466;
					if (yych <= 0x00000C65) goto yy457;
					goto yy466;
				} else {
					if (yych <= 0x00000CE5) goto yy457;
					if (yych <= 0x00000CEF) goto yy466;
					if (yych <= 0x00000D65) goto yy457;
					goto yy466;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy457;
					if (yych <= 0x00000E59) goto yy466;
					goto yy457;
				} else {
					if (yych <= 0x00000ED9) goto yy466;
					if (yych <= 0x0000103F) goto yy457;
					if (yych <= 0x00001049) goto yy466;
					goto yy457;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy462;
					if (yych <= 0x00001FFF) goto yy457;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy457;
					goto yy203;
				}
			}
		}
	}
yy468:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy23;
					goto yy25;
				} else {
					if (yych <= '.') goto yy205;
					if (yych <= '/') goto yy23;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy471;
				} else {
					if (yych == '_') goto yy25;
					if (yych <= '`') goto yy3;
					goto yy471;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy471;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy471;
					goto yy473;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy471;
					if (yych <= 0x000006F9) goto yy473;
					goto yy471;
				} else {
					if (yych <= 0x0000096F) goto yy473;
					if (yych <= 0x000009E5) goto yy471;
					if (yych <= 0x000009EF) goto yy473;
					goto yy471;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy473;
					if (yych <= 0x00000AE5) goto yy471;
					goto yy473;
				} else {
					if (yych <= 0x00000B65) goto yy471;
					if (yych <= 0x00000B6F) goto yy473;
					goto yy471;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy473;
					if (yych <= 0x00000C65) goto yy471;
					goto yy473;
				} else {
					if (yych <= 0x00000CE5) goto yy471;
					if (yych <= 0x00000CEF) goto yy473;
					if (yych <= 0x00000D65) goto yy471;
					goto yy473;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy471;
					if (yych <= 0x00000E59) goto yy473;
					goto yy471;
				} else {
					if (yych <= 0x00000ED9) goto yy473;
					if (yych <= 0x0000103F) goto yy471;
					if (yych <= 0x00001049) goto yy473;
					goto yy471;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy469;
					if (yych <= 0x00001FFF) goto yy471;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy27;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy471;
					goto yy3;
				}
			}
		}
	}
yy469:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych >= 0x000000D7) goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych >= 0x00000660) goto yy473;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy471;
					if (yych <= 0x000006F9) goto yy473;
				} else {
					if (yych <= 0x0000096F) goto yy473;
					if (yych <= 0x000009E5) goto yy471;
					if (yych <= 0x000009EF) goto yy473;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy473;
					if (yych >= 0x00000AE6) goto yy473;
				} else {
					if (yych <= 0x00000B65) goto yy471;
					if (yych <= 0x00000B6F) goto yy473;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy473;
					if (yych >= 0x00000C66) goto yy473;
				} else {
					if (yych <= 0x00000CE5) goto yy471;
					if (yych <= 0x00000CEF) goto yy473;
					if (yych >= 0x00000D66) goto yy473;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy471;
					if (yych <= 0x00000E59) goto yy473;
				} else {
					if (yych <= 0x00000ED9) goto yy473;
					if (yych <= 0x0000103F) goto yy471;
					if (yych <= 0x00001049) goto yy473;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy469;
					if (yych >= 0x00002000) goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych >= 0x0000FFDD) goto yy3;
				}
			}
		}
	}
yy471:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy472:
	if (yych <= 'z') {
		if (yych <= '9') {
			if (yych <= '-') {
				if (yych <= '+') goto yy203;
				if (yych <= ',') goto yy143;
				goto yy144;
			} else {
				if (yych <= '.') goto yy476;
				if (yych <= '/') goto yy143;
				goto yy451;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '?') goto yy203;
				if (yych <= '@') goto yy26;
				goto yy471;
			} else {
				if (yych == '_') goto yy144;
				if (yych <= '`') goto yy203;
				goto yy471;
			}
		}
	} else {
		if (yych <= 0x000010FF) {
			if (yych <= 0x000000D7) {
				if (yych <= 0x000000BF) goto yy203;
				if (yych <= 0x000000D6) goto yy471;
				goto yy203;
			} else {
				if (yych == 0x000000F7) goto yy203;
				goto yy471;
			}
		} else {
			if (yych <= 0x0000ABFF) {
				if (yych <= 0x000011FF) goto yy477;
				if (yych <= 0x00001FFF) goto yy471;
				goto yy203;
			} else {
				if (yych <= 0x0000D7AF) goto yy87;
				if (yych <= 0x0000FF9F) goto yy203;
				if (yych <= 0x0000FFDC) goto yy471;
				goto yy203;
			}
		}
	}
yy473:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy455;
					if (yych <= '/') goto yy143;
					goto yy464;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy471;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy471;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy471;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy471;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy471;
					if (yych >= 0x000006FA) goto yy471;
				} else {
					if (yych <= 0x0000096F) goto yy474;
					if (yych <= 0x000009E5) goto yy471;
					if (yych >= 0x000009F0) goto yy471;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy474;
					if (yych <= 0x00000AE5) goto yy471;
				} else {
					if (yych <= 0x00000B65) goto yy471;
					if (yych >= 0x00000B70) goto yy471;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy474;
					if (yych <= 0x00000C65) goto yy471;
				} else {
					if (yych <= 0x00000CE5) goto yy471;
					if (yych <= 0x00000CEF) goto yy474;
					if (yych <= 0x00000D65) goto yy471;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy471;
					if (yych >= 0x00000E5A) goto yy471;
				} else {
					if (yych <= 0x00000ED9) goto yy474;
					if (yych <= 0x0000103F) goto yy471;
					if (yych >= 0x0000104A) goto yy471;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy469;
					if (yych <= 0x00001FFF) goto yy471;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy471;
					goto yy203;
				}
			}
		}
	}
yy474:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy476;
					if (yych <= '/') goto yy143;
					goto yy464;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy471;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy203;
					goto yy471;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy203;
					if (yych <= 0x000000D6) goto yy471;
					goto yy203;
				} else {
					if (yych == 0x000000F7) goto yy203;
					if (yych <= 0x0000065F) goto yy471;
					goto yy474;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy471;
					if (yych <= 0x000006F9) goto yy474;
					goto yy471;
				} else {
					if (yych <= 0x0000096F) goto yy474;
					if (yych <= 0x000009E5) goto yy471;
					if (yych <= 0x000009EF) goto yy474;
					goto yy471;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy474;
					if (yych <= 0x00000AE5) goto yy471;
					goto yy474;
				} else {
					if (yych <= 0x00000B65) goto yy471;
					if (yych <= 0x00000B6F) goto yy474;
					goto yy471;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy474;
					if (yych <= 0x00000C65) goto yy471;
					goto yy474;
				} else {
					if (yych <= 0x00000CE5) goto yy471;
					if (yych <= 0x00000CEF) goto yy474;
					if (yych <= 0x00000D65) goto yy471;
					goto yy474;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy471;
					if (yych <= 0x00000E59) goto yy474;
					goto yy471;
				} else {
					if (yych <= 0x00000ED9) goto yy474;
					if (yych <= 0x0000103F) goto yy471;
					if (yych <= 0x00001049) goto yy474;
					goto yy471;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy469;
					if (yych <= 0x00001FFF) goto yy471;
					goto yy203;
				} else {
					if (yych <= 0x0000D7AF) goto yy113;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy471;
					goto yy203;
				}
			}
		}
	}
yy476:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy206;
					goto yy214;
				} else {
					if (yych <= '@') goto yy206;
					if (yych <= 'Z') goto yy211;
					goto yy206;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy211;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy206;
					goto yy211;
				} else {
					if (yych <= 0x00000669) goto yy215;
					if (yych <= 0x000006EF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy211;
					if (yych <= 0x0000096F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x000009EF) goto yy215;
					if (yych <= 0x00000A65) goto yy211;
					goto yy215;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000B65) goto yy211;
					if (yych <= 0x00000B6F) goto yy215;
					goto yy211;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy215;
					if (yych <= 0x00000C65) goto yy211;
					goto yy215;
				} else {
					if (yych <= 0x00000CE5) goto yy211;
					if (yych <= 0x00000CEF) goto yy215;
					goto yy211;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x00000E59) goto yy215;
					if (yych <= 0x00000ECF) goto yy211;
					goto yy215;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy211;
					if (yych <= 0x00001049) goto yy215;
					goto yy211;
				} else {
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy211;
					goto yy206;
				}
			}
		}
	}
yy477:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy471;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy471;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy471;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy471;
					goto yy473;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy471;
					if (yych <= 0x000006F9) goto yy473;
					goto yy471;
				} else {
					if (yych <= 0x0000096F) goto yy473;
					if (yych <= 0x000009E5) goto yy471;
					if (yych <= 0x000009EF) goto yy473;
					goto yy471;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy473;
					if (yych <= 0x00000AE5) goto yy471;
					goto yy473;
				} else {
					if (yych <= 0x00000B65) goto yy471;
					if (yych <= 0x00000B6F) goto yy473;
					goto yy471;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy473;
					if (yych <= 0x00000C65) goto yy471;
					goto yy473;
				} else {
					if (yych <= 0x00000CE5) goto yy471;
					if (yych <= 0x00000CEF) goto yy473;
					if (yych <= 0x00000D65) goto yy471;
					goto yy473;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy471;
					if (yych <= 0x00000E59) goto yy473;
					goto yy471;
				} else {
					if (yych <= 0x00000ED9) goto yy473;
					if (yych <= 0x0000103F) goto yy471;
					if (yych <= 0x00001049) goto yy473;
					goto yy471;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy477;
					if (yych <= 0x00001FFF) goto yy471;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy471;
					goto yy3;
				}
			}
		}
	}
yy479:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy254;
					goto yy255;
				} else {
					if (yych <= '.') goto yy369;
					if (yych <= '/') goto yy254;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy457;
				} else {
					if (yych == '_') goto yy255;
					if (yych <= '`') goto yy3;
					goto yy457;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy457;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy457;
					goto yy459;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy457;
					if (yych <= 0x000006F9) goto yy459;
					goto yy457;
				} else {
					if (yych <= 0x0000096F) goto yy459;
					if (yych <= 0x000009E5) goto yy457;
					if (yych <= 0x000009EF) goto yy459;
					goto yy457;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy459;
					if (yych <= 0x00000AE5) goto yy457;
					goto yy459;
				} else {
					if (yych <= 0x00000B65) goto yy457;
					if (yych <= 0x00000B6F) goto yy459;
					goto yy457;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy459;
					if (yych <= 0x00000C65) goto yy457;
					goto yy459;
				} else {
					if (yych <= 0x00000CE5) goto yy457;
					if (yych <= 0x00000CEF) goto yy459;
					if (yych <= 0x00000D65) goto yy457;
					goto yy459;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy457;
					if (yych <= 0x00000E59) goto yy459;
					goto yy457;
				} else {
					if (yych <= 0x00000ED9) goto yy459;
					if (yych <= 0x0000103F) goto yy457;
					if (yych <= 0x00001049) goto yy459;
					goto yy457;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy479;
					if (yych <= 0x00001FFF) goto yy457;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy87;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy457;
					goto yy3;
				}
			}
		}
	}
yy481:
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy206;
					goto yy451;
				} else {
					if (yych <= '@') goto yy206;
					if (yych <= 'Z') goto yy442;
					goto yy206;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy442;
					goto yy206;
				} else {
					if (yych == 0x000000D7) goto yy206;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy206;
					goto yy442;
				} else {
					if (yych <= 0x00000669) goto yy448;
					if (yych <= 0x000006EF) goto yy442;
					goto yy448;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy442;
					if (yych <= 0x0000096F) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x000009EF) goto yy448;
					if (yych <= 0x00000A65) goto yy442;
					goto yy448;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000B65) goto yy442;
					if (yych <= 0x00000B6F) goto yy448;
					goto yy442;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy448;
					if (yych <= 0x00000C65) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000CE5) goto yy442;
					if (yych <= 0x00000CEF) goto yy448;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x00000E59) goto yy448;
					if (yych <= 0x00000ECF) goto yy442;
					goto yy448;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy442;
					if (yych <= 0x00001049) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x0000FF9F) goto yy206;
					if (yych <= 0x0000FFDC) goto yy442;
					goto yy206;
				}
			}
		}
	}
yy482:
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000D6) {
			if (yych <= '?') {
				if (yych <= '.') {
					if (yych <= '+') goto yy3;
					if (yych <= '-') goto yy472;
					goto yy213;
				} else {
					if (yych <= '/') goto yy472;
					if (yych <= '9') goto yy456;
					goto yy3;
				}
			} else {
				if (yych <= '_') {
					if (yych <= 'Z') goto yy472;
					if (yych <= '^') goto yy3;
					goto yy472;
				} else {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy472;
					if (yych <= 0x000000BF) goto yy3;
					goto yy472;
				}
			}
		} else {
			if (yych <= 0x000006EF) {
				if (yych <= 0x000000F7) {
					if (yych <= 0x000000D7) goto yy3;
					if (yych <= 0x000000F6) goto yy472;
					goto yy3;
				} else {
					if (yych <= 0x0000065F) goto yy472;
					if (yych <= 0x00000669) goto yy473;
					goto yy472;
				}
			} else {
				if (yych <= 0x0000096F) {
					if (yych <= 0x000006F9) goto yy473;
					if (yych <= 0x00000965) goto yy472;
					goto yy473;
				} else {
					if (yych <= 0x000009E5) goto yy472;
					if (yych <= 0x000009EF) goto yy473;
					if (yych <= 0x00000A65) goto yy472;
					goto yy473;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000BEF) {
				if (yych <= 0x00000B65) {
					if (yych <= 0x00000AE5) goto yy472;
					if (yych <= 0x00000AEF) goto yy473;
					goto yy472;
				} else {
					if (yych <= 0x00000B6F) goto yy473;
					if (yych <= 0x00000BE6) goto yy472;
					goto yy473;
				}
			} else {
				if (yych <= 0x00000CE5) {
					if (yych <= 0x00000C65) goto yy472;
					if (yych <= 0x00000C6F) goto yy473;
					goto yy472;
				} else {
					if (yych <= 0x00000CEF) goto yy473;
					if (yych <= 0x00000D65) goto yy472;
					if (yych <= 0x00000D6F) goto yy473;
					goto yy472;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy473;
					if (yych <= 0x00000ECF) goto yy472;
					goto yy473;
				} else {
					if (yych <= 0x0000103F) goto yy472;
					if (yych <= 0x00001049) goto yy473;
					goto yy472;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy486;
					if (yych <= 0x00001FFF) goto yy472;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy44;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy472;
					goto yy3;
				}
			}
		}
	}
yy483:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy452;
				goto yy143;
			} else {
				if (yych <= '-') goto yy144;
				if (yych <= '.') goto yy455;
				goto yy143;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy452;
			} else {
				if (yych == '_') goto yy144;
				goto yy452;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) {
				if (yych >= '{') goto yy452;
			} else {
				if (yych == 0x000000D7) goto yy452;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy452;
			} else {
				if (yych <= 0x0000FF9F) goto yy452;
				if (yych >= 0x0000FFDD) goto yy452;
			}
		}
	}
yy484:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
yy485:
	if (yych <= '_') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy203;
				goto yy143;
			} else {
				if (yych <= '-') goto yy144;
				if (yych <= '.') goto yy476;
				goto yy143;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '9') goto yy451;
				if (yych <= '?') goto yy203;
				goto yy26;
			} else {
				if (yych <= 'Z') goto yy484;
				if (yych <= '^') goto yy203;
				goto yy144;
			}
		}
	} else {
		if (yych <= 0x000000D7) {
			if (yych <= 'z') {
				if (yych <= '`') goto yy203;
				goto yy484;
			} else {
				if (yych <= 0x000000BF) goto yy203;
				if (yych <= 0x000000D6) goto yy484;
				goto yy203;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych == 0x000000F7) goto yy203;
				goto yy484;
			} else {
				if (yych <= 0x0000FF9F) goto yy203;
				if (yych <= 0x0000FFDC) goto yy484;
				goto yy203;
			}
		}
	}
yy486:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x00000A65) {
		if (yych <= 'z') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy3;
					if (yych <= ',') goto yy143;
					goto yy144;
				} else {
					if (yych <= '.') goto yy213;
					if (yych <= '/') goto yy143;
					goto yy456;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy3;
					if (yych <= '@') goto yy26;
					goto yy471;
				} else {
					if (yych == '_') goto yy144;
					if (yych <= '`') goto yy3;
					goto yy471;
				}
			}
		} else {
			if (yych <= 0x00000669) {
				if (yych <= 0x000000D7) {
					if (yych <= 0x000000BF) goto yy3;
					if (yych <= 0x000000D6) goto yy471;
					goto yy3;
				} else {
					if (yych == 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy471;
					goto yy473;
				}
			} else {
				if (yych <= 0x00000965) {
					if (yych <= 0x000006EF) goto yy471;
					if (yych <= 0x000006F9) goto yy473;
					goto yy471;
				} else {
					if (yych <= 0x0000096F) goto yy473;
					if (yych <= 0x000009E5) goto yy471;
					if (yych <= 0x000009EF) goto yy473;
					goto yy471;
				}
			}
		}
	} else {
		if (yych <= 0x00000D6F) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000A6F) goto yy473;
					if (yych <= 0x00000AE5) goto yy471;
					goto yy473;
				} else {
					if (yych <= 0x00000B65) goto yy471;
					if (yych <= 0x00000B6F) goto yy473;
					goto yy471;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy473;
					if (yych <= 0x00000C65) goto yy471;
					goto yy473;
				} else {
					if (yych <= 0x00000CE5) goto yy471;
					if (yych <= 0x00000CEF) goto yy473;
					if (yych <= 0x00000D65) goto yy471;
					goto yy473;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E4F) goto yy471;
					if (yych <= 0x00000E59) goto yy473;
					goto yy471;
				} else {
					if (yych <= 0x00000ED9) goto yy473;
					if (yych <= 0x0000103F) goto yy471;
					if (yych <= 0x00001049) goto yy473;
					goto yy471;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy486;
					if (yych <= 0x00001FFF) goto yy471;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy66;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy471;
					goto yy3;
				}
			}
		}
	}
yy488:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy451;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy442;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy442;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy442;
				} else {
					if (yych <= 0x00000669) goto yy448;
					if (yych <= 0x000006EF) goto yy442;
					goto yy448;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy442;
					if (yych <= 0x0000096F) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x000009EF) goto yy448;
					if (yych <= 0x00000A65) goto yy442;
					goto yy448;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000B65) goto yy442;
					if (yych <= 0x00000B6F) goto yy448;
					goto yy442;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy448;
					if (yych <= 0x00000C65) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000CE5) goto yy442;
					if (yych <= 0x00000CEF) goto yy448;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x00000E59) goto yy448;
					if (yych <= 0x00000ECF) goto yy442;
					goto yy448;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy442;
					if (yych <= 0x00001049) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy442;
					goto yy24;
				}
			}
		}
	}
yy489:
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if (yych <= 0x000009E5) {
		if (yych <= '`') {
			if (yych <= '9') {
				if (yych <= '-') {
					if (yych <= '+') goto yy203;
					if (yych <= ',') goto yy426;
					goto yy427;
				} else {
					if (yych <= '.') goto yy492;
					if (yych <= '/') goto yy426;
					goto yy451;
				}
			} else {
				if (yych <= 'Z') {
					if (yych <= '?') goto yy203;
					if (yych <= '@') goto yy26;
					goto yy442;
				} else {
					if (yych == '_') goto yy427;
					goto yy203;
				}
			}
		} else {
			if (yych <= 0x000000F7) {
				if (yych <= 0x000000D6) {
					if (yych <= 'z') goto yy442;
					if (yych <= 0x000000BF) goto yy203;
					goto yy442;
				} else {
					if (yych <= 0x000000D7) goto yy203;
					if (yych <= 0x000000F6) goto yy442;
					goto yy203;
				}
			} else {
				if (yych <= 0x000006EF) {
					if (yych <= 0x0000065F) goto yy442;
					if (yych <= 0x00000669) goto yy448;
					goto yy442;
				} else {
					if (yych <= 0x000006F9) goto yy448;
					if (yych <= 0x00000965) goto yy442;
					if (yych <= 0x0000096F) goto yy448;
					goto yy442;
				}
			}
		}
	} else {
		if (yych <= 0x00000CE5) {
			if (yych <= 0x00000B65) {
				if (yych <= 0x00000A6F) {
					if (yych <= 0x000009EF) goto yy448;
					if (yych <= 0x00000A65) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000AE5) goto yy442;
					if (yych <= 0x00000AEF) goto yy448;
					goto yy442;
				}
			} else {
				if (yych <= 0x00000BEF) {
					if (yych <= 0x00000B6F) goto yy448;
					if (yych <= 0x00000BE6) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000C65) goto yy442;
					if (yych <= 0x00000C6F) goto yy448;
					goto yy442;
				}
			}
		} else {
			if (yych <= 0x00000ECF) {
				if (yych <= 0x00000D6F) {
					if (yych <= 0x00000CEF) goto yy448;
					if (yych <= 0x00000D65) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00000E4F) goto yy442;
					if (yych <= 0x00000E59) goto yy448;
					goto yy442;
				}
			} else {
				if (yych <= 0x00001049) {
					if (yych <= 0x00000ED9) goto yy448;
					if (yych <= 0x0000103F) goto yy442;
					goto yy448;
				} else {
					if (yych <= 0x00001FFF) goto yy442;
					if (yych <= 0x0000FF9F) goto yy203;
					if (yych <= 0x0000FFDC) goto yy442;
					goto yy203;
				}
			}
		}
	}
yy490:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych <= '+') goto yy452;
				goto yy254;
			} else {
				if (yych <= '-') goto yy255;
				if (yych >= '/') goto yy254;
			}
		} else {
			if (yych <= 'Z') {
				if (yych <= '@') goto yy452;
				goto yy448;
			} else {
				if (yych == '_') goto yy255;
				goto yy452;
			}
		}
	} else {
		if (yych <= 0x000000F6) {
			if (yych <= 0x000000BF) {
				if (yych <= 'z') goto yy448;
				goto yy452;
			} else {
				if (yych == 0x000000D7) goto yy452;
				goto yy448;
			}
		} else {
			if (yych <= 0x00001FFF) {
				if (yych <= 0x000000F7) goto yy452;
				goto yy448;
			} else {
				if (yych <= 0x0000FF9F) goto yy452;
				if (yych <= 0x0000FFDC) goto yy448;
				goto yy452;
			}
		}
	}
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy418;
					goto yy363;
				} else {
					if (yych <= '@') goto yy418;
					if (yych <= 'Z') goto yy416;
					goto yy418;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy416;
					goto yy418;
				} else {
					if (yych == 0x000000D7) goto yy418;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy418;
					goto yy416;
				} else {
					if (yych <= 0x00000669) goto yy419;
					if (yych <= 0x000006EF) goto yy416;
					goto yy419;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy416;
					if (yych <= 0x0000096F) goto yy419;
					goto yy416;
				} else {
					if (yych <= 0x000009EF) goto yy419;
					if (yych <= 0x00000A65) goto yy416;
					goto yy419;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy416;
					goto yy419;
				} else {
					if (yych <= 0x00000B65) goto yy416;
					if (yych <= 0x00000B6F) goto yy419;
					goto yy416;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy419;
					if (yych <= 0x00000C65) goto yy416;
					goto yy419;
				} else {
					if (yych <= 0x00000CE5) goto yy416;
					if (yych <= 0x00000CEF) goto yy419;
					goto yy416;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy419;
					goto yy416;
				} else {
					if (yych <= 0x00000E59) goto yy419;
					if (yych <= 0x00000ECF) goto yy416;
					goto yy419;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy416;
					if (yych <= 0x00001049) goto yy419;
					goto yy416;
				} else {
					if (yych <= 0x0000FF9F) goto yy418;
					if (yych <= 0x0000FFDC) goto yy416;
					goto yy418;
				}
			}
		}
	}
yy492:
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy418;
					goto yy451;
				} else {
					if (yych <= '@') goto yy418;
					if (yych <= 'Z') goto yy489;
					goto yy418;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy489;
					goto yy418;
				} else {
					if (yych == 0x000000D7) goto yy418;
					goto yy489;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy418;
					goto yy489;
				} else {
					if (yych <= 0x00000669) goto yy490;
					if (yych <= 0x000006EF) goto yy489;
					goto yy490;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy489;
					if (yych <= 0x0000096F) goto yy490;
					goto yy489;
				} else {
					if (yych <= 0x000009EF) goto yy490;
					if (yych <= 0x00000A65) goto yy489;
					goto yy490;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy489;
					goto yy490;
				} else {
					if (yych <= 0x00000B65) goto yy489;
					if (yych <= 0x00000B6F) goto yy490;
					goto yy489;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy490;
					if (yych <= 0x00000C65) goto yy489;
					goto yy490;
				} else {
					if (yych <= 0x00000CE5) goto yy489;
					if (yych <= 0x00000CEF) goto yy490;
					goto yy489;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych <= 0x00000D6F) goto yy490;
					goto yy489;
				} else {
					if (yych <= 0x00000E59) goto yy490;
					if (yych <= 0x00000ECF) goto yy489;
					goto yy490;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy489;
					if (yych <= 0x00001049) goto yy490;
					goto yy489;
				} else {
					if (yych <= 0x0000FF9F) goto yy418;
					if (yych <= 0x0000FFDC) goto yy489;
					goto yy418;
				}
			}
		}
	}
yy493:
	yyaccept = 0;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= 0x00000AE5) {
		if (yych <= 0x000000F6) {
			if (yych <= 'Z') {
				if (yych <= '/') {
					if (yych == '.') goto yy34;
					goto yy3;
				} else {
					if (yych <= '9') goto yy35;
					if (yych <= '@') goto yy3;
					goto yy31;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= '`') goto yy3;
					if (yych <= 'z') goto yy31;
					goto yy3;
				} else {
					if (yych == 0x000000D7) goto yy3;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x00000965) {
				if (yych <= 0x00000669) {
					if (yych <= 0x000000F7) goto yy3;
					if (yych <= 0x0000065F) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x000006EF) goto yy31;
					if (yych <= 0x000006F9) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x000009EF) {
					if (yych <= 0x0000096F) goto yy33;
					if (yych <= 0x000009E5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000A65) goto yy31;
					if (yych <= 0x00000A6F) goto yy33;
					goto yy31;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C65) {
				if (yych <= 0x00000B6F) {
					if (yych <= 0x00000AEF) goto yy33;
					if (yych <= 0x00000B65) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000BE6) goto yy31;
					if (yych <= 0x00000BEF) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000C6F) goto yy33;
					if (yych <= 0x00000CE5) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x00000D65) goto yy31;
					if (yych <= 0x00000D6F) goto yy33;
					goto yy31;
				}
			}
		} else {
			if (yych <= 0x000010FF) {
				if (yych <= 0x00000ED9) {
					if (yych <= 0x00000E59) goto yy33;
					if (yych <= 0x00000ECF) goto yy31;
					goto yy33;
				} else {
					if (yych <= 0x0000103F) goto yy31;
					if (yych <= 0x00001049) goto yy33;
					goto yy31;
				}
			} else {
				if (yych <= 0x0000ABFF) {
					if (yych <= 0x000011FF) goto yy89;
					if (yych <= 0x00001FFF) goto yy31;
					goto yy3;
				} else {
					if (yych <= 0x0000D7AF) goto yy493;
					if (yych <= 0x0000FF9F) goto yy3;
					if (yych <= 0x0000FFDC) goto yy31;
					goto yy3;
				}
			}
		}
	}
yy495:
	yych = *++YYCURSOR;
	if (yych <= 0x00000A6F) {
		if (yych <= 0x000000F6) {
			if (yych <= '`') {
				if (yych <= '9') {
					if (yych <= '/') goto yy24;
					goto yy441;
				} else {
					if (yych <= '@') goto yy24;
					if (yych <= 'Z') goto yy489;
					goto yy24;
				}
			} else {
				if (yych <= 0x000000BF) {
					if (yych <= 'z') goto yy489;
					goto yy24;
				} else {
					if (yych == 0x000000D7) goto yy24;
					goto yy489;
				}
			}
		} else {
			if (yych <= 0x000006F9) {
				if (yych <= 0x0000065F) {
					if (yych <= 0x000000F7) goto yy24;
					goto yy489;
				} else {
					if (yych <= 0x00000669) goto yy496;
					if (yych <= 0x000006EF) goto yy489;
				}
			} else {
				if (yych <= 0x000009E5) {
					if (yych <= 0x00000965) goto yy489;
					if (yych >= 0x00000970) goto yy489;
				} else {
					if (yych <= 0x000009EF) goto yy496;
					if (yych <= 0x00000A65) goto yy489;
				}
			}
		}
	} else {
		if (yych <= 0x00000D65) {
			if (yych <= 0x00000BE6) {
				if (yych <= 0x00000AEF) {
					if (yych <= 0x00000AE5) goto yy489;
				} else {
					if (yych <= 0x00000B65) goto yy489;
					if (yych >= 0x00000B70) goto yy489;
				}
			} else {
				if (yych <= 0x00000C6F) {
					if (yych <= 0x00000BEF) goto yy496;
					if (yych <= 0x00000C65) goto yy489;
				} else {
					if (yych <= 0x00000CE5) goto yy489;
					if (yych >= 0x00000CF0) goto yy489;
				}
			}
		} else {
			if (yych <= 0x00000ED9) {
				if (yych <= 0x00000E4F) {
					if (yych >= 0x00000D70) goto yy489;
				} else {
					if (yych <= 0x00000E59) goto yy496;
					if (yych <= 0x00000ECF) goto yy489;
				}
			} else {
				if (yych <= 0x00001FFF) {
					if (yych <= 0x0000103F) goto yy489;
					if (yych >= 0x0000104A) goto yy489;
				} else {
					if (yych <= 0x0000FF9F) goto yy24;
					if (yych <= 0x0000FFDC) goto yy489;
					goto yy24;
				}
			}
		}
	}
yy496:
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00000B6F) {
		if (yych <= 0x00000965) {
			if (yych <= '9') {
				if (yych == '.') goto yy417;
				if (yych <= '/') goto yy449;
				goto yy446;
			} else {
				if (yych <= 0x00000669) {
					if (yych <= 0x0000065F) goto yy449;
					goto yy447;
				} else {
					if (yych <= 0x000006EF) goto yy449;
					if (yych <= 0x000006F9) goto yy447;
					goto yy449;
				}
			}
		} else {
			if (yych <= 0x00000A65) {
				if (yych <= 0x0000096F) goto yy447;
				if (yych <= 0x000009E5) goto yy449;
				if (yych <= 0x000009EF) goto yy447;
				goto yy449;
			} else {
				if (yych <= 0x00000AE5) {
					if (yych <= 0x00000A6F) goto yy447;
					goto yy449;
				} else {
					if (yych <= 0x00000AEF) goto yy447;
					if (yych <= 0x00000B65) goto yy449;
					goto yy447;
				}
			}
		}
	} else {
		if (yych <= 0x00000E4F) {
			if (yych <= 0x00000C6F) {
				if (yych <= 0x00000BE6) goto yy449;
				if (yych <= 0x00000BEF) goto yy447;
				if (yych <= 0x00000C65) goto yy449;
				goto yy447;
			} else {
				if (yych <= 0x00000CEF) {
					if (yych <= 0x00000CE5) goto yy449;
					goto yy447;
				} else {
					if (yych <= 0x00000D65) goto yy449;
					if (yych <= 0x00000D6F) goto yy447;
					goto yy449;
				}
			}
		} else {
			if (yych <= 0x00001049) {
				if (yych <= 0x00000ECF) {
					if (yych <= 0x00000E59) goto yy447;
					goto yy449;
				} else {
					if (yych <= 0x00000ED9) goto yy447;
					if (yych <= 0x0000103F) goto yy449;
					goto yy447;
				}
			} else {
				if (yych <= 0x000011FF) {
					if (yych <= 0x000010FF) goto yy449;
					goto yy445;
				} else {
					if (yych <= 0x0000ABFF) goto yy449;
					if (yych <= 0x0000D7AF) goto yy44;
					goto yy449;
				}
			}
		}
	}
}


SET_TOKEN:
	if (cursor-start <= maxTokenLength) {
		int32_t tokenLength = cursor-start;
		int32_t startOffset = bufferOffset+start-buffer;

		_tcsncpy(tokenBuffer, start, tokenLength);
		tokenBuffer[tokenLength] = '\0';		
		token->setText(tokenBuffer);
		token->setPositionIncrement(posIncr);
		token->setStartOffset(startOffset);
		token->setEndOffset(startOffset+tokenLength);
		
		// This 'if' should be removed in the next release. For now, it converts
		// invalid acronyms to HOST. When removed, only the 'else' part should
		// remain.
		if (tokenType == ACRONYM_DEP) {
			token->setType(TOKEN_TYPES[ACRONYM]);
		} else {
			token->setType(TOKEN_TYPES[tokenType]);
		}
		return true;
	} else
		// When we skip a too-long term, we still increment the
		// position increment
		posIncr++;
	
	} /* for(;;) */
}

void KoreanTokenizer::yyfill()
{
    /* first: make room (if you can) */
    if (start > buffer) {
		int32_t startOffset = start - buffer;
		memmove(buffer, start, (limit-start)*sizeof(TCHAR));
		marker -= startOffset;
		cursor -= startOffset;
		limit -= startOffset;
		start -= startOffset;
		bufferOffset += startOffset;
    }

	/* is the buffer big enough? */
    if (cursor >= bufferEnd) {
      /* if not: blow it up */
		int32_t limitOffset = limit-buffer;
		int32_t startOffset = start-buffer;
		int32_t markerOffset = marker-buffer;
		int32_t cursorOffset = cursor-buffer;
			
		bufferLength = bufferLength*2;
		TCHAR *newBuffer = new TCHAR[bufferLength];
		_tcsncpy(newBuffer, buffer, limit-start);
		delete buffer;
		buffer = newBuffer;
		bufferEnd = buffer+bufferLength;

		marker = markerOffset + buffer;
		cursor = cursorOffset + buffer;
		start = buffer + startOffset;
		limit = limitOffset + buffer;
    }    

    /* finally: fill the buffer with new input */
	const TCHAR *ioBuffer = NULL;
    int numRead = input->read(ioBuffer, bufferEnd-limit);
	
    if (numRead < 0) {
		*(limit++) = '\0';	/* end of stream */
		return;
	}
	_tcsncpy(limit, ioBuffer, numRead);
	limit += numRead;
}

CL_NS_END2
